2009-04-09  Martyn Russell  <martyn@imendio.com>

	* Release 0.6.93.

2009-04-09  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Updated in preparation for release 0.6.93.

2009-04-09  Martyn Russell  <martyn@imendio.com>

	* src/tracker-applet/tracker-applet.c:
	(about_menu_activated): Updated Copyright years. Patch by Michele
	Mattioni.

2009-04-09  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-main.c:
	(main): Don't keep the tracker-extract command running if DBus
	says it is already running.

2009-04-08  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-preferences/tracker-preferences.c (cmd_apply): Make the
	"Index mounted directories" option also manage removable devices.

2009-04-08  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-config.c: Fix a typo.

2009-04-07  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer.c (index_flushing_notify_cb): Do not try to
	enter into finished state after flushing in the cleanup task, since it
	closes the indexes.

2009-04-07  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-main.c: (main): Make sure we send
	the thumbnailer queue to the thumbnailer daemon when we shutdown
	after 30 seconds of inactivity in the extractor.

2009-04-07  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-main.c: 
	* src/trackerd/tracker-status.c: Only set nice() to 19 when
	crawling the file system, for all other times, we use the value as
	set when the process is started (which is controlled by outside
	influence of course). 

2009-04-07  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-thumbnailer.h:
	* src/libtracker-common/tracker-albumart.h: Added preprocessor
	checks for __LIBTRACKER_COMMON_INSIDE__ which were missing.
	
	* src/libtracker-common/tracker-albumart.[ch]: 
	* src/tracker-extract/tracker-extract-mp3.c: Fixed coding style
	issues.
	
	* src/libtracker-common/tracker-albumart.[ch]: 
	* src/tracker-extract/tracker-extract-albumart.c:
	* src/tracker-extract/tracker-main.[ch]: Only create one
	TrackerHal object during the life time of tracker-extract instead
	of for EVERY file which has album art (which is quite a lot). This
	seems to be showing an increase of 2x the speed now for
	tracker-extract. 
	
	* src/tracker-indexer/tracker-main.c: (main): Added print
	statement like we have in the daemon so we know when the process
	is finished and returning to the cmd line.
	
	* tests/tracker-extract/tracker-extract-test-utils.c:
	(tracker_test_extract_file_access): Added tracker_main_get_hal()
	fixes to ensure the tests build.

2009-04-07  Carlos Garnacho  <carlos@imendio.com>

	Propagate index errors up to the GUI, so the user has the opportunity
	to trigger a reindex.

	* src/libtracker-db/tracker-db-index.[ch]: Add an "error-received"
	signal. Emit it when QDBM fails to store a word.
	
	* data/dbus/tracker-indexer.xml:
	* src/tracker-indexer/tracker-marshal.list:
	* src/tracker-indexer/tracker-indexer.[ch]: Add an "IndexingError"
	DBus signal. Propagate up index errors.
	
	* data/dbus/tracker-daemon.xml:
	* src/trackerd/tracker-dbus.c:
	* src/trackerd/tracker-daemon.c:
	* src/trackerd/tracker-marshal.list: Add an "IndexingError" signal.
	Listen to that signal from the indexer in order to propagate it up the
	stack.

	src/tracker-applet/tracker-applet.[ch]: Listen for the new signal, and
	display an error notification with an option to reindex from scratch.

2009-04-07  Mikael Ottela  <mikael.ottela@ixonos.com>

	* tests/tracker-extract/tracker-extract-png-test.c
	* tests/tracker-extract/tracker-extract-jpeg-test.c
	* tests/tracker-extract/tracker-extract-testsuite-generic.c
	* tests/tracker-extract/tracker-extract-tiff-test.c
	* tests/tracker-extract/tracker-extract-gstreamer-test.c
	* tests/tracker-extract/tracker-extract-testsuite-generic.h
	* tests/tracker-extract/tracker-extract-mp3-test.c
	* tests/tracker-extract/tracker-extract-test-utils.c
	* tests/tracker-extract/tracker-extract-test-utils.h
	* tests/tracker-extract/Makefile.am: Load the extractors
	modules for tests instead of directly linking as before.

2009-04-06  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-applet/tracker-marshal.list:
	* src/tracker-applet/tracker-applet.c: Generate the right marshaller
	for the IndexStateChange signal.

2009-04-06  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-applet/tracker-applet-marshallers.[ch]: Do not keep
	generated code.
	* src/tracker-applet/tracker-marshal.list:
	* src/tracker-applet/tracker-marshal-main.c:
	* src/tracker-applet/Makefile.am: Instead use the right tools.
	* src/tracker-applet/tracker-applet.c: Adapt to name changes.

2009-04-06  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-main.c:
	* src/tracker-indexer/tracker-main.c:
	* src/trackerd/tracker-main.c: Use #ifdef __linux__ before
	including /usr/include/linux/ files. Fixes bug #577656 (Jasper
	Lievisse Adriaanse).

2009-04-06  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-os-dependant-unix.c:
	(tracker_memory_setrlimits): Disabled by default to stop us
	getting SIGSEGV just because we reach the memory limits (which are
	small), instead we shouldn't be crashing, we should be
	investigating said issues. This should fix several launchpad
	issues that were reported since 0.6.91.

2009-04-06  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-iptc.c
	* src/tracker-extract/tracker-xmp.c: Fixes to the way multiple
	values are handled in some special cases in extraction.

	Fixes NB#108793.
	
2009-04-06  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-data/tracker-turtle.[ch]: Fixed crasher in
	tracker_turtle_close() by checking if ->file is set before doing
	anything with it. Also now use tracker_file_{open|close} instead
	so we use posix_fadvise(). Fixes LP#355982.

2009-04-05  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-indexer/tracker-indexer.c: Surround hal code
	with ifdefs to fix compilation without hal.

	Fixes bug #577655.
	
2009-04-04  Ivan Frade  <ivan.frade@nokia.com>

	* configure.ac: raptor >= 1.4.17. Tracker uses in the code
	RAPTOR_FEATURE_WRITE_BASE_URI that is available only since that
	version.
	
2009-04-03  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-albumart.c:
	* src/libtracker-common/tracker-thumbnailer.[ch]:
	* src/tracker-extract/tracker-extract-albumart.c:
	* src/tracker-extract/tracker-main.c: 
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-indexer/tracker-main.c:
	* src/trackerd/tracker-main.c: Updated thumbnailer code so we only
	send thumbnails to the thumbnailer daemon AFTER we have finished
	indexing to improve performance.

2009-04-03  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract-gstreamer.c (add_tags)
	(tracker_extract_gstreamer): Plug more leaks.

2009-04-03  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-hal.c (tracker_hal_init)
	(tracker_hal_finalize): Keep a pointer to the DBusConnection in order
	to unref it. Also, shut the libhal context down before destroying it,
	Fixes NB#107570.

2009-04-03  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-albumart.c
	(tracker_albumart_queue_cb): do not strcmp the GError message, use
	error->code instead. Do not access() NULL paths.
	(tracker_albumart_get_path): Improve memory management if the function
	exits prematurely.
	* src/tracker-extract/tracker-extract-albumart.c
	(tracker_process_albumart): bail out if it couldn't get art_path.

2009-04-02  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c: Watch for
	DURATION messages and stop extraction when we receive one. Needed
	for elements/formats where several buffers needed for obtaining a
	valid duration.

	Plugged a leak, we never freed the audio- and videotags.

2009-04-02  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract-gstreamer.c
	(tracker_extract_gstreamer): Fix a leak and a possible memory
	corruption.
	* src/tracker-extract/tracker-extract-mp3.c (extract_mp3): Do not make
	id3 tags parsers read invalid memory if file size is above
	MAX_FILE_READ.
	* src/tracker-extract/tracker-extract-png.c (extract_png): Free
	correctly the ending info pointer.
	* src/tracker-extract/tracker-extract.c (get_file_metadata): Plug a
	leak, caused when no extractor was found.
	* src/tracker-extract/tracker-main.c: Initialize the quit timeout ID
	to 0, so we don't try to remove nonexistent sources.

2009-04-02  Michael Biebl  <mbiebl@gmail.com>

	* src/plugins/evolution/Makefile.am, src/plugins/kmail/Makefile.am,
	src/plugins/rss/Makefile.am: Do not include BUILT_SOURCES in
	EXTRA_DIST.

2009-04-02  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-info.c: (main): Fixed translations to
	use plural forms where needed. Spotted by Luca Ferretti.

2009-04-02  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.c: (get_queue_from_gfile): Improve
	performance here, don't create/free a new list and iterate the
	hash table twice. This operation should be faster. Patch from
	Philip Van Hoof.

2009-04-01  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: More checks for
	unknown genre values.

	Fixes NB#106639.

2009-04-01  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c: Improvements to
	the stream info extraction using gstreamer.

	Fixes NB#107122.

2009-04-01  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-xmp.c: Handle existance of invalid dates
	correctly.

	Fixes NB#108793.

2009-04-01  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-info.c: Added command line switches to
	faciliate the _get() and _get_multiple() APIs for Metadata. Now we
	can request multiple specific metadata types for multiple files
	using tracker-info.

	* data/dbus/tracker-metadata.xml:
	* src/libtracker/tracker.[ch]: 
	* src/trackerd/tracker-metadata.[ch]: Added
	tracker_metadata_get_multiple() so we can get multiple metadata
	types for multiple files. This is quite a bit faster than
	requesting multiple metadata types for one file at a time. Fixes
	NB#108543.

2009-04-01  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (mount_pre_unmount_cb): Check
	that there's actually a current item before checking whether it's
	inside the mount.

2009-03-31  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-metadata-utils.c
	(metadata_utils_get_embedded): Check for NULL context, since it can
	potentially happen, noticed by Philip Van Hoof. Prevents Bug
	NB#108819.
	(extractor_context_create): Raise severity of error message.

2009-03-31  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c: Fixed a memory leak
	* src/tracker-extract/tracker-iptc.c: Use location instead of
	sublocation for iptc-sublocation.

	Fixes NB#108331.

2009-03-31  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c
	* src/tracker-extract/tracker-extract-jpeg.c
	* src/tracker-extract/tracker-extract.c
	* src/tracker-extract/tracker-iptc.c: Some minor leak and other fixes

2009-03-31  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-rdf-query.c (append_where_header):
	Filter out disabled elements in the Services table. Fixes NB#106085.

2009-03-30  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.[ch]: Make
	tracker_file_open() return a FILE*. Added tracker_file_close().
	Don't use open() and fdopen() everywhere, just fopen() instead.
	Add NOATIME retrspectively with fcntl().
	
	* configure.ac:
	* src/tracker-extract/Makefile.am: 
	* src/tracker-extract/tracker-extract-vorbis.c: Added vorbis
	checks and cleaned up vorbis code. This is a backup, we use
	GStreamer normally and this is disabled by default.
	
	* src/tracker-extract/tracker-extract-abw.c:
	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-extract-mp3.c:
	* src/tracker-extract/tracker-extract-png.c:
	* src/tracker-extract/tracker-extract-ps.c: 
	* src/tracker-indexer/modules/evolution-imap.[ch]: Use
	tracker_file_() functions to open/close files with
	posix_fadvise(). 

	* src/tracker-extract/tracker-extract.c: Fixed 2 memory leaks.
	
2009-03-30  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-removable-device.c: Code clean up.
	Don't allocate memory for AddMetadataInfo and then return on some
	failure without cleaning it up. Use tracker_file_() APIs so we use
	posix_fadvise(). 

2009-03-30  Martyn Russell  <martyn@imendio.com>

	* utils/tracker-fts/tracker-fts-test.c: Fixed missing include warning.

2009-03-30  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-tag.c: (main): Fixed remove sys
	function confusion with static variable, was stopping tracker-tag
	from building. Not sure why this has started happening now?

2009-03-30  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index-manager.[ch]:
	* src/trackerd/tracker-main.c: Remove all references to the old
	file-index-update.db file, which isn't used anymore.

2009-03-27  Martyn Russell  <martyn@imendio.com>

	* Release 0.6.92.

2009-03-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-push.c (load_modules): Close the dir.

2009-03-27  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (indexer_update_word): Do not
	try to memmove() past array boundaries when removing an element.

2009-03-27  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-query.c (result_set_to_metadata):
	Do not leak GValues contents.

2009-03-27  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-metadata.c
	(tracker_data_metadata_insert_values): Create a copy of the list
	before freeing the old values, since the new list could be constructed
	from these old values. Fixes NB#100642.

2009-03-26  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-search.c: Added the missing
	order-type join conditions.

2009-03-26  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c
	* src/tracker-extract/tracker-iptc.c: Fixed a small ontology
	mistake in the image extractors.

2009-03-25  Carlos Garnacho  <carlos@imendio.com>

	Make GVolumeMonitor::mount-pre-unmount cancel any ongoing operation in
	the indexer on the removable media. This isn't available yet due to
	GLib not emitting such signal, but it will soon.

	* src/tracker-indexer/tracker-module-file.[ch]
	(tracker_module_file_cancel) (tracker_module_file_is_cancelled): Added
	new API.

	* src/tracker-indexer/tracker-module-metadata-utils.[ch]: Reworked to
	have child processes async+killable.
	(tracker_module_metadata_utils_cancel): New function to kill all
	external processes on a GFile.

	* src/tracker-indexer/modules/files.c: Use new metadata utils function
	to immediately cancel an operation.

	* src/tracker-indexer/tracker-indexer.c (check_mount_removal)
	(mount_pre_unmount_cb) (tracker_indexer_finalize)
	(tracker_indexer_init): Hook to GVolumeMonitor::mount-pre-unmount, so
	any ongoing+future operations on the removable media are cancelled.

	(item_add_or_update) (item_move) (item_process) (process_file):
	Reworked to have a single point of cancellation.

2009-03-25  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-schema.c:
	* src/libtracker-data/tracker-rdf-query.c: Fixed a missing
	condition for join.

2009-03-25  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-daemon.c: (tracker_daemon_get_stats): Fixed
	comparison with unset variable.

2009-03-25  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Disable static libraries by default.

2009-03-25  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Update help strings for the configure options of
	the mail push modules.

2009-03-25  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/db/sqlite-service.sql: Added key collations to Services
	table. Additional indices.
	* data/services/default.service:
	* src/libtracker-db/tracker-db-manager.c
	* src/libtracker-common/tracker-ontology.c
	* src/libtracker-common/tracker-ontology.h
	* src/libtracker-data/tracker-data-schema.c
	* src/libtracker-data/tracker-data-search.c
	* src/libtracker-data/tracker-rdf-query.c
	* src/libtracker-data/tracker-data-update.c
	* src/libtracker-data/tracker-field-data.c
	* src/libtracker-data/tracker-field-data.h: Use key collations in
	queries and updates. Performance improvements to the queries.
	
2009-03-25  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-update.c
	(tracker_data_update_replace_service): Refactored not to have
	duplicated code, do not compare file mtimes with the Accessed column in
	the Services table, instead use the GetServiceID stored procedure
	and compare against the IndexTime column.

2009-03-24  Martyn Russell  <martyn@imendio.com>

	* src/tracker-applet/tracker-applet-prefs.glade:
	* src/tracker-applet/tracker-applet.c: Removed all "merge" options
	since they no longer apply. Added more state information so the
	user isn't left wondering what is going on. Now we report states:
	watching, crawling, optimising and shutting down.

2009-03-24  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-processes.c: Fixed build warnings.

2009-03-23  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-processor.c: (get_remote_roots),
	(process_module_files_add_removable_media), (crawler_finished_cb),
	(mount_point_added_cb), (mount_point_removed_cb): Make use of
	g_strcmp0() so we don't crash with NULL strings as reported in
	LP#347352. 

2009-03-23  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-index-manager.[ch]:
	* src/libtracker-db/tracker-db-manager.[ch]: Make it possible to
	initialise these managers JUST for removing databases and
	resetting.
	
	* src/tracker-utils/Makefile.am:
	* src/tracker-utils/tracker-processes.c: Added options
	--hard-reset to kill all processes AND remove all databases. Also
	updated all output messages so they are translated. Added
	--terminate to use SIGTERM on all tracker processes and added
	--kill to use SIGKILL on all tracker processes.

2009-03-23  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-processes.c: Only include basename in
	list and exclude ourselves from the list of running processes.
	Also remove the ":" between the "PID" and value for mouse copy and
	paste ease.

2009-03-23  Martyn Russell  <martyn@imendio.com>

	* data/dbus/tracker-extract.xml:
	* src/tracker-extract/tracker-extract.[ch]:
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-indexer/tracker-module-metadata-utils.c: Added
	GetPid API call to extractor. We now call this furst so we know
	what process to kill when the extractor misbehaves. The old
	solution would kill EVERY tracker-extract process on the system
	which (if the user has permissions) is potentially quite bad for
	multiple users using Tracker. This should be quicker than the old
	solution too.

2009-03-23  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/modules/evolution.c: fixed undefined symbol
	compilation error

2009-03-23  Martyn Russell  <martyn@imendio.com>

	* src/tracker-applet/tracker-applet.c: Revert turning on debugging.

2009-03-23  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-status.c: Make sure we change the
	throttling when the battery is in use or not. Changed battery
	charge debugging to show even when it is charging, not just
	discharging. 

2009-03-23  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-hal.c: Improved add/remove/found
	devices debug messages. 
	
	* src/trackerd/tracker-status.c: (battery_percentage_cb): Fixed
	message for battery percentage left so we don't always print 0%.

2009-03-23  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-main.c: (signal_handler):
	* src/tracker-indexer/tracker-main.c: (signal_handler):
	* src/trackerd/tracker-main.c: (signal_handler): Fixes NB#102800,
	uses _exit() instead of exit() when receiving termination signals
	more than once (like Ctrl+C).

2009-03-20  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-module-metadata-utils.c: Used code
	from tracker-processes utility to find tracker-extract when we get
	a dbus timed out (and other type) messages and kill it with
	SIGKILL. This should fix the problems we were seeing with the
	extractor locking up for long periods of time on the device.

	* src/tracker-utils/Makefile.am:
	* src/tracker-utils/tracker-processes.c: Added utility to get all
	tracker processes running on the system.

2009-03-20  Martyn Russell  <martyn@imendio.com>

	* data/db/sqlite-service-types.sql: 
	* data/db/sqlite-service.sql:
	* data/db/sqlite-stored-procs.sql:
	* src/libtracker-db/tracker-db-manager.c: 
	* src/trackerd/tracker-daemon.c: Added ParentID and 2 indexes
	to improve GetStats performance. Removed erroneous indexes which
	were creating warnings when creating the databases. Added stored
	proc to get all parent service type statistics (like Files,
	Emails, Conversations, etc).

	* src/tracker-applet/tracker-applet.c: Fixed stats order. This was
	broken recently with the change to the stored procs.
	
	* src/trackerd/tracker-main.c: Don't try to reset the stats in the
	database when we reindex, we don't hold stats in the same place in
	the same way now.

2009-03-20  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/modules/evolution.c:
	* src/tracker-indexer/modules/Makefile.am:
	* configure.ac:
	* src/tracker-indexer/modules/evolution-imap-db.h:
	* src/tracker-indexer/modules/evolution-imap-db.c:


	Removed support for the sqlite based pull indexer module for
	Evolution

	Enabled by defualt the support for the push indexing module for
	Evolution (Evolution pushes data into Tracker's storage)

	This fixes https://qa.mandriva.com/show_bug.cgi?id=48977

2009-03-20  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-common/tracker-thumbnailer.c: Using an int instead of
	an int64 for this dbus call

2009-03-20  Martyn Russell  <martyn@imendio.com>

	* data/services/image.metadata: Fixed errors stopping file from
	being loaded.
	
	* src/libtracker-db/tracker-db-manager.c: Improve debugging so we
	see exactly what each .metadata file loads and also added GError
	to g_key_file_load* functions for metadata and service files so if
	they don't load we know why in the logs.

2009-03-19  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/services/image.metadata: Added missing field type
	definition.
	
2009-03-19  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/services/default.service
	* data/db/sqlite-service.sql
	* src/libtracker-data/tracker-data-search.c: Use the collation for
	sorting correctly. First phase of improving the unique values
	queries performance.
	* src/libtracker-data/tracker-data-update.c: Make sure no empty
	strings are added to the database.

2009-03-19  Martyn Russell  <martyn@imendio.com>

 	* configure.ac:
	* src/libinotify/Makefile.am:
	* src/libstemmer/Makefile.am:
	* src/libtracker-common/Makefile.am:
	* src/libtracker-data/Makefile.am:
	* src/libtracker-db/Makefile.am:
	* src/libtracker-gtk/Makefile.am:
	* src/libtracker/Makefile.am: Added libtool library versioning so
	libraries are not all named .so.0.0.0. 

2009-03-17  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/services/image.metadata: Added sublocation property to images.
	* src/tracker-extract/tracker-iptc.c:
	* src/tracker-extract/tracker-xmp.c: Extract information for the
	sublocation.

	Fixes NB#90455.

2009-03-17  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Minor fixes to id3v2
	extraction.

	Fixes NB#106424.

2009-03-17  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-update.c
	(tracker_data_update_delete_service_by_path): Fail gracefully if the
	rdf type doesn't exist in the ontology.

2009-03-17  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (flush_data): Fixed wrong
	logic when signalling status.

2009-03-17  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c:
	(should_change_index_for_file): Make sure we check the mtime in
	the db and on the disk are the same here before returning, don't
	assume if the file is older it means the same thing.

2009-03-17  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Provide information about if GStreamer helix is
	being built in the summary.

2009-03-17  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/tracker-extract/Makefile.am: Fixed GStreamer helix bin
	checks in configure and renamed variables.

2009-03-17  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-main.c: Transform filenames passed
	through the -f parameter to full paths.

2009-03-17  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-escape.c (tracker_escape_metadata):
	Handle NULL strings. Fixes NB#106201.

2009-03-16  Martyn Russell  <martyn@imendio.com>

	* src/tracker-applet/tracker-applet.c: (filter_x_events):
	* src/trackerd/tracker-main.c: (main):
	* src/trackerd/tracker-processor.c: (item_queue_handlers_set_up):
	Use g_timeout_add_seconds() in preference to g_timeout_add().
	Fixes bug #573834 (Marcel Stimberg).

2009-03-16  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Fix confusion and error with deskbar-applet module
	dir detection. Fixes bug #575271 (Deji Akingunola).

2009-03-16  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (handle_metadata_add): Make
	sure that we allocate enough space for the tags that are going to be
	set, and that no empty places are left in between. This fixes both
	memory corruption and strange behavior when saving tags.

2009-03-16  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-dbus.c: Don't check each string for
	utf8 validity in tracker_dbus_query_result_to_ptr_array() since we
	call tracker_dbus_slist_to_strv() which does this for us anyway.
	
	* src/tracker-applet/tracker-applet.c: Fixed crasher here and
	added a refresh button so the user can request updates more
	frequently than they are signalled to us. Fixes bug #575332.
	
	* src/trackerd/tracker-daemon.c: Fixed the
	"service-statistics-updated" signal here so we actually send the
	GType that is expected based on the dbus XML introspection file.

2009-03-16  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-manager.c (db_exec_proc): Removed dead
	code.
	* src/tracker-extract/tracker-extract-pdf.c: Added missing include.

2009-03-16  Carlos Garnacho  <carlos@imendio.com>

	* data/db/sqlite-tracker.sql: Set primary key on the Options table, so
	the 'Replace' statement in the SetOption stored procedure actually
	replaces the setting value. Fixes #570232

2009-03-13  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-rdf-query.c: Return undefined
	integer values with empty field in rdf (as with strings)

2009-03-13  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-main.c:
	* src/trackerd/tracker-main.c:
	* src/tracker-extract/tracker-main.c: Reverting SCHED_IDLE and setting
	the extractor to nice(). We don't want to go into SCHED_IDLE else will
	any app with a bug like "while(1);" make us strave. This is really a
	bad idea.

	Apps that want to have a prio over tracker's processes should simply
	use SCHED_FIFO themselves. Don't require apps to run at a lower prio,
	run at a higher prio yourself if you are indeed realtime.

	Keeping the nice() value so that for a normal desktop we run at a
	level that is lower-than-everybody-else.

2009-03-13  Martyn Russell  <martyn@imendio.com>

	* Release 0.6.91.
	
2009-03-13  Martyn Russell  <martyn@imendio.com>

	* NEWS:
	* configure.ac:
	* python/deskbar-handler/tracker-module.py: Prepare for release 0.6.91.

2009-03-13  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-data/tracker-data-update.c:
	(tracker_data_update_reset_volume): Make sure we convert the
	volume id into a string before using it in the stored procedure,
	was crashing.

	* src/trackerd/tracker-volume-cleanup.c: 
	(check_for_volumes_to_cleanup): Small clean ups trying to find a
	crash. 

2009-03-13  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:
	* src/trackerd/tracker-volume-cleanup.c:
	* data/db/sqlite-stored-procs.sql: fixes a bug in cleaning up thumbnails
	from removed devices

2009-03-13  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-main.c: Don't use SCHED_IDLE for the daemon

2009-03-13  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-volume-cleanup.c:
	(check_for_volumes_to_cleanup): Fixed blunder on my part, reusing
	variable name. Seems to work nicely.

2009-03-13  Jürg Billeter  <j@bitron.ch>

	* src/tracker-indexer/tracker-indexer.c: (process_file):
	Remove unused path variable.

2009-03-13  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-volume-cleanup.c:
	(check_for_volumes_to_cleanup), (tracker_volume_cleanup_init):
	Added some messaging so we can see what is going on here.

2009-03-13  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/Makefile.am:
	* src/trackerd/tracker-cleanup.[ch]:
	* src/trackerd/tracker-main.c:
	* src/trackerd/tracker-volume-cleanup.[ch]: Renamed
	tracker-cleanup to tracker-volume-cleanup so the name makes more sense.

2009-03-13  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-cleanup.c: (check_for_volumes_to_cleanup),
	(tracker_cleanup_init): Code clean ups.

2009-03-13  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-cleanup.c:
	* data/db/sqlite-stored-procs.sql: Cleaning up removable devices'
	thumbnails after a long period of the device not having been mounted

2009-03-12  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-data/tracker-data-update.c: Cope with the insanity of
	the current ontology

2009-03-12  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-daemon.c: 
	* src/trackerd/tracker-main.c: Put statistics update signal in a
	separate public function. Fixed not signalling stats when we
	remove a MMC. Now clients will get updates not only when an MMC is
	inserted. 

	* src/trackerd/tracker-daemon.h: Removed tracker_daemon_backup(),
	function no longer exists.
	
2009-03-12  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (flush_data): Do not emit
	status if the indexer is not indexing.

2009-03-12  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-metadata.c
	(tracker_module_metadata_add_take_string): Be more permissive about
	NULL metadata values.

2009-03-12  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-daemon.c: (tracker_daemon_init): Removed
	dead code left around causing GObject warnings.

2009-03-12  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-crawler.c: (tracker_crawler_start):
	* src/trackerd/tracker-daemon.c: (indexer_finished_cb): Fixed 3
	memory leaks and a bug in the statistics signalling code rewrite. 

2009-03-12  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-daemon.c: Fixed the
	"ServiceStatisticsUpdated" signal we emit so we don't send empty
	GStrvs over DBus. Now we accurately tell clients what service
	types changed when we get the "Finished" signal from the indexer.
	Also, we now don't get stats when initialising the daemon, only
	when we get our first "Finished" signal. Fixes NB#105133.

2009-03-12  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (generate_item_thumbnail)
	(item_add_or_update): Generate thumbnails here, so we can access
	configuration and actually respect the EnableThumbnails option. Fixes
	bug #503595.
	* src/tracker-indexer/tracker-module-metadata-utils.c
	(tracker_module_metadata_utils_get_data): Remove thumbnail generation
	from here.

2009-03-12  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-removable-device.c: Fixed a crash when
	removing a resource from a removable device

2009-03-11  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract-pdf.c (extract_pdf): Also
	include Doc:Created in the metadata. Fixes bug #489876.

2009-03-11  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-hal.c: Reduce the amount of
	debugging when starting up and detecting HAL devices.
	
	* src/trackerd/tracker-main.c: Fixed debugging.

2009-03-11  Martyn Russell  <martyn@imendio.com>

	* tests/tracker-extract/tracker-extract-test-utils.[ch]: 
	* tests/tracker-extract/tracker-extract-testsuite-avi.c:
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.c:
	* tests/tracker-extract/tracker-extract-testsuite-mp3.c:
	* tests/tracker-extract/tracker-extract-testsuite-png.c:
	* tests/tracker-extract/tracker-extract-testsuite-tiff.c: Use
	proper name spacing for public functions and cleaned up the code a
	little. Also added test mp3s so make check doesn't fail.

2009-03-11  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (indexer_update_word): Ensure
	weights are correct before inserting hits for a new word.

2009-03-11  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-hal.c (tracker_hal_init): Ensure
	daemons do not exit if the system bus is shut down. Partly fixes
	bug #519222.

2009-03-11  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-metadata-utils.c
	(process_context_invalidate) (process_context_destroy): Merged
	together.
	(process_context_child_watch_cb): Removed obsolete code.
	(process_context_create): Set a 10 seconds timeout to extract text.
	Fixes bug #455588.

2009-03-11  Martyn Russell  <martyn@imendio.com>

	* tests/libtracker-db/tracker-index-writer-test.c: Code clean ups.

2009-03-11  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-indexer.c:
	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:
	* data/db/sqlite-cache.sql:
	* data/db/sqlite-stored-procs.sql:
	* tests/scripts/data/xesam.sql: Removed some more Xesam traces that
	were burried deeper

2009-03-11  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-data/tracker-data-schema.c:
	* src/libtracker-data/tracker-data-live-search.c:
	* src/libtracker-data/tracker-data-schema.h:
	* src/libtracker-data/tracker-data-live-search.h:
	* src/libtracker-data/tracker-xesam-query.c:
	* src/libtracker-data/tracker-xesam-query.h:
	* src/libtracker-data/tracker-data-update.h:
	* src/libtracker-data/Makefile.am:
	* src/trackerd/tracker-search.c:
	* src/trackerd/tracker-main.c:
	* src/trackerd/tracker-xesam-session.c:
	* src/trackerd/tracker-xesam-session.h:
	* src/trackerd/tracker-xesam.c:
	* src/trackerd/tracker-xesam-live-search.c:
	* src/trackerd/tracker-xesam.h:
	* src/trackerd/tracker-xesam-live-search.h:
	* src/trackerd/tracker-xesam-manager.c:
	* src/trackerd/tracker-xesam-manager.h:
	* src/trackerd/tracker-dbus.c:
	* src/trackerd/Makefile.am:
	* src/trackerd/tracker-utils.c:
	* src/libtracker-db/tracker-db-manager.c:
	* src/libtracker-db/tracker-db-index-manager.c:
	* src/libtracker-db/tracker-db-manager.h:
	* src/libtracker-common/tracker-service.h:
	* src/libtracker-common/tracker-config.c:
	* src/libtracker-common/tracker-ontology.c:
	* src/libtracker-common/tracker-config.h:
	* src/libtracker-common/tracker-service.c:
	* tests/trackerd:
	* tests/trackerd/tracker-xesam-test.c:
	* tests/trackerd/tracker-xesam-session-test.c:
	* tests/trackerd/tracker-xesam-hit-test.c:
	* tests/trackerd/Makefile.am:
	* tests/trackerd/tracker-xesam-hits-test.c:
	* tests/trackerd/tracker-xesam-test.h:
	* tests/trackerd/tracker-xesam-session-test.h:
	* tests/trackerd/tracker-xesam-hit-test.h:
	* tests/trackerd/xesam:
	* tests/trackerd/xesam/xesam-g-globals-private.h:
	* tests/trackerd/xesam/xesam-g-testsearcher.h:
	* tests/trackerd/xesam/xesam-g-debug-private.h:
	* tests/trackerd/xesam/xesam-g-utils.h:
	* tests/trackerd/xesam/xesam-g-test-query-builder.c:
	* tests/trackerd/xesam/gtestextensions.c:
	* tests/trackerd/xesam/Makefile.am:
	* tests/trackerd/xesam/xesam-g-test-query-builder.h:
	* tests/trackerd/xesam/gtestextensions.h:
	* tests/trackerd/xesam/xesam-g-testsearcher.c:
	* tests/trackerd/xesam/README:
	* tests/trackerd/README:
	* tests/trackerd/tracker-xesam-hits-test.h:
	* tests/libtracker-db/tracker-db-manager-test-attach.c:
	* tests/libtracker-db/union-performance.c:
	* tests/libtracker-db/Makefile.am:
	* tests/libtracker-db/tracker-db-manager-test-unattach.c:
	* tests/libtracker-db/tracker-db-manager-test-custom.c:
	* tests/scripts/dummy_data_start.sh.in:
	* tests/Makefile.am:
	* configure.ac:
	* data/services/xesam-virtual.metadata:
	* data/services/xesam-convenience.metadata:
	* data/services/xesam-service.smapping:
	* data/services/xesam.metadata:
	* data/services/xesam-metadata.mmapping:
	* data/services/xesam-convenience.service:
	* data/services/Makefile.am:
	* data/services/xesam.service:
	* data/db/sqlite-stored-procs.sql:
	* data/db/Makefile.am:
	* data/db/sqlite-xesam.sql:
	* data/dbus/tracker-xesam.xml:
	* data/dbus/Makefile.am: 

	Trivial mini commit that removes the Xesam support. We decided to remove
	this because Xesam 1.0 was never fully supported, and Xesam 2.0 will most
	like be a very different DBus API, will probably use SPARQL as query
	language, and will probably use Nepomuk as ontology. Which means that none
	of Xesam 1.0's support code will really be usable anymore.

	Perhaps keep this revision number in mind so that we can bring the code
	back to live later?

2009-03-11  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-common/tracker-albumart.c: Don't continue trying to
	request album art if no service provides album-art downloading

2009-03-10  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer-helix.c: Removed
	the reference to images that broke build.

2009-03-10  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-main.h
	* src/tracker-extract/tracker-extract-gstreamer-helix.c
	* src/tracker-extract/tracker-extract-mp3.c: Remove the last dummy
	empty strings as they are no longer needed.

2009-03-10  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/services/default.service
	* data/services/image.metadata: Add Image:HasKeywords field for
	performance reasons.
	* src/tracker-extract/tracker-iptc.c:
	* src/tracker-extract/tracker-xmp.c: Fill it in the extractors.

2009-03-10  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-main.c:
	* src/tracker-indexer/tracker-main.c:
	* src/trackerd/tracker-main.c: Use SCHED_IDLE and define it if it
	isn't defined (in older kernels).

2009-03-10  Martyn Russell  <martyn@imendio.com>

	* src/tracker-preferences/tracker-preferences.c: 
	* src/tracker-preferences/tracker-preferences.glade: Removed
	deprecated widgets. Used "+" and "-" buttons without text so there
	is more space for paths, etc. Fixed spin button warnings in the
	terminal due to deprecated glade calls. Make step increment for
	maximum bytes to index in text files increments of 1024. Fixed
	throttle range to be 0->20 not 0->99 which is not valid. Removed
	email options which have no effect. Fixes bug #571331 .
	
2009-03-10  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-config.c: Make sure once we have
	loaded the config, we check there are no fundamental keys missing
	and make sure any new keys added which didn't exist before have
	comments too.

2009-03-10  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-common/tracker-thumbnailer.c: Using no_reply calls
	for the DBus methods

2009-03-10  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-removable-device.c
	(get_uri_with_trailing_slash) (consume_triple_storer)
	(tracker_removable_device_load)
	(tracker_removable_device_add_metadata)
	(tracker_removable_device_add_removal)
	(tracker_removable_device_add_move): Generate URIs with trailing slash
	where appropriate, since raptor likes them.

2009-03-09  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract-ps.c (extract_ps_gz):
	* src/trackerd/tracker-main.c (check_runtime_level): Do not leak file
	descriptors.

2009-03-09  Martyn Russell  <martyn@imendio.com>

	* TODO:
	* docs/manpages/trackerd.1: Fixed documentation, patch from
	Tshepang Lekhonkhobe.

2009-03-09  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-iptc.c
	* src/tracker-extract/tracker-xmp.c: Added simple filtering for
	repeated values in multivalued extracting. The same value can be
	embedded in several places to avoid conflicts.

	Fixes NB#96314.

2009-03-09  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index-item.c
	(tracker_db_index_item_calc_amalgamated): Also clamp big negative
	values to fit into a gint16, so we don't possibly underflow.
	* src/tracker-indexer/tracker-indexer.c (item_erase): Schedule a flush
	after an item has been removed.

2009-03-09  Martyn Russell  <martyn@imendio.com>

	* MAINTAINERS: Updated to reflect the current offenders :)

2009-03-09  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-main.c: 
	* src/tracker-indexer/tracker-main.c: 
	* src/trackerd/tracker-main.c: Remove copyright and version
	information on startup. There were reports of .xsession-errors
	being populated with this information. Now version information is
	available with -V. Removed copyright because it was solely to
	Jamie which it no longer is.

2009-03-09  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-module-metadata-utils.c:
	(get_file_content): Fixed potential buffer overflow. Reported in
	https://bugs.launchpad.net/ubuntu/+source/tracker/+bug/339560.

2009-03-06  Michael Biebl  <mbiebl@gmail.com>

	* python/deskbar-handler/tracker-module.py:
	* python/deskbar-handler/tracker-handler.py: Starting with version 2.23.6,
	deskbar-applet no longer ships the deskbar.core.gnomedeskop python module
	so we use gnomedesktop directly (requires python-gnome-desktop).
	Not only fix the imports but also the code, so the desktop file support keeps
	working.
	Patch pulled from Ubuntu.
	* python/deskbar-handler/tracker-module.py: Bump version to 0.6.90.

2009-03-06  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-dbus.[ch]: Added
	tracker_dbus_str_to_strv() since it is pretty common.

	* src/libtracker-db/tracker-db-dbus.c: Some code clean ups.

	* src/libtracker-common/tracker-thumbnailer.c: When we get an
	error from the thumbnailer, include the context so we know where
	the error came from.
	
	* src/libtracker-db/tracker-db-manager.c:
	(function_group_concat_step): Fixed my g_return_if_fail()
	change for the g_assert() which ottela added initially, logic was
	wrong way round.

2009-03-06  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-main.c:
	* src/tracker-extract/tracker-main.c: Initialize DBus before log
	subsystem, so a second instance being run doesn't wipe the current
	instance logs.

2009-03-06  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-push.c:
	* src/trackerd/tracker-push.c: These directories not existing ain't
	real errors that are worth reporting

2009-03-06  Carlos Garnacho  <carlos@imendio.com>

	Clean up deleted elements from dbs/index on tracker-indexer idle time.
	This is the equivalent to dud hits removal, which trackerd can't
	perform since it opens the index files as readonly. Now services are
	just marked as disabled on deletion. So the indexer cleans them up
	slowly, after all elements have been processed, and before it shuts 
	down.

	* data/db/sqlite-service.sql: Create the new table for deleted
	elements.
	* data/db/sqlite-stored-procs.sql: Add stored procedures for disabling
	services and dealing with the DeletedServices table.

	* src/libtracker-data/tracker-data-query.[ch]
	(tracker_data_query_metadata_fields): Do not have service ID as a
	string argument.
	(tracker_data_query_first_removed_service): New function to retrieve a
	deleted file.

	* src/trackerd/tracker-metadata.c (tracker_metadata_get): Adapt to API
	change in tracker-data-query.[ch]

	* src/libtracker-data/tracker-data-search.c
	(tracker_data_search_text): Remove code to clean up dud hits.

	* src/libtracker-data/tracker-data-update.[ch]
	(tracker_data_update_disable_service): Add function to disable a
	service.
	(tracker_data_update_delete_service): Also remove the service from the
	DeletedServices table.

	* src/libtracker-db/tracker-db-index.[ch] (tracker_db_index_finalize):
	Ensure the index is opened before flushing.
	(tracker_db_index_remove_dud_hits): Removed.

	* src/tracker-indexer/tracker-indexer.[ch] (cleanup_task_func)
	(cleanup_task_start) (cleanup_task_stop) (state_check): Add "cleanup"
	state
	(check_started): Also ensure the cleanup task is stopped.
	(check_finished): Launch the cleanup task from here.
	(item_remove): Renamed to item_mark_for_removal(). No longer delete 
	things from the databases, just mark them as disabled. Queue children
	to be removed in the file queue.
	(item_erase): Added, actually delete the item from databases and
	index.
	(item_move): Erase immediately in case the dest path already exists.
	(tracker_indexer_get_running) (tracker_indexer_get_stoppable):
	Separate these a bit since the indexer now also must be paused during
	cleanup.

	* src/tracker-indexer/tracker-main.c (quit_timeout_cb): Use
	tracker_indexer_get_stoppable() to get to know whether the indexer
	should be stopped.

	* src/trackerd/tracker-dbus.c (indexer_name_owner_changed)
	(initialize_indexer_presence) (dbus_register_names): Listen for
	changes in the tracker-indexer presence...
	(dbus_request_new_cb): ... in order to pause it here if necessary,
	since now it should always be paused.

2009-03-06  Ivan Frade  <ivan.frade@nokia.com>

	* python/deskbar-handler/tracker-module.py:
	Update import to use gnomedesktop instead of
	deskbar.code.gnomedesktop. Patch by Michel Alexandre Salim. 
	Fixes bug #571573 (Michel Alexandre Salim).
	
2009-03-06  Michael Biebl  <mbiebl@gmail.com>

	* python/deskbar-handler/tracker-module.py: Update deskbar module to
	the new D-Bus API, fix a small typo (recieve->receive) while at it.

2009-03-06  Martyn Russell  <martyn@imendio.com>

	* src/tracker-fts/tracker-fts.c: Merged some of the non-code
	changes (i.e. alignments, comment updates) back into our FTS
	version from upstream to make comparing easier with future
	changes in SQLite.

2009-03-06  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-removable-device.c: Do not use string
	contatenation tricks to get URIs, use GFile instead. Fixed also wrong
	code formatting and some incorrectly freed/leaked variables as well.

2009-03-05  Carlos Garnacho  <carlos@imendio.com>

	Merge together the GetFileChildren and SelectFileChild stored
	procedures.

	* data/db/sqlite-stored-procs.sql: Only one can stand.
	* src/libtracker-data/tracker-data-query.c
	(tracker_data_query_service_children):
	* src/libtracker-data/tracker-data-search.c
	(tracker_data_search_files_get): Adapt to stored procedures change.

2009-03-04  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c:
	(tracker_indexer_files_check): Added indexer fix using Carlos'
	patch now that we only send top level directories which are
	deleted from the daemon not all files.

2009-03-04  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract-exif.c:
	* src/tracker-extract/tracker-extract-gstreamer-playbin.c: Removed
	no longer used extractors. 

2009-03-04  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-iptc.c: Fixed a memory leak.
	* src/tracker-extract/tracker-extract-mp3.c: Added un-unsynch
	support to mp3 extractor.

	Fixes NB#99823

2009-03-04  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-index.c:
	(tracker_db_index_get_word_hits), (tracker_db_index_add_word),
	(tracker_db_index_remove_dud_hits): Make sure we check the
	priv->readonly property before trying to add or remove words from
	the QDBM index. As you may see from now on, this indicates that
	the only time we remove duds and words from the index is when the
	trackerd process finds them and it *ONLY* opens the index as
	readonly. We need to fix this removing dud issue ASAP - bring on
	FTS support!

2009-03-04  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.c: Now we cache DELETE events. This
	way, when recursively deleting a directory, we ONLY send the
	top level directory that was removed to the indexer instead of
	EVERY file and subdirectory under it.

2009-03-04  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (index_flush_item)
	(tracker_db_index_flush): Prevent against cur_cache being possibly
	NULL.
	* src/tracker-indexer/tracker-indexer.c (check_finished)
	(check_stopped): Call check_finished() in any case, not just after the
	cache has been flushed.

2009-03-03  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Fixed frame size
	calculation. 

2009-03-03  Martyn Russell  <martyn@imendio.com>

	* data/db/sqlite-service.sql:
	* src/libtracker-db/tracker-db-manager.c: Remove collation from
	Services table.

2009-03-03  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.[ch]: Make the indexer decide
	the flush timeout dynamically based on the number of elements left.

2009-03-03  Carlos Garnacho  <carlos@imendio.com>

	Make flushing to index asynchronous.

	* src/libtracker-db/tracker-db-index.[ch]: Make asynchronous, so the
	information is committed in batches, and the cache is layered. Add
	boolean properties to indicate whether it's currently flushing or
	saturated (i.e.: too many cache layers left to flush)
	* src/tracker-indexer/tracker-indexer.c: Update to these changes.
	Listen for changes in these new properties in order to pause the
	indexer or waiting for the index to be flushed before finishing.

2009-03-03  Carlos Garnacho  <carlos@imendio.com>

	Do not wipe out/overwrite existing logs if there's a running instance.

	* src/libtracker-common/tracker-log.c (tracker_log_init): Remove old
	log file here, prior to creating the new one.
	* src/trackerd/tracker-main.c (initialize_directories): Do not remove
	the old log file here.
	(main): Check whether there's a running instance before initializing
	the logs subsystem.

2009-03-03  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (restore_backup_cb): Iterate
	the main loop while processing the turtle records to restore.

2009-03-03  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-manager.c: Removed
	TRACKER_DB_PAGE_SIZE_DEFAULT, use TRACKER_DB_PAGE_SIZE_DONT_SET
	instead because this allows SQLite to decide what to use based on
	the file system block size. Tests with 40k items show a 2 minute
	speed improvement (was 13.5 minutes in total).

2009-03-03  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-manager.c:
	(tracker_db_manager_init): Add new DB versions so users are forced
	to reindex when updating from svn or to the next version 0.6.91
	planned for next week. NOTE: Updating to this version *WILL*
	require you reindex your data.

2009-03-03  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-escape.c: 
	* src/tracker-extract/tracker-extract-gstreamer-playbin.c:
	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-extract-mp3.c: 
	* src/tracker-extract/tracker-extract.c:
	* tests/tracker-extract/tracker-extract-test-utils.c: Don't use
	g_strstrip() before calling tracker_escape_metadata() which calls
	g_strstrip() for us.

2009-03-02  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-escape.c
	* src/tracker-extract/tracker-escape.h: Strip the whitespaces from
	extracted metadata.

	Fixes NB#102246, NB#103260

2009-03-02  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c   
	* src/tracker-extract/tracker-extract-gstreamer.c: Treat the
	Unknown genre like other unknown/missing values.

	Fixes NB#103198

2009-03-02  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-db/tracker-db-interface-sqlite.c
	* src/libtracker-db/tracker-db-manager.c: More proper handling of
	NULLs in aggregates.

2009-03-02  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/trackerd/tracker-search.c
	* src/libtracker-data/tracker-rdf-query.c: Use group_concat for
	multivalued queries instead of combining entries in code.

	Fixes NB#102210.

2009-03-02  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract-jpeg.c (extract_jpeg): Use
	correct ifdef to cover otherwise unused variables.

2009-02-27  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-jpeg.c: Put back variables
	needed for exif extraction.

2009-02-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-metadata-utils.c
	(metadata_utils_get_embedded): Plug a leak.

2009-02-27  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-main.c (shutdown_indexer) (main): Do not
	explicitly shutdown the indexer, it will shutdown by itself then
	trackerd disappears from the session bus, and it could respawn a
	indexer instance if it wasn't there.

2009-02-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (check_stopped): Do not report
	spurious elapsed times if check_stopped is called when the indexer is
	in stopped state.

2009-02-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract-jpeg.c (extract_jpeg):
	* src/tracker-extract/tracker-extract-ps.c (extract_ps_gz):
	* src/tracker-utils/tracker-search.c (main):
	* src/tracker-utils/tracker-services.c (main): Fix compiler warnings.

2009-02-26  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-backup.c: Fixed some compilation
	errors.
	* src/libtracker-data/tracker-data-search.c: Minor fix to
	concatenation dbus method.
	* src/libtracker-db/tracker-db-interface-sqlite.c
	* src/libtracker-db/tracker-db-interface-sqlite.h: Added
	abstraction layer to sqlite aggregate function creation.
	* src/libtracker-db/tracker-db-manager.c: Added a redefined version of
	GROUP_CONCAT aggregate function.	

2009-02-26  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-daemon.c (tracker_daemon_get_status): Do not
	use all the tracker_dbus_request machinery, so asking for the status
	doesn't actually change it.

2009-02-26  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-xesam-live-search.c (get_hit_data): Do not use
	deprecated functions. Fixes bug #572237.

2009-02-26  Andre Klapper  <a9016009@gmx.de>

	* src/tracker-search-tool/tracker-search-tool-support.c:
	Replace a call to libart with a GDK equivalent. Patch by Cosimo
	Cecchi copied from gnome-utils.
	Fixes bug #571736.

2009-02-26  Carlos Garnacho  <carlos@imendio.com>

        Refactor Backups to turtle files support out to a
        org.freedesktop.Tracker.Backup interface.

        * data/dbus/tracker-backup.xml: Definition for the new interface.
        * data/dbus/tracker-daemon.xml: Remove Backup method.

        * src/libtracker-data/Makefile.am:
        * src/libtracker-data/tracker-data-backup.[ch]: New files, contain
        the actual saving/restoring to/from turtle files, this was spread
        before in tracker-indexer and trackerd.

        * src/tracker-indexer/tracker-indexer.c
        (tracker_indexer_restore_backup) (restore_backup_cb): Use new
        functions in libtracker-data.

        * src/trackerd/tracker-backup.[ch]: Now they contain TrackerBackup,
        the object that's going to handle petitions from DBus.
        * src/trackerd/tracker-dbus.c: Hook the new object into trackerd.
        * src/trackerd/tracker-daemon.c: Remove implementation for Backup
        method.

        * src/trackerd/tracker-main.c:
	* src/trackerd/Makefile.am: Miscellaneous changes.

2009-02-26  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-manager.c: Added CollateKey sqlite
	function to let it handle collate key changes. Check locale on startup
	and regenerate collate keys if necessary.
	* src/libtracker-data/tracker-data-update.c: Remove collate key
	generation from code, since now it will be handled by the database.
	* data/db/sqlite-stored-procs.sql: Updated to use the CollateKey
	function, added getter/setter for locale config option, stored in
	Options (common.db)

2009-02-26  Philip Van Hoof  <philip@codeminded.be>

	* src/plugins/evolution/Makefile.am
	* src/plugins/rss/Makefile.am
	* src/plugins/kmail/Makefile.am
	* src/qdbm/Makefile.am
	* src/libtracker-data/Makefile.am
	* src/libtracker-gtk/Makefile.am
	* src/tracker-applet/Makefile.am: Added support for coverage reporting
	to targets that I missed last commit for this feature

2009-02-25  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/dbus/tracker-metadata.xml:
	* src/libtracker/tracker.h:
	* src/libtracker/tracker.c:
	* src/tracker-utils/tracker-unique.c:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/libtracker-data/tracker-data-search.h:
	* src/trackerd/tracker-metadata.c
	* src/trackerd/tracker-metadata.h: Added a new function to
	metadata dbus API to get concatenated group fields.
	
	* data/db/sqlite-service.sql:
	* src/libtracker-data/tracker-data-schema.c:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-rdf-query.c: Fixed problems in
	joining of order fields.

2009-02-25  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (struct PathInfo)
	(path_info_new): Contain info about whether it should recurse or not, 
	instead of passing specific parameters in the affected functions.
	(item_move) (item_remove) (process_directory) (process_module)
	(process_func) (tracker_indexer_files_check)
	(tracker_indexer_file_move): Update all callers accordingly.
	(remove_stale_children): Recurse explicitly when deleting stale items
	in DB that were deleted between executions. Fixes NB#99827.

2009-02-25  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker/Makefile.am:
	* src/tracker-fts/Makefile.am:
	* src/tracker-indexer/modules/Makefile.am:
	* src/tracker-indexer/Makefile.am:
	* src/tracker-utils/Makefile.am:
	* src/tracker-preferences/Makefile.am:
	* src/trackerd/Makefile.am:
	* src/tracker-extract/Makefile.am:
	* src/libstemmer/Makefile.am:
	* src/libtracker-db/Makefile.am:
	* src/libtracker-common/Makefile.am:
	* src/libinotify/Makefile.am:
	* src/tracker-search-tool/Makefile.am:
	* tests/trackerd/Makefile.am:
	* tests/tracker-extract/Makefile.am:
	* tests/libtracker-db/Makefile.am:
	* tests/tracker-indexer/Makefile.am:
	* tests/common/Makefile.am:
	* tests/libtracker-common/Makefile.am:
	* configure.ac: Added support for coverage reporting

2009-02-25  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-daemon.c:
	* src/trackerd/tracker-daemon.h:
	* data/dbus/tracker-daemon.xml: Added a Backup method
	to the Daemon object on DBus

2009-02-24  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/db/sqlite-stored-procs.sql: Fixed an issue with integer to
	string conversion.

2009-02-24  Martyn Russell  <martyn@imendio.com>

	* python/deskbar-handler/Makefile.am: Fixed make distcheck issue.

2009-02-24  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Improve configure switch help.

2009-02-24  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Handle id3v2 tags
	split into several frames.	
	* tests/tracker-extract/tracker-extract-mp3-test.c: Fix the
	test-cases.	

	Fixes NB#102606

2009-02-24  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract.c:
	* src/tracker-extract/tracker-main.c: call alarm() prior to processing
	a file, so the extractor dies if it gets stuck.

2009-02-24  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (tracker_db_index_add_word): Do
	not remove words with negative weight from the cache, so they make it
	to the actual index.

2009-02-24  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: If we don't get an mtime
	for a file, don't then just return, make sure it is removed from
	the DB. Reduced debugging so we don't print twice that we aren't
	changing the DB for each file. Improved function names and
	debugging to make more sense. Fixes NB#98297 too.

2009-02-24  Martyn Russell  <martyn@imendio.com>

	* data/db/sqlite-stored-procs.sql:
	* data/db/sqlite-tracker.sql: 
	* src/libtracker-data/tracker-data-update.[ch]:
	* src/tracker-indexer/tracker-indexer.c:  Add $home as the first
	volume in the Volumes table with an id of 1 (has to be non-zero)
	and make sure all new items not related to a volume that are
	indexed use a default id of 1 instead of 0. Removed incstat and
	decstat stored procedures, they are not needed now. Updated the
	GetStats function call to get a real time count of the data, not a
	pre-calculated number from a table. Fixes NB#98297.

2009-02-24  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-main.c:
	* src/tracker-indexer/tracker-main.c: 
	* src/tracker-utils/tracker-status.c:
	* src/trackerd/tracker-main.c: Don't handle signals SIGSEGV,
	SIGBUS, SIGILL, SIGFPE, SIGABRT, instead let a core file be
	generated for those. We only handle SIGINT, SIGTERM and SIGHUP.
	Fixes NB#102800.

2009-02-24  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Make tracker-preferences, tracker-applet,
	tracker-search-tool and libtrackergtk all "auto" so we don't error
	for people that just want Tracker without a user interface.

2009-02-23  Martyn Russell  <martyn@imendio.com>

	* data/db/sqlite-stored-procs.sql: Updated ServiceMetadata queries
	to use "Display" field instead of "Value" field where it makes sense.
	
	* src/libtracker-data/tracker-data-update.c: Write ServiceMetadata
	collation data to the table.

2009-02-23  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* data/Makefile.am:
	* docs/manpages/Makefile.am:
	* python/deskbar-handler/Makefile.am:
	* python/deskbar-handler/tracker-module.py:
	* src/Makefile.am: Fixed tracker-search-tool, tracker-preferences,
	tracker-applet and the deskbar-applet enable/disable switches in
	configure. Also fixed the deskbar-applet so it actually errors
	when using --enable-deskbar-applet instead of doing nothing when
	we don't have it available.

2009-02-23  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-utils/tracker-query.c
	* src/libtracker-data/tracker-data-search.c
	* src/libtracker-data/tracker-rdf-query.c: Use the
	MetadataCollation for sorting rather than the display field.

2009-02-23  Martyn Russell  <martyn@imendio.com>

	* python/deskbar-handler/README: Removed. Was 0 bytes.

2009-02-20  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-schema.c                                         
	* src/libtracker-data/tracker-field-data.c                                          
	* src/libtracker-data/tracker-field-data.h: Added support for
	order-fields.

2009-02-20  Mikael Ottela  <mikael.ottela@ixonos.com>
	
	* data/db/sqlite-stored-procs.sql: 
	* data/db/sqlite-service.sql: Added collation column to
	ServiceMetadata for future development.
	
2009-02-20  Mikael Ottela  <mikael.ottela@ixonos.com>

	* configure.ac:
	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-iptc.c:
	* src/tracker-extract/Makefile.am:
	* src/tracker-extract/tracker-extract-tiff.c:
	* src/tracker-extract/tracker-iptc.h: Added iptc support for tiff
	and jpeg.

	Fixes NB#101954
	
2009-02-20  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-dbus.[ch]:
	* src/libtracker-common/tracker-field.h:
	* src/libtracker-common/tracker-ontology.h:
	* src/libtracker-common/tracker-parser.h:
	* src/libtracker-common/tracker-service.h: Fixed the #defines for
	these headers so they don't possibly conflict with same name
	headers in the future.

2009-02-19  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-jpeg.c: Error handling
	changed not to abort anymore in jpeg extraction in case of failures.

2009-02-19  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer-playbin.c
	* src/tracker-extract/tracker-extract-gstreamer-tagreadbin.c
	* src/tracker-extract/tracker-extract-gstreamer.c: Switched
	gstreamer extractor implementation to use decodebin/tagreadbin.
	
2009-02-18  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-manager.c: Don't optimize the
	database(s) unless there have been changes committed to them. This
	fixes NB#101296.

2009-02-18  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: Reset stats after we issue
	finished signal.
	
	* src/trackerd/tracker-processor.c: Small code cleanup.

2009-02-18  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.[ch]: Removed unused
	functions. 

	* src/libtracker-db/tracker-db-file-info.c:
	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-extract-png.c:
	* src/tracker-extract/tracker-extract-tiff.c:
	* src/tracker-indexer/tracker-indexer.c: Use
	tracker_file_get_mtime() instead of using g_lstat() everywhere.

2009-02-18  Martyn Russell  <martyn@imendio.com>

	* docs/reference/libtracker-common/Makefile.am:
	* docs/reference/libtracker-module/Makefile.am:
	* src/libinotify/Makefile.am:
	* src/libstemmer/Makefile.am:
	* src/libtracker-common/Makefile.am:
	* src/libtracker-data/Makefile.am:
	* src/libtracker-db/Makefile.am:
	* src/libtracker-gtk/Makefile.am:
	* src/plugins/evolution/Makefile.am:
	* src/plugins/kmail/Makefile.am:
	* src/plugins/rss/Makefile.am:
	* src/tracker-applet/Makefile.am:
	* src/tracker-extract/Makefile.am:
	* src/tracker-fts/Makefile.am:
	* src/tracker-indexer/Makefile.am:
	* src/tracker-indexer/modules/Makefile.am:
	* src/tracker-preferences/Makefile.am:
	* src/tracker-search-tool/Makefile.am:
	* src/tracker-utils/Makefile.am:
	* src/trackerd/Makefile.am:
	* tests/common/Makefile.am:
	* tests/libtracker-common/Makefile.am:
	* tests/libtracker-db/Makefile.am:
	* tests/tracker-extract/Makefile.am:
	* tests/tracker-indexer/Makefile.am:
	* tests/trackerd/Makefile.am:
	* tests/trackerd/xesam/Makefile.am:
	* utils/qdbm/Makefile.am:
	* utils/tracker-fts/Makefile.am: Fixed Makefiles so we include
	WARN_CFLAGS in all files. Some files were missing this.

	* src/libtracker-common/tracker-albumart.[ch]: 
	* src/libtracker-common/tracker-thumbnailer.h: Fixed #define
	statements so they are not the same as the extractor header files.
	
	* src/libtracker-common/tracker-config.c:
	* src/tracker-extract/tracker-dbus.[ch]: 
	* src/tracker-extract/tracker-extract-albumart.c:
	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-main.[ch]: 
	* src/trackerd/tracker-cleanup.c:
	* src/trackerd/tracker-dbus.c: 
	* src/trackerd/tracker-processor.c: 
	* src/trackerd/tracker-status.c: 
	* tests/tracker-extract/tracker-extract-gstreamer-test.c: 
	* tests/tracker-extract/tracker-extract-jpeg-test.c:
	* tests/tracker-extract/tracker-extract-mp3-test.c: 
	* tests/tracker-extract/tracker-extract-png-test.c: 
	* tests/tracker-extract/tracker-extract-test-utils.c:
	* tests/tracker-extract/tracker-extract-testsuite-avi.c:
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.c:
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.h:
	* tests/tracker-extract/tracker-extract-testsuite-mp3.c:
	* tests/tracker-extract/tracker-extract-testsuite-mp3.h:
	* tests/tracker-extract/tracker-extract-testsuite-png.c:
	* tests/tracker-extract/tracker-extract-testsuite-png.h:
	* tests/tracker-extract/tracker-extract-testsuite-tiff.c:
	* tests/tracker-extract/tracker-extract-testsuite-tiff.h:
	* tests/tracker-extract/tracker-extract-tiff-test.c: Fixed all the
	warnings produced by adding WARN_CFLAGS to the Makefile.am files.

2009-02-18  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-config.c:
	(config_create_with_defaults): Use g_strv_length() to make the
	patching here easier for Maemo.

2009-02-17  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-status.c: Fixed missing include.

2009-02-17  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: Make timeout for flushing
	data to the database 30 seconds instead of 60 seconds to try and
	improve responsiveness for new data.

	* src/trackerd/tracker-dbus.c: Make timeout between receiving a
	DBus request from the user and continuing to index data 5 seconds
	instead of 10 seconds.

2009-02-17  Martyn Russell  <martyn@imendio.com>

	* data/dbus/tracker-indexer.xml: 
	* src/tracker-indexer/tracker-indexer.c: Removed the "Reason" from
	the Paused signal since we don't have a reason any more. We are
	paused when we are told. All battery monitoring and disk space
	monitoring has been moved to the daemon status module and removed
	from the indexer so state is more centrally observed.
	
	* src/tracker-utils/tracker-status.c: Added a couple of command
	line options to "follow" the status of Tracker using --follow
	(instead of just returning to the command line after the initial
	query) and also to get more details using --detailed.
	
	* src/trackerd/tracker-main.[ch]: Added API to get data dir for
	the disk space monitoring which uses the database directory
	location for disk space checking. 
	
	* src/trackerd/tracker-dbus.c: 
	* src/trackerd/tracker-status.[ch]:  Added APIs to deal with
	pausing during DBus calls. Fixed a bunch of issues found here
	where we just weren't returning to the correct state after being
	paused due to DBus requests from apps or pausing manually from the
	user. 

2009-02-17  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-status.c: Handle Ctrl+C more
	gracefully.

2009-02-17  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-status.c: Add options to track changes
	in real time instead of repeatedly asking the daemon.

2009-02-17  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-extract-mp3.c
	* src/tracker-extract/tracker-extract-gstreamer-helix.c
	* src/tracker-extract/tracker-extract-gstreamer.c
	* src/tracker-extract/tracker-extract-albumart.c
	* src/libtracker-common/tracker-albumart.c: Don't add the artist-name
	to the album-art request.

2009-02-17  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-albumart.c:
	(tracker_albumart_queue_cb): Fixed warning from missing include.
	
	* src/libtracker-common/tracker-utils.[ch]: Added g_dngettext()
	which is in GLib 2.18 but we don't depend on it. Now all the utils
	use tracker_dngettext() instead.
	
	* src/tracker-utils/Makefile.am:
	* src/tracker-utils/tracker-files.c: 
	* src/tracker-utils/tracker-info.c: 
	* src/tracker-utils/tracker-meta-folder.c:
	* src/tracker-utils/tracker-query.c: 
	* src/tracker-utils/tracker-search.c:
	* src/tracker-utils/tracker-tag.c: 
	* src/tracker-utils/tracker-unique.c: Include libtracker-common
	and use new function for translations with plural entities using
	imported function g_dngettext() from Glib 2.18.

2009-02-16  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-status.c: Make sure we *ALWAYS* log state
	changes. The recent status code updates broke that.
	
2009-02-16  Martyn Russell  <martyn@imendio.com>

	* src/tracker-utils/tracker-services.c: Also sorted all properties
	returned by tracker-services. 

	* src/tracker-utils/tracker-files.c: 
	* src/tracker-utils/tracker-info.c: 
	* src/tracker-utils/tracker-meta-folder.c:
	* src/tracker-utils/tracker-query.c: 
	* src/tracker-utils/tracker-search.c: 
	* src/tracker-utils/tracker-tag.c: 
	* src/tracker-utils/tracker-unique.c: Added extra warning to all
	utils which have a --limit option so the user knows that there are
	more results if the limit is reached and not listed to stdout.
	Fixed the singular/plural issues with "Results".

2009-02-16  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-extract-ps.c
	* configure.ac: Added option to disable uncompressing ps.gz files to
	/tmp, which is a bad idea on certain mobile devices

2009-02-12  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-png.c:
	data/services/default.service: Handle also sketch/png mime
	correctly.

	Fixes NB #101593 

2009-02-12  Philip Van Hoof  <philip@codeminded.be>

	* src/plugins/evolution/tracker-evolution-indexer.h
	* src/plugins/evolution/tracker-evolution-registrar.h
	* src/plugins/evolution/tracker-evolution-plugin.xml
	* src/plugins/evolution/Makefile.am
	* src/plugins/evolution/tracker-evolution-indexer.c
	* src/plugins/evolution/tracker-evolution-registrar.xml
	* src/plugins/evolution/tracker-evolution-registrar.c
	* src/plugins/Makefile.am
	* src/tracker-indexer/tracker-main.c
	* src/tracker-indexer/Makefile.am
	* src/trackerd/tracker-main.c
	* src/trackerd/Makefile.am
	* configure.ac
	* data/db/sqlite-tracker.sql
	* src/plugins/rss
	* src/plugins/rss/tracker-rss-registrar.xml
	* src/plugins/rss/tracker-rss-registrar.c
	* src/plugins/rss/tracker-rss-indexer.h
	* src/plugins/rss/tracker-rss-registrar.h
	* src/plugins/rss/Makefile.am
	* src/plugins/rss/tracker-rss-common.h
	* src/plugins/rss/tracker-rss-indexer.c
	* src/plugins/kmail
	* src/plugins/kmail/tracker-kmail-common.h
	* src/plugins/kmail/tracker-kmail-indexer.c
	* src/plugins/kmail/tracker-kmail-registrar.xml
	* src/plugins/kmail/tracker-kmail-registrar.c
	* src/plugins/kmail/tracker-kmail-indexer.h
	* src/plugins/kmail/Makefile.am
	* src/plugins/kmail/tracker-kmail-registrar.h
	* src/tracker-indexer/tracker-push.c
	* src/tracker-indexer/tracker-push.h
	* src/trackerd/tracker-push-registrar.c
	* src/trackerd/tracker-push.c
	* src/trackerd/tracker-push-registrar.h
	* src/trackerd/tracker-push.h
	* src/plugins/evolution/tracker-evolution.h
	* src/plugins/evolution/tracker-evolution.c: New infrastructure for 
	so-called Push modules, these include the new support for Evolution

2009-02-12  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-common/tracker-albumart.c: Bugfix for local mediaart

2009-02-12  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-ioprio.c:
	* src/tracker-indexer/tracker-main.c: 
	* src/trackerd/tracker-main.c: Use SCHED_IDLE for the process
	scheduling to improve responsiveness of phone calls and other real
	time applications. Fixes NB#95573.

2009-02-12  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-main.c
	* src/tracker-extract/tracker-extract-jpeg.c
	* src/tracker-extract/tracker-extract-png.c: Added checks for
	minimum file size and access.

	Fixes NB #101096.

2009-02-11  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-schema.c
	* src/libtracker-data/tracker-rdf-query.c
	* src/libtracker-data/tracker-field-data.c
	* src/libtracker-data/tracker-field-data.h: For equality condition
	against an empty string in queries use outer join to include nulls.
	
2009-02-11  Carlos Garnacho  <carlos@imendio.com>

	Add option for modules to discard a directory based on its contents.

	* src/libtracker-common/tracker-module-config.[ch]
	(tracker_module_config_get_ignored_directories_with_content): Added
	function for new module configuration option.

	* src/trackerd/tracker-crawler.c: Modified to obey the new
	configuration option, now it must retrieve all contents for a
	directory before processing them in order to know whether it's
	filtered or not.

	* data/modules/*.module: Add default values for this option.

2009-02-11  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (item_move): And add back that
	recurse boolean parameter to the function, looks like commit r2892 to
	tracker-indexer.c wiped out the previous commit.

2009-02-11 Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/services/default.service
	* data/db/sqlite-service.sql: Turned some KeyMetadata6-8 into
	Integer affinity so the sorting should works correctly.

	Fixes NB #101142

2009-02-11  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-extract-mp3.c
	* src/tracker-extract/tracker-extract-gstreamer-helix.c
	* src/tracker-extract/tracker-extract-gstreamer.c
	* src/tracker-extract/Makefile.am
	* src/libtracker-common/Makefile.am
	* src/tracker-extract/tracker-extract-albumart.c
	* src/tracker-extract/tracker-extract-albumart.h
	* src/libtracker-common/tracker-albumart.c
	* src/libtracker-common/tracker-albumart.h
	* src/tracker-extract/tracker-albumart.c
	* src/tracker-extract/tracker-albumart.h: Made a library for the album-art
	code, because other processes (tracker-indexer and trackerd) will soon
	have to perform album-art use-cases and requests too (not only the 
	tracker-extract will have to do it anymore)

2009-02-11  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/trackerd/tracker-main.c: Crash fix for error freeing.

2009-02-10  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-main.c: (crawling_finished_cb): Make sure
	we initialise GError to NULL. Also use the error in the print
	statement if it is set and make sure we also free it. If we do
	fail (i.e. error != NULL) we now don't try to rename the ttl file. 

2009-02-10  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-common/tracker-type-utils.c: Handle ISO 8601 that
	has fractions of a second.

	Fixes NB #100123

2009-02-10  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract.c: Check file size is
	non-zero before trying to extract metadata from it. This saves us
	time and warnings in the log.
	
	* src/tracker-extract/tracker-main.c: Added GOption based command
	line argument handling. Also added -m for mime -f for filename and
	-v to set the verbosity to something other than the default config.

2009-02-09  Martyn Russell  <martyn@imendio.com>

	* Release 0.6.90.

2009-02-09  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-manager.c: (db_set_params): Revert
	Jamie's change to use FULL synchronicity with SQLite. There was a
	speed issue with it.

2009-02-09  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-dbus.[ch]: Added a debug function
	which uses g_debug() instead of g_message().
	
	* src/tracker-extract/tracker-escape.[ch]: Make it possible to UTF8
	validate all strings escaped. For now we are turning this off.
	
	* src/tracker-extract/tracker-extract.c: Use the new DBus debug
	function so we don't spam the logs in EVERY log verbosity mode.
	This makes quite an impact on indexing time with verbosity set to 3.

2008-02-09  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (item_remove): Add back once
	again deleting content from removed services.

2009-02-08 Jamie McCracken <jamiemcc at gnome org>

	* src/libtracker-db/tracker-db-manager.c:
	Use full synchronous in sqlite to minimize corruption

2009-02-06  Martyn Russell  <martyn@imendio.com>

	* tests/tracker-extract/tracker-extract-gstreamer-test.c: (main):
	Fixed test cases missing namespace change for TrackerExtractor.

2009-02-06  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/dummy.c:
	* src/tracker-extract/tracker-extract-exif.c:
	* src/tracker-extract/tracker-extract-gstreamer-helix.c:
	* src/tracker-extract/tracker-extract-gstreamer-tagreadbin.c:
	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-extract-imagemagick.c:
	* src/tracker-extract/tracker-extract-libxine.c: Fixed broken
	names after renaming TrackerExtractor to TrackerExtract to be
	consistent with the namespace.

2009-02-06  Martyn Russell  <martyn@imendio.com>

	* docs/reference/libtracker-common/Makefile.am: Fixed make
	distcheck issues.

2009-02-06  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-escape.c: Make sure we check for
	UTF8 validation before sending over dbus.
	
	* src/tracker-extract/tracker-extract.c: Fixed some warnings
	related to NULL hash tables.

2009-02-06  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-escape.[ch]: Make the escape
	functions simply duplicate the functions with g_strdup() and
	g_strdup_printf().
	
	* src/tracker-extract/dummy.c:
	* src/tracker-extract/tracker-extract-abw.c:
	* src/tracker-extract/tracker-extract-exif.c:
	* src/tracker-extract/tracker-extract-gstreamer-helix.c:
	* src/tracker-extract/tracker-extract-gstreamer-tagreadbin.c:
	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-extract-html.c:
	* src/tracker-extract/tracker-extract-imagemagick.c:
	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-extract-libxine.c:
	* src/tracker-extract/tracker-extract-mp3.c: 
	* src/tracker-extract/tracker-extract-mplayer.c:
	* src/tracker-extract/tracker-extract-msoffice.c:
	* src/tracker-extract/tracker-extract-oasis.c: 
	* src/tracker-extract/tracker-extract-pdf.c: 
	* src/tracker-extract/tracker-extract-playlist.c:
	* src/tracker-extract/tracker-extract-png.c:
	* src/tracker-extract/tracker-extract-ps.c:
	* src/tracker-extract/tracker-extract-tiff.c:
	* src/tracker-extract/tracker-extract-totem.c:
	* src/tracker-extract/tracker-extract-vorbis.c:
	* src/tracker-extract/tracker-extract-xmp.c: 
	* src/tracker-extract/tracker-xmp.c: Renamed 'Extractor' to 'Extract' 

	* data/dbus/Makefile.am:
	* data/dbus/org.freedesktop.Tracker.Extract.service.in:
	* data/dbus/tracker-extract.xml:
	* src/tracker-extract/Makefile.am:
	* src/tracker-extract/tracker-extract.[ch]: New DBus object with
	introspection to request metadata for a file and mime type.
	
	* src/tracker-extract/tracker-main.[ch]: Use logging and now log
	all messages to tracker-extract.log.

	* src/tracker-indexer/Makefile.am:
	* src/tracker-indexer/tracker-dbus.h:
	* src/tracker-indexer/tracker-module-metadata-utils.c: Call the
	new extracter over DBus.
	
	* tests/tracker-extract/tracker-extract-jpeg-test.c:
	* tests/tracker-extract/tracker-extract-mp3-test.c:
	* tests/tracker-extract/tracker-extract-png-test.c:
	* tests/tracker-extract/tracker-extract-test-utils.c:
	* tests/tracker-extract/tracker-extract-test-utils.h:
	* tests/tracker-extract/tracker-extract-testsuite-avi.c:
	* tests/tracker-extract/tracker-extract-testsuite-generic.[ch]:
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.c:
	* tests/tracker-extract/tracker-extract-testsuite-mp3.c:
	* tests/tracker-extract/tracker-extract-testsuite-png.c:
	* tests/tracker-extract/tracker-extract-testsuite-tiff.c:
	* tests/tracker-extract/tracker-extract-tiff-test.c: Updated tests
	accordingly.

2009-02-06  Carlos Garnacho  <carlos@imendio.com>

	Pass also the amount of processed items over to trackerd, use this
	number in the IndexProgress DBus signal to improve feedback, this also
	fixes the bug where the total items was being reduced down to 0.

	* data/dbus/tracker-indexer.xml: Include processed items count in both
	Status and Finished signals.
	* src/tracker-indexer/tracker-marshal.list:
	* src/tracker-indexer/tracker-indexer.[ch]: include processed items
	count in ::status and ::finished. Also increase the processed items
	count when an item is being skipped.

	* src/trackerd/tracker-marshal.list:
	* src/trackerd/tracker-dbus.c:
	* src/trackerd/tracker-processor.c:
	* src/trackerd/tracker-xesam-manager.c: Adapt to tracker-indexers DBus
	API change. Report processed items count in IndexProgress.

2009-02-06  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (item_remove): Add a boolean
	param to specify whether we should recurse when deleting or not. Also
	make it delete content from the database again, since this is still
	needed.
	(item_move) (process_file): Update callers as appropriate.

2009-02-06  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c:
	Do not give images Video:Framerate value.

	Fixes NB #100816.

2009-02-06  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-indexer/tracker-indexer.c
	* src/trackerd/tracker-metadata.c:
	Removed asserts disabling the set of embedded properties.
	Now tracker will accept it and it is a responsability of the
	application developers to use carefully this.
	
	* src/tracker-extract/tracker-extract-playlist.c:
	Added new default value for the property ValidDuration
	
	* data/services/playlist.metadata
	* data/services/default.service
	Renamed TotalLength to Duration
	Added ValidDuration property. When tracker is unable to calculate
	the duration of a playlist, the applications can try to calculate
	it and write the value. Then they will set this property to
	something != 0.

2009-02-06  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-indexer/tracker-module-metadata-utils.c
	* src/libtracker-common/tracker-os-dependant-unix.c: Removed a
	timeout from the tracker-extractor spawning.

2009-02-06  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (item_remove): #ifdef out the
	code that removed metadata from the index. No longer existing items
	will be removed at query time.

2009-02-06  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (indexer_update_word): Fixed
	yet another glitch in the binary search... the right pivot was being
	set past the last element in the array.

2009-02-05  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-search.c
	* data/services/default.service: Some query speed improvements
	
2009-02-05  Martyn Russell  <martyn@imendio.com>

	* src/tracker-applet/tracker-applet.c: (set_status_hint),
	(can_auto_pause), (index_state_changed): Added new state (PAUSED)
	and add to the tooltip when paused so it is known that it can also
	be because of heave disk IO OR low disk space. Also uncommented
	the code for the tooltip when we are paused due to low battery.
	
	* src/tracker-indexer/tracker-indexer.c: Make low disk space
	warning a g_message() instead. Also added a state_to_string()
	function so we can see state changes a bit more clearly in the
	logs.
	
	* src/trackerd/tracker-daemon.c:
	* src/trackerd/tracker-dbus.c:
	* src/trackerd/tracker-main.c: 
	* src/trackerd/tracker-monitor.c:
	* src/trackerd/tracker-processor.c:
	* src/trackerd/tracker-status.[ch]: Moved all indexer state
	monitoring (paused/continued) to the tracker-status module. Now
	when we use APIs like tracker_status_set_is_paused_manually() it
	will now: 
	  - Tell the indexer to pause/continue
	  - Signal the applet that we are in a new state
	  - Set the state internally.

	All pausing/continuing is now handled collectively in the same
	places and some bugs were fixed here. 

	We now don't send queued files to the indexer when we are paused
	for *ANY* reason (before it was just when paused for IO or
	manually).

2009-02-05  Martyn Russell  <martyn@imendio.com>

	* src/libinotify/inotify-monitor.c: (inotify_watch_func), Add main
	context iteration in the tight loop that is the event processing
	for libinotify. Attila's bug shows how spamming NOTIFY events
	means the libinotify code never returns back to the comfort of the
	main event loop. This means we never handle any timeouts or other
	event loop sources. I added an event loop iteration in there to
	make sure we always submit to the event loop in such conditions.

	Fixes NB#98896. For REAL.

2009-02-05  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c
	* data/services/video.metadata: Extract the Video:Source tag

2009-02-05  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-data/tracker-turtle.c
	* src/tracker-extract/tracker-albumart.c
	* src/libtracker-common/tracker-thumbnailer.c: Using g_filename_to_uri
	instead of doing filename to uri conversion wrong

2009-02-05  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (indexer_update_word): Fix
	glitch in binary search.
	(tracker_db_index_flush): Break flushing when paused, so it doesn't
	try to modify the closed index.

2009-02-05  Carlos Garnacho  <carlos@imendio.com>

	Let the indexer perform recursive move operations, so all files inside
	get the path changed in the index. This also makes the whole move
	operation asynchronous, so tracker-indexer can be paused in between.

	* data/db/sqlite-stored-procs.sql (GetFileChilden): new stored
	procedure to get the immediate children for a given path.

	* src/libtracker-data/tracker-data-query.[ch]
	(tracker_data_query_service_children): New function to wrap that
	stored procedure.

	* src/libtracker-data/tracker-data-update.c
	(tracker_data_update_move_service): Do not move service children,
	this is done now by the indexer itself.

	* src/tracker-indexer/tracker-indexer.c
	(filter_invalid_after_move_properties): Code legibility improvements.
	(update_moved_item_thumbnail) (update_moved_item_removable_device)
	(update_moved_item_index): Refactored out from item_move().
	(item_move): Append move operations for all children in the indexer
	queue.

2009-02-05  Martyn Russell  <martyn@imendio.com>

	* acinclude.m4: Added "maximum" to the arguments that can be used
	in --with-compile-warnings. This was always available, just not
	mentioned. It is the same as "error", just without -Werror. Also
	make "maximum" the default not "error" (only for builds with
	autogen.sh). 
	
	* configure.ac: Add a status string in the summary with the
	compile warnings setting.

2009-02-05  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/db/sqlite-service.sql
	* src/libtracker-data/tracker-data-search.c: First part of the
	database index scheme rewrite.

2009-02-02  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Leak fix

2009-02-03  Martyn Russell  <martyn@imendio.com>

	* data/modules/applications.module:
	* data/modules/evolution.module:
	* data/modules/files.module:
	* data/modules/gaim-conversations.module:
	* src/libtracker-common/tracker-module-config.[ch]: (load_file),
	(tracker_module_config_get_scan_timeout): Added scan_timeout
	option to modules and the module config. This means that if we are
	downloading a file for 10 minutes, we can set the option to make
	sure we get a signal up the stack *at least* every n seconds.
	
	* src/trackerd/tracker-monitor.c: Serious improvements to the
	cache here and how it is used. Now the NOTIFY event is used in the
	cache too. 

	This fixes NB#98896.
	
2009-02-03  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-processor.c: (process_module_next),
	(crawler_finished_cb): Make sure we stop processing modules if the
	removable devices is less than the number of removable devices we
	have completed - i.e. there is some miscalculation somewhere.
	Also, make sure we don't add removable devices into the completed
	list AGAIN if we get the "finished" signal from the crawler
	(because we added a new directory). This was causing some serious
	lock ups.

2009-02-02  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Bugfix for album-art
	thumbnail request

2009-02-02  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-main.c: (initialize_databases): Remove the
	set_db_option_int() call for IntegrityCheck and InitialIndex.
	These options are not used anywhere for anything.

2009-02-02  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-data/tracker-data-manager.c:
	(tracker_data_manager_set_db_option_int): Make sure we pass the
	parameters the right way round to the SetOption stored procedure.
	This fixes bug #570209 (TJ).

2009-01-30  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-main.c
	* src/trackerd/tracker-main.c
	* src/tracker-extract/tracker-extract.c
	* src/libtracker-common/tracker-thumbnailer.c
	* src/libtracker-common/tracker-thumbnailer.h: No timeout to wait
	for for tracker-extract

2009-01-30  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Bugfix when album art 
	was extracted from an embedded MP3, the copy to .mediaartlocal 
	was not requested in case of removable media.

2009-01-29  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Don't fail if we
	can't access a file with O_NOATIME, try without it.

	Fixes NB #99281

2009-01-29  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c: Added a default
	to Image:Date.

2009-01-29  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c: Fixed a typo
	that gave wrong image widths.

	Fixes NB #91312

2009-01-29  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-rdf-query.c: Fixed filtering for
	multiple tags.

2009-01-29  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (remove_stale_children)
	(item_add_or_update): Delete children that no longer exist in folders,
	this check is needed if a file is deleted between tracker executions.

	(tracker_indexer_file_move): Plug a leak.

2009-01-29  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-update.c
	(tracker_data_update_set_metadata): Also update IndexTime in the
	Services table if necessary, so the indexer doesn't check against
	outdated mtimes afterwards.

2009-01-29  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-file.c
	(tracker_module_file_get_metadata): Set File:Modified to the current
	time() if the module didn't provide any.

2009-01-29  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (should_index_file): Always
	check item (not parent's) mtime, since mtime will only change for
	dir if a file is added/deleted in there. Get rid of the mtime cache,
	since it's not useful anymore.

2009-01-29  Martyn Russell  <martyn@imendio.com>

	* NEWS:
	* README:
	* TODO: Updated these based on a patch from Tshepang Lekhonkhobe.
	All updated to include things missing on the top of my head. The
	NEWS is mostly ready for release now.

2009-01-29  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/Makefile.am: Bumped GLib dependency up from 2.15 to 2.16, so
	we require the stable version. Clean up configure a bit in
	relation to QDBM and also don't have a separate check for glib
	unit tests since they come for free with GLib 2.16.

2009-01-28  Philip Van Hoof  <philip@codeminded.be>

	* src/plugins/evolution/tracker-evolution-indexer.h
	* src/plugins/evolution/tracker-evolution-plugin.h
	* src/plugins/evolution/tracker-evolution-registrar.h
	* src/plugins/evolution/tracker-evolution-plugin.xml
	* src/plugins/evolution/tracker-evolution-common.h
	* src/plugins/evolution/tracker-evolution-indexer.c
	* src/plugins/evolution/tracker-evolution-plugin.c
	* src/plugins/evolution/tracker-evolution-registrar.xml
	* src/plugins/evolution/tracker-evolution-registrar.c
	* src/plugins/evolution/tracker-evolution.c
	* data/db/sqlite-tracker.sql: Made the D-Bus API of the E-mail metadata
	infrastructure less Evolution specific

2009-01-28  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-rdf-query.c: Performance improved
	way of including tags in queries.

2009-01-28  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer-tagreadbin.c:
	Added an initial tagreadbin extractor.

2009-01-28  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-rdf-query.c: Added a missing sql
	escape.

	Fixes NB #95227

2009-01-27  Mikael Ottela  <mikael.ottela@ixonos.com>

	* tests/tracker-extract/data/jpeg/create_jpeg_testdata
	* tests/tracker-extract/tracker-extract-testsuite-mp3.h
	* tests/tracker-extract/tracker-extract-mp3-test.c
	* tests/tracker-extract/tracker-extract-test-utils.c
	* tests/tracker-extract/tracker-extract-test-utils.h
	* tests/tracker-extract/tracker-extract-testsuite-mp3.c
	* tests/tracker-extract/data/mp3/create_mp3_testdata: Added file
	access testing.

	
2009-01-27  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.c: (get_module_name_from_gfile):
	Changed warnings to debug messages when we can't find a module
	from a GFile.

2009-01-27  Mikael Ottela  <mikael.ottela@ixonos.com>

	* tests/tracker-extract/tracker-extract-png-test.c
	* tests/tracker-extract/tracker-extract-jpeg-test.c
	* tests/tracker-extract/tracker-extract-tiff-test.c
	* tests/tracker-extract/tracker-extract-testsuite-png.c
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.c
	* tests/tracker-extract/tracker-extract-test-utils.c
	* tests/tracker-extract/tracker-extract-testsuite-tiff.c
	* tests/tracker-extract/tracker-extract-testsuite-png.h
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.h
	* tests/tracker-extract/tracker-extract-testsuite-tiff.h
	* tests/tracker-extract/data/png/create_png_perfdata
	* tests/tracker-extract/data/jpeg/create_jpeg_perfdata
	* tests/tracker-extract/data/tiff/create_tiff_perfdata: Added
	performance tests for image extraction.

2009-01-27  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-monitor.c (tracker_monitor_init)
	(libinotify_monitor_event_cb): Make cached events hash table keep a
	reference as the key, so it doesn't get destroyed if the value is
	replaced.

	(get_module_name_from_gfile): Do not possibly use already freed
	memory.

	(libinotify_cached_events_timeout_cb): Discard cached events for
	deleted items.

2009-01-27  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-cleanup.c: (check_for_volumes_to_cleanup):
	Commented out code which causes assertion warnings but doesn't
	function properly. MMC thumbnail cleanup is disabled using
	preprocessor statements now and	wasn't working properly in the
	first place.

2009-01-27  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-update.[ch]
	(tracker_data_update_move_service): Make if return FALSE if the
	operation failed.

	* src/tracker-indexer/tracker-indexer.c (item_move): Handle move
	operations that overwrite the dest file.

2009-01-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (item_move): If a file is
	created and then immediately moved to another location. There's a
	chance that the indexer hasn't yet processed the origin file, so the
	move operation fails. In this case, the destination file is indexed
	from scratch (Fixes NB #99035)

2009-01-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (struct PathInfo): replace 
	other_file with	source_file, and make file point to the destination,
	so we can map PathInfo for move operations into create/delete 
	operations.

2009-01-27  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-monitor.c: Remove blacklist, since the events
	cache already prevents spamming tracker-indexer with too frequent
	update events.

2009-01-26  Mikael Ottela  <mikael.ottela@ixonos.com>

	* tests/tracker-extract/Makefile.am
	* tests/tracker-extract/tracker-extract-png-test.c
	* tests/tracker-extract/tracker-extract-gstreamer-test.c
	* tests/tracker-extract/tracker-extract-testsuite-avi.c
	* tests/tracker-extract/tracker-extract-testsuite-png.c
	* tests/tracker-extract/tracker-extract-testsuite-avi.h
	* tests/tracker-extract/tracker-extract-testsuite-png.h: Added
	tests for png and avi extraction

	* tests/tracker-extract/data/avi
	* tests/tracker-extract/data/avi/*.data
	* tests/tracker-extract/data/avi/create_avi_testdata: Avi test data

	* tests/tracker-extract/data/png
	* tests/tracker-extract/data/png/create_png_testdata
	* tests/tracker-extract/data/png/*.data: Png test data


2009-01-26  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-jpeg.c                           
	* src/tracker-extract/tracker-xmp.c
	* data/services/default.service	
	* data/services/image.metadata: Changed Image:Orientation to
	integer for consistency and updated the extractors. Orientation is
	now a KeyMetadata.

	* tests/tracker-extract/tracker-extract-jpeg-test.c
	* tests/tracker-extract/tracker-extract-tiff-test.c                    
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.c               
	* tests/tracker-extract/tracker-extract-testsuite-tiff.c               
	* tests/tracker-extract/tracker-extract-testsuite-tiff.h
	* tests/tracker-extract/Makefile.am                                    
	* tests/tracker-extract/data/exif/*.data
	* tests/tracker-extract/data/jpeg/*.data: Added the testcases and
	testdata for tiffs and orientation in jpegs.

2009-01-26  Philip Van Hoof  <philip@codeminded.be>

	* utils/services/rdfxml2unittest_data.xsl: added a sample xsl that
	generates a libtracker-data unit test's data.ttl file
	* utils/services/rdfxml2unittest_query.xsl: added a sample xsl that
	generates a libtracker-data unit test's query file

2009-01-23  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/services/default.service: Small correction to the playlist mimes.

2009-01-23  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Make unit tests disabled by default. They now have
	to be enabled with --enable-unit-tests.

2009-01-23  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-xmp.c: Added more date fields to be
	extracted and implemented a simple priority checking between tags.

2009-01-23  Carlos Garnacho  <carlos@imendio.com>

	Actually implement Gaim/Pidgin logs indexing.

	* data/services/conversation.metadata: Add basic metadata definitions
	for IM conversations.
	* data/services/Makefile.am: Install that file.

	* data/modules/gaim-conversation.module: Specify service type, and set
	10 min timeout so the log isn't reindexed after each sent/received
	phrase.

	* src/tracker-indexer/modules/gaim-conversations.c: Extract
	metadata/text from Gaim/Pidgin logs.

2009-01-23  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-processor.c (item_queue_handlers_cb): Only set
	state to "indexing" if there are actually items to be sent to the
	indexer, This fixes spurious "indexing" state when indexing new
	elements, etc... Fixes NB #98516.

2009-01-23  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-common/tracker-thumbnailer.c: Don't print debugging
	messages when not compiled with -DDEBUG

	* utils/services/rdfxmltoservice.xsl
	* utils/services/rdfxml2metadatasample.xsl
	* utils/services/service2rdf-xml.py
	* utils/services/rdfxmlsample.xsl: rdf:Property was not with rfds as
	namespace (fixed) 

2009-01-22  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Added additional
	regex for TCON to id3v1 genre code mapping.

	* tests/tracker-extract/tracker-extract-testsuite-mp3.c
	* tests/tracker-extract/data/mp3/id3v23_tcon_?.data
	* tests/tracker-extract/data/mp3/create_mp3_testdata
	* tests/tracker-extract/tracker-extract-testsuite-mp3.h
	* tests/tracker-extract/tracker-extract-mp3-test.c: Added
	appropriate testcases.

	Fixes NB #91165
	
2009-01-22  Philip Van Hoof  <philip@codeminded.be>

	* utils/services/rdfxml2metadatasample.xsl: added one more sample that
	attempts to convert a rdf:xml file to our current ontology .ini format

2009-01-21  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/services/default.service: Added audio/x-pn-realaudio-plugin
	mimetype to the playlists.

2009-01-21  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-tiff.c: A bugfix to tiff
	ascii field handling.

2009-01-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-metadata.c
	(tracker_module_metadata_add_date): Cast time_t to avoid compiler
	warnings.

2009-01-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-metadata-utils.c
	(metadata_utils_add_embedded_data): Refactored out, transform ISO 8601
	dates into unix times if we're adding a date field.
	(metadata_utils_get_embedded): Use the function above to add metadata.

2009-01-21  Carlos Garnacho  <carlos@imendio.com>

	* data/modules/files.module:
	* data/modules/gaim-conversations.module:
	* data/modules/applications.module: Add default ScanTimeout to
	modules.

2009-01-21  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-module-config.[ch]: Add support for
	ScanTimeout option, which forces such timeout (in seconds) after a
	file pertaining to the module has changed before being sent to the
	indexer.

	* src/trackerd/tracker-monitor.c
	(libinotify_cached_events_timeout_cb): Wait for the specified timeout
	before sending files to the indexer.

	* data/modules/evolution.module: Schedule reindexing of mails to 1h 
	after the files change.

2009-01-21  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-module-config.c (load_boolean)
	(load_string) (load_string_list): Do not free the key file on error,
	it will be done afterwards anyway.

	(tracker_module_config_get_monitor_directories)
	(tracker_module_config_get_monitor_recurse_directories)
	(tracker_module_config_get_ignored_directories)
	(tracker_module_config_get_ignored_files)
	(tracker_module_config_get_index_mime_types)
	(tracker_module_config_get_index_files): Return correct types if one
	of the preconditions fails.

2009-01-21  Philip Van Hoof  <philip@codeminded.be>

	* utils/services/rdfsample.xsl: Added a small code generator that uses
	rdf:xml as input and outputs a hypothetical simple OO language

2009-01-21  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Correction for album-art
	that has one-character long album-names.
	* utils/services/service2rdf-xml.py: Bugfix

2009-01-20  Mikael Ottela  <mikael.ottela@ixonos.com>

	* tests/tracker-extract/data/jpeg/*.data
	* tests/tracker-extract/data/jpeg/create_jpeg_testdata
	* tests/tracker-extract/Makefile.am
	* tests/tracker-extract/tracker-extract-test-utils.c
	* tests/tracker-extract/tracker-extract-test-utils.h    
	* tests/tracker-extract/tracker-extract-testsuite-generic.c
	* tests/tracker-extract/tracker-extract-gstreamer-test.c   
	* tests/tracker-extract/tracker-extract-testsuite-mp3.c
	* tests/tracker-extract/tracker-extract-jpeg-test.c     
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.c
	* tests/tracker-extract/tracker-extract-testsuite-jpeg.h: Added
	some jpeg extraction tests.

	* src/tracker-extract/tracker-extract-jpeg.c        
	* src/tracker-extract/tracker-xmp.c: Fixed and unified jpeg and
	image metadata extraction.

	Fixes NB #96018

2009-01-20  Martyn Russell  <martyn@imendio.com>

	* src/plugins/evolution/tracker-evolution.c:
	* src/trackerd/tracker-main.c:
	* src/trackerd/tracker-processor.c: Make sure we check the module
	config AND the config for disabled modules and do that EVERYWHERE.
	Don't recusively process the "files" module for removable devices
	if the "files" module is disabled in the config or module config. 

2009-01-20  Philip Van Hoof  <philip@codeminded.be>

	* utils/services/service2rdf-xml.py: added a tool that spews out
	something that looks (or is) rdf:xml, if you let it eat some .service
	and .metadata cookies.
	
	Usage: python service2rdf-xml.py --metadata=ONTOLOGY.metadata \
		      --service=ONTOLOGY.service

2009-01-20  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-escape.c (tracker_escape_metadata):
	* src/libtracker-common/tracker-utils.c (tracker_escape_string):
	Accept NULL strings. (Fixes NB98170)

	* src/libtracker-common/tracker-type-utils.c
	(tracker_date_format_to_iso8601): Do not memset a stack allocated
	variable.

2009-01-20  Philip Van Hoof  <philip@codeminded.be>

	* utils/services/service2xml.py: A tool to convert a .service file to
	an XML file. Usage:
	* utils/services/sample.xsl: added a sample XSLT
	* utils/services/README.example: Added a sample XSLT

	python utils/services/service2xml.py < data/services/service.service

2009-01-19  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-processor.c: Fixed a nasty bug where
	inserting a MMC would cause ALL MMCs to be re-crawled and sent to
	the indexer. Now we just index the MMC that changed. This fixes
	NB#97049. 

2009-01-06  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-manager.c (load_metadata_file): Warn on
	invalid/unparseable data types.
	* src/tracker-indexer/tracker-module-metadata.c
	(tracker_module_metadata_add_date): Convert time_t to string directly
	instead of dates.
	* src/libtracker-data/tracker-data-update.c
	(tracker_data_update_create_service): So we don't have to convert them
	back to unix times here.

	* data/services/email.metadata:
	* data/services/image.metadata: Fix invalid data types so Tracker now
	recognizes them.

2009-01-16  Martyn Russell  <martyn@imendio.com>

	* src/plugins/Makefile.am:
	* src/plugins/evolution/Makefile.am: Added glib test Makefile.decl
	includes to these new Makefiles so make distcheck doesn't fail.
	
	* tests/tracker-extract/Makefile.am: Include .h files needed in
	TEST_UTILS_SOURCES so they are not left out of the tarball and
	don't fail make distcheck.
	
	* tests/tracker-extract/tracker-extract-mp3-test.c:
	* tests/tracker-extract/tracker-extract-testsuite-generic.c: Some
	code clean ups.

2009-01-16  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (indexer_update_word): Define
	pivots as gint, as we can potentially underflow the right pivot with
	guint.

2009-01-16  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-search.c: Switched back to
	using INNER JOINs because of performance issues.

2009-01-15  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-search.c: Added proper NULL
	handling to queries.

	Fixes NB #97029

2009-01-15  Martyn Russell  <martyn@imendio.com>

	* docs/reference/libtracker-common/libtracker-common-docs.sgml:
	* docs/reference/libtracker-common/libtracker-common.types:
	Removed tracker-data-field.[ch] now that it is in libtracker-data,
	fixes documentation build.

	* src/tracker-extract/tracker-escape.[ch]: Fixed include order.

	* src/tracker-extract/tracker-xmp.c: Small code clean up and fixed
	3 warnings from missing include.

	* src/tracker-indexer/Makefile.am: 
	* src/trackerd/Makefile.am: Don't link with
	libtracker-evolution-plugin if we don't have support for it
	enabled. 
	
	* tests/tracker-extract/Makefile.am: Don't try to build gstreamer
	test cases if we don't have gstreamer support enabled.

2009-01-15  Ivan Frade  <ivan.frade@nokia.com>

	* data/services/default.service:
	Added some Image properties in the Services tables.

	Fixes NB #97765
	
2009-01-15  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/plugins/evolution/Makefile.am: Change
	EVOPLUG_{CFLAGS|LDFLAGS} to EVOLUTION_PLUGIN_*. Also make the
	evolution plugin a build time option so we error if it is
	expicitly enabled but not available. This is disabled by default
	for the up and coming release. 

2009-01-15  Philip Van Hoof  <philip@codeminded.be>

        * src/tracker-indexer/modules/Makefile.am
        * src/tracker-indexer/modules/evolution.c:

        Selecting between the old and the new Evolution support, depending on
        availability of the right version of EDS

        * data/services/email.metadata: 
        * data/db/sqlite-tracker.sql:
        * configure.ac
        * src/tracker-indexer/Makefile.am
        * src/trackerd/Makefile.am
        * src/Makefile.am
        * src/tracker-evolution-plugin/tracker-evolution-plugin.h
        * src/tracker-evolution-plugin/tracker-evolution-indexer.h
        * src/tracker-evolution-plugin/tracker-evolution.h
        * src/tracker-evolution-plugin/tracker-evolution-registrar.h
        * src/tracker-evolution-plugin/tracker-evolution-plugin.xml
        * src/tracker-evolution-plugin/org-freedesktop-Tracker-evolution-plugin.eplug.xml
        * src/tracker-evolution-plugin/tracker-evolution-common.h
        * src/tracker-evolution-plugin/Makefile.am
        * src/tracker-evolution-plugin/tracker-evolution-plugin.c
        * src/tracker-evolution-plugin/tracker-evolution-indexer.c
        * src/tracker-evolution-plugin/tracker-evolution-registrar.xml
        * src/tracker-evolution-plugin/tracker-evolution.c
        * src/tracker-evolution-plugin/tracker-evolution-registrar.c: 

        Implementation of the new Evolution support

        * src/trackerd/tracker-main.c


2009-01-14  Mikael Ottela  <mikael.ottela@ixonos.com>
	
	* tests/tracker-extract/data/mp3/*.data: Added data files for
	testing

	* tests/tracker-extract/data/mp3/create_mp3_perfdata: Script for
	creating performance test data for mp3.
	
	* tests/tracker-extract/Makefile.am
	* tests/tracker-extract/tracker-extract-testsuite-generic.h
	* tests/tracker-extract/tracker-extract-testsuite-mp3.h
	* tests/tracker-extract/tracker-extract-mp3-test.c
	* tests/tracker-extract/tracker-extract-test-utils.c
	* tests/tracker-extract/tracker-extract-test-utils.h
	* tests/tracker-extract/tracker-extract-testsuite-generic.c
	* tests/tracker-extract/tracker-extract-gstreamer-test.c
	* tests/tracker-extract/tracker-extract-testsuite-mp3.c: Added
	more mp3 tests and test cases for gstreamer mp3 extraction.

	* src/tracker-extract/tracker-extract-mp3.c: Fixed genre handling
	in id3v2 tags. Fixed frame size and count calculations for MPEG-2
	and MPEG-25.

	Fixes NB #97125

2009-01-14  Philip Van Hoof  <philip@codeminded.be> 

	* src/tracker-extract/tracker-extract.c: Fixed too early shutdown of
	the thumbnailer support code in tracker-extract

2009-01-14  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution-imap-db.c
	(tracker_evolution_imap_db_file_finalize): finalize the query before
	closing the database.

2009-01-14  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (indexer_update_word): Perform
	binary search correctly, so it's able to find all items in the array.
	(Fixes bug #441739)
	* src/tracker-indexer/tracker-indexer.c (item_remove): Pass big enough
	weight to have elements removed from the index.

2009-01-13  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (process_module): Do not spew
	a critical warning if the module has no dirs configured. Do not emit
	module-finished/started signals for misconfigured modules.

2009-01-13  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution-pop.c (get_message_flags): Fix
	potential crasher.

2009-01-13  Martyn Russell  <martyn@imendio.com>

	* .svnignore:
	* docs/.svnignore: Added these files for use with:
	svn -R propset svn:ignore -F .svnignore ./ and also added special
	additions for unique cases using: svn propedit svn:ignore ./ in
	specific locations (like po/ and docs/reference/*). Now svn st
	reports much less about files not in the repository.

2009-01-13  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-common/Makefile.am:
	* src/libtracker-common/tracker-common.h:
	* src/libtracker-data/Makefile.am:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-data-query.h:
	* src/libtracker-data/tracker-data-schema.h:
	* src/libtracker-data/tracker-data-search.h:
	* src/libtracker-data/tracker-field-data.c:
	* src/libtracker-data/tracker-field-data.h:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/libtracker-data/tracker-xesam-query.c:
	* src/trackerd/tracker-metadata.c:

	Move tracker-field-data.[ch] from libtracker-common to
	libtracker-data as TrackerFieldData contains data specific to the
	storage backend

2009-01-12  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: BOM from UCS-2
	encoded data was not removed correctly by all iconv
	versions. Removed an incorrect TIME tag.

	Fixes NB #97610.

2009-01-12  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-extract/tracker-extract-playlist.c:
	(extract-playlist): Handling correctly the results of
	totem-plparser to avoid crashing the extractor.

	Fixes NB #95754
	
2009-01-09  Ivan Frade  <ivan.frade@nokia.com>

	* data/services/default.service:
	Added application/vnd.rn-realmedia to Video mimes.

	Fixes NB #97512

2009-01-09  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-main.c (indexer_finished_cb): Obey -f
	even if it's interrupted by trackerd shutting down.

2009-01-09  Martyn Russell  <martyn@imendio.com>

	* tests/Makefile.am:
	* tests/tracker-extract/tracker-extract-mp3-test.c: Disabled tests
	which fail and don't disable tracker-extract from the Makefile.am,
	this breaks make distcheck.

2009-01-09  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/files.c
	(tracker_regular_file_get_service_type): Do not sniff mimetype and
	return NULL service type if the file doesn't exist.

2009-01-09  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-query.c
	(tracker_data_query_service_exists): Dates are already stored as unix
	times, and stored in the databases as integers.

2009-01-08  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-status.c (tracker_status_signal): Set the
	paused_on_battery parameter to the current state, not the
	configuration setting.

2009-01-08  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution-imap-db.c: Handle databases
	with no parseable folders.

2009-01-08  Mikael Ottela  <mikael.ottela@ixonos.com>

	* configure.ac
	* tests/Makefile.am                                           
	* tests/tracker-extract 
        * tests/tracker-extract/Makefile.am                           
	* tests/tracker-extract/tracker-extract-mp3-test.c: Added some
	initial unit tests for mp3 extraction.
	
	* tests/tracker-extract/data
	* tests/tracker-extract/data/mp3
	* tests/tracker-extract/data/mp3/*.data
	* tests/tracker-extract/data/mp3/create_mp3_testdata: Test data
	for the mp3 extraction unit tests and a script for creating the files.

	* src/tracker-extract/tracker-extract-mp3.c: Added some missing
	pieces of track number and release data extraction.
	
2009-01-08  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-update.c
	(tracker_data_update_create_service)
	(tracker_data_update_set_metadata): Store all dates in the DB as unix
	times.

2009-01-08  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-file.[ch]: Add get_flags()
	method. TrackerModuleFlags at the moment contains
	TRACKER_FILE_CONTENTS_STATIC, used for contents that are not prone to
	change.
	* src/tracker-indexer/tracker-indexer.c: Do not try to update static
	items in the database, since all the metadata comparison is going to
	be expensive and useless if the data isn't changing.
	* src/tracker-indexer/modules/evolution-pop.c:
	* src/tracker-indexer/modules/evolution-imap.c:
	* src/tracker-indexer/modules/evolution-imap-db.c: Implement
	get_flags().

2009-01-07  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution-imap-db.[ch]: Implement
	get_count() taking into account all folders.
	* src/tracker-indexer/tracker-module-iteratable.c
	(tracker_module_iteratable_get_count): Return by default 1 element.
	* src/tracker-indexer/tracker-indexer.c: Modified to keep track of the
	number of processed/indexed elements, not just files. This also
	improves feedback in the status signal (not treating the whole mbox as
	one file, etc...)

2009-01-07  Carlos Garnacho  <carlos@imendio.com>

	Several improvements to the evolution module.

	* src/tracker-indexer/modules/evolution-imap-db.c
	(tracker_evolution_imap_db_file_initialize): Do not try to extract
	data from a busy database.
	(extract_message_text): Handle g_convert() failures gracefully.
	(get_message_metadata): Do not try to index the email if it doesn't
	contain the essential information.
	(tracker_evolution_imap_db_file_iter_contents): Make cur_message_uid
	actuallly point to the current message.

	* src/tracker-indexer/modules/evolution-imap.c (get_message_metadata):
	Do not try to index the email if it doesn't contain the essential
	information.

2009-01-07  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-update.c
	(tracker_data_update_create_service): Do not set Enabled=0 in any
	case, since it fails for non-local files, again.

2009-01-07  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-utils/tracker-files.c:
	Updated command line options help.

	Applied patch by Luca Ferretti. Fixes bug #563909 (Luca Ferretti).
	
2009-01-07  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-preferences/tracker-preferences.desktop:
	Added X-GNOME-PersonalSettings category.

	Fixes bug #557979.

2009-01-05  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c: Use the correct
	TrackerDBFile for the new database format.
	* src/tracker-indexer/modules/evolution-imap-db.[ch]: Also iterate
	through folders, and parse appropriate paths for mail contents.

2009-01-05  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-main.c:
	Updated one more time the backup save/restore logic.
	We must try to restore backup even when the force_reindex flag is
	set to false. This is the case when call reindex from
	tracker-preferences.
	
2009-01-05  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-preferences/tracker-preferences.glade:
	Removed white space at the end of "Index delay: " label.

	Fixes bug #493049
	
2009-01-02  Ivan Frade  <ivan.frade@nokia.com>

	* data/services/default.service: Added application/x-rpm in the
	list of playlists mimetypes.

	Fixes NB #95151
	
2009-01-02  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Corrected comment
	buffer size.

	Fixes NB #96999
	
2009-01-02  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Fixed header seeking
	bug in mp3 extraction.

	Fixes NB #95873.

2009-01-02  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-applet/tracker-applet.c:
	(set_status_hint): Fixed string and added comments for
	translators. Patch from Gabor Kelemen. Fixes bug #565725.

	Compilation warning fixes.
	
2009-01-02  Ivan Frade  <ivan.frade@nokia.com>

	* python/nautilus/tracker-tags-tab.py:
	Updated to use the new dbus namespaces.

	Patch from Thomas. Fixes bug #566221 (Thomas).
	
2008-12-31  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-cleanup.c: Bugfix when mount_point is NULL

2008-12-30  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker/tracker.h
	* src/libtracker/tracker.c
	* src/tracker-indexer/tracker-dbus.c
	* src/tracker-indexer/modules/evolution.c
	* src/tracker-indexer/modules/evolution-imap-db.c
	* src/tracker-indexer/tracker-indexer.c
	* src/tracker-indexer/tracker-module-metadata-utils.c
	* src/tracker-utils/tracker-meta-folder.c
	* src/libtracker-data/tracker-data-schema.c
	* src/libtracker-data/tracker-data-search.c
	* src/libtracker-data/tracker-data-query.c
	* src/libtracker-data/tracker-rdf-query.c
	* src/libtracker-data/tracker-turtle.c
	* src/libtracker-data/tracker-xesam-query.c
	* src/libtracker-data/tracker-data-update.c
	* src/libtracker-data/tracker-query-tree.c
	* src/trackerd/tracker-keywords.c
	* src/trackerd/tracker-processor.c
	* src/trackerd/tracker-main.c
	* src/trackerd/tracker-backup.c
	* src/trackerd/tracker-monitor.c
	* src/trackerd/tracker-cleanup.c
	* src/trackerd/tracker-dbus.c
	* src/tracker-extract/tracker-albumart.c
	* src/tracker-extract/tracker-extract-mp3.c
	* src/tracker-extract/tracker-extract-oasis.c
	* src/tracker-extract/tracker-extract-ps.c
	* src/tracker-extract/tracker-extract-png.c
	* src/tracker-extract/tracker-extract-gstreamer.c
	* src/libtracker-gtk/tracker-metadata-tile.c
	* src/libtracker-db/tracker-db-dbus.c
	* src/libtracker-db/tracker-db-interface-sqlite.c
	* src/libtracker-db/tracker-db-manager.c
	* src/libtracker-db/tracker-db-index-manager.c
	* src/libtracker-common/tracker-thumbnailer.c
	* src/libtracker-common/tracker-file-utils.c
	* src/libtracker-common/tracker-dbus.h
	* src/libinotify/inotify-log.h
	* src/libinotify/inotify-monitor.c: Compilation warning fixes

2008-12-29  Ivan Frade  <ivan.frade@nokia.com>

	Fixed (some) compilation warnings in ultra-strict mode in
	libtracker-db.

	* src/libtracker-db/tracker-db-manager.c
	(tracker_db_manager_get_db_interface_by_type)
	(tracker_db_manager_get_db_interface_by_service)
	(db_interface_create):
	Added missing/default cases in switchs.

	* src/libtracker-db/tracker-db-index.c:
	Renamed local variable "index" as "indez" to avoid collision with
	string.h
	

2008-12-29  Ivan Frade  <ivan.frade@nokia.com>

	Fixed compilation warnings in ultra-strict mode in
	libtracker-common.
	
	* src/libtracker-common/tracker-language.[ch]
	(tracker_language_get_all_by_name): Removed (unused)
	Fixed const pointer.

	* src/libtracker-common/tracker-hal.c: 
	Removed prototypes of init functions.

	* src/libtracker-common/tracker-parser.c
	(tracker_parser_is_stop_word): Define and initialize variable in
	different lines.
	(analyze_text) 
	(parser_next): Added missing case options.

	* src/libtracker-common/tracker-module-config.c
	(changed_cb): Added missing case options, renamed local variable
	to avoid collision with global var.

	* src/libtracker-common/tracker-config.[ch]
	(tracker_config_add_disabled_modules): Use const gchar * const *
	for the modules lists.
	(config_changed_cb): Added missing case options.

	* src/libtracker-common/tracker-log.c
	(log_output): Added missing case options.

	* src/libtracker-common/tracker-os-dependant-unix.c
	(tracker_create_permission_string): Added default case in switch.
	
	
2008-12-29  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-xesam-live-search.h: Cleanup of duplicate
	prototype in include header

2008-12-29  Ivan Frade  <ivan.frade@nokia.com>

	* data/services/playlist.metadata: 
	Define Playlist:TotalLenght as non-embedded. The applications can
	set a more refined value.

2008-12-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-data/tracker-rdf-query.c
	* src/libtracker-gtk/tracker-keyword-store.h
	* src/libtracker-common/tracker-os-dependant-win.c
	* src/libtracker-common/tracker-os-dependant-unix.c
	* src/tracker-search-tool/sexy-icon-entry.h
	* src/tracker-search-tool/tracker-search-tool-support.c
	* src/tracker-search-tool/tracker-search-tool.c
	* src/tracker-applet/tracker-applet.h
	* tests/trackerd/tracker-xesam-test.c
	* tests/trackerd/tracker-xesam-session-test.c
	* tests/trackerd/tracker-xesam-hit-test.c
	* tests/trackerd/tracker-xesam-hits-test.c
	* tests/libtracker-db/tracker-db-manager-test-attach.c
	* tests/libtracker-db/tracker-db-dbus-test.c
	* tests/libtracker-db/tracker-index-writer-test.c
	* tests/libtracker-db/union-performance.c
	* tests/libtracker-db/tracker-db-manager-test-unattach.c
	* tests/libtracker-db/tracker-db-manager-test-custom.c
	* tests/libtracker-db/tracker-index-reader-test.c
	* tests/libtracker-common/tracker-ontology-test.c
	* tests/libtracker-common/tracker-parser-test.c
	* tests/libtracker-common/tracker-dbus-test.c
	* tests/libtracker-common/tracker-file-utils-test.c
	* tests/libtracker-common/tracker-type-utils-test.c
	* tests/libtracker-common/tracker-field-test.c

	Gnome Goal: Cleaned up gtk and glib includes.
	Applied patch from Luis Menina. Fixes bug #565218 (Luis Menina).

2008-12-29  Ivan Frade  <ivan.frade@nokia.com>
	
	* src/libtracker-data/tracker-data-update.c
	Replaced g_basename with g_path_get_basename
	
	Gnome Goal: Remove deprecated glib symbols.
	Code taken from patch provided by Luis Menina. Fixes bug #565218
	(Luis Menina, Ivan Frade).
	
2008-12-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-search-tool/tracker-search-tool.c:
	Marked some strings for translation.

	Applied patch from Gabor Kelemen. Fixes bug #565932.
	
2008-12-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-applet/tracker-applet.c:
	Fixed translation of --help output. 

	Applied patch from Gabor Kelemen. Fixes #565928.
	
2008-12-23  Carlos Garnacho  <carlos@imendio.com>

	Support new Evolution database storage. Based on a patch by Philip Van
	Hoof  <philip@codeminded.be>

	* src/tracker-indexer/modules/evolution-imap-db.[ch]: New
	TrackerModuleFile implementations which get messages information for
	the new Evolution sqlite storage.
	* src/tracker-indexer/modules/Makefile.am: Build evo modulewith 
	sqlite3 libs/cflags, add the new files.
	* src/tracker-indexer/modules/evolution.c: Use the new implementation
	if folders.db is found.

2008-12-22  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-update.c: Added escaping to
	metadata strings for SQL.

	Fixes NB #95227.

2008-12-22  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/libtracker-common/Makefile.am:
	* src/tracker-indexer/Makefile.am:
	* src/trackerd/Makefile.am:
	* tests/common/Makefile.am:
	* tests/tracker-indexer/Makefile.am: Patch from Michael Biebl to
	NOT use symbolic links for test cases and to clean up some of the
	unnecessary EXTRA_DIST lines in Makefiles.

2008-12-19  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (item_remove): Inconditionally
	check the service type in the database for deleted files, since files
	could not end always with the service type specified by the module
	definition file, and there's no way to requery it for a deleted file.

	This for example allows setting the correct services in the
	ServiceStatisticsUpdated signal for any special (image, music, ...)
	file that was indexed through the files module.

	Fixes NB #95215.

2008-12-19  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Fixed two spaces vs once space 
	filename issue

2008-12-19  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-escape.c: Fixed a small bug in
	metadata escaping.

2008-12-18  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-escape.[ch]: New methods to escape
	metadata properly, so we don't barf on new lines, metadata separators,
	etc...
	* src/tracker-extract/Makefile.am: Add new files.
	* src/tracker-extract/tracker-extract.h: Include header for modules.
	* src/tracker-extract/tracker-extract-*.c:
	* src/tracker-extract/tracker-xmp.c: Escape metadata properly in the
	right places.

2008-12-18  Mikael Ottela  <mikael.ottela@ixonos.com>
	
	* src/tracker-extract/tracker-extract-mp3.c: Some optimizations to
	reading mp3 frames.

2008-12-18  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-manager.c:
	(tracker_db_manager_optimize): Don't use British English spelling
	for ANALYZE.

2008-12-18  Martyn Russell  <martyn@imendio.com>

	* data/db/sqlite-service.sql: Added indexes for the Services table
	on Enabled, AuxilaryID and KeyMetadata{1|2|3} to improve
	performance for queries.
	
	* src/trackerd/tracker-processor.c: 
	* src/libtracker-db/tracker-db-manager.[ch]: Added an _optimize()
	API call which calls ANALYZE on the Services tables for emails and
	files. 
	
2008-12-18  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-common/tracker-thumbnailer.c: Assertion fix, mime_type
	is allowed to be passed as NULL here

2008-12-18  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-main.c: Set the restore callback if we
	are in force-reindex AND we have a backup file.

	(backup_restore_on_crawling_finished): static int to keep the
	value in the callback.

2008-12-17  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract.c (print_meta_table_data):
	Escapemetadata values so we allow multiline data and other stuff.
	* src/tracker-indexer/tracker-module-metadata-utils.c
	(metadata_utils_get_embedded): And compress it back here.

2008-12-17  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/libtracker-data/tracker-data-search.c: Fixed joining of count
	and sum fields. Added the support for * for count fields which
	maps to ID internally for unique rows.

2008-12-17  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract.c: Deactivated the extractor
	debug output.

2008-12-17  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-main.c
	* src/tracker-extract/tracker-extract.c: Initialization of the thumbnailer
	* src/tracker-extract/tracker-albumart.c: Bugfix

2008-12-17  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-log.c:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/tracker-indexer/modules/applications.c:
	* src/tracker-indexer/modules/evolution-imap.h:
	* src/tracker-indexer/modules/evolution-pop.h:
	* src/tracker-indexer/modules/evolution.c:
	* src/tracker-indexer/modules/files.c:
	* src/tracker-indexer/modules/gaim-conversations.c:
	* src/tracker-indexer/tracker-module.h: Fixed more warnings that were
	spotted with the new compiler flags.

2008-12-16  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-config.c:
	* src/libtracker-common/tracker-hal.c: 
	* src/libtracker-common/tracker-thumbnailer.[ch]:
	* src/libtracker-common/tracker-type-utils.c:
	* src/libtracker-data/tracker-data-metadata.c:
	* src/libtracker-data/tracker-data-query.c:
	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/trackerd/tracker-search.c: Fixed a bunch of warnings now we
	have more compiler flags to catch these things. 

2008-12-16  Carlos Garnacho  <carlos@imendio.com>

	* acinclude.m4: Add macro to enable compile warnings.
	* configure.ac: call it.
	* src/*/Makefile.am: Add WARN_CFLAGS to INCLUDES.

2008-12-16  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.c: Fixed a compiler warning and
	made pausing the indexer on IO a #define. Also we now by default
	DON'T pause the indexer on IO events. If this is problematic for
	performance reasons, we can switch this back. This dramatically
	improves indexing speed for files we download or copy on the Nokia
	device. 

	This commit was partially patched by Attila.

	Fixes NB #90111 and NB #90700.

2008-12-16  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/Makefile.am:
	* src/tracker-indexer/modules/Makefile.am: Enable -Wall

	* src/tracker-indexer/modules/evolution-common.c:
	* src/tracker-indexer/modules/evolution-imap.[ch]:
	* src/tracker-indexer/modules/evolution-pop.[ch]:
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-indexer/tracker-module-metadata.c: Fix compiler
	warnings.

2008-12-16  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-removable-device.c: Compilation warnings
	if you don't have libraptor-dev installed

2008-12-16  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-removable-device.c
	* src/tracker-indexer/tracker-removable-device.h
	* src/tracker-indexer/tracker-main.c
	* src/tracker-indexer/tracker-indexer.c
	* src/tracker-indexer/Makefile.am
	* src/tracker-indexer/tracker-indexer.h
	* src/tracker-indexer/tracker-module-metadata.c
	* src/libtracker-data/tracker-data-query.c
	* src/libtracker-data/tracker-turtle.c
	* src/libtracker-data/tracker-data-query.h
	* src/libtracker-data/tracker-turtle.h
	* src/libtracker-data/tracker-data-metadata.c
	* src/libtracker-data/tracker-data-update.c
	* src/libtracker-data/tracker-data-metadata.h
	* src/libtracker-data/tracker-data-update.h
	* src/libtracker-data/Makefile.am
	* src/trackerd/tracker-main.c
	* src/trackerd/tracker-backup.c
	* src/trackerd/tracker-backup.h
	* src/trackerd/Makefile.am
	* src/libtracker-db/tracker-db-manager.c
	* src/libtracker-common/tracker-hal.c
	* src/libtracker-common/tracker-hal.h
	* tests/tracker-indexer/Makefile.am
	* configure.ac
	* data/db/sqlite-stored-procs.sql
	* data/dbus/tracker-indexer.xml: Committed the Turtle branch merge to
	trunk

2008-12-16  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-removable-device.c
	* src/tracker-indexer/tracker-indexer.c
	* src/libtracker-data/tracker-turtle.h
	* src/libtracker-data/tracker-data-metadata.c
	* src/libtracker-data/tracker-data-update.c
	* src/libtracker-data/tracker-data-update.h
	* src/trackerd/tracker-main.c
	* src/libtracker-common/tracker-hal.c: Fixed comments from martyn

2008-12-16  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer-helix.c: Added a
	missing mimetype to helixbin.

	Fixes NB #95928.

2008-12-16  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-config.c:
	* src/libtracker-common/tracker-file-utils.[ch]:
	* src/trackerd/tracker-crawler.c:
	* tests/libtracker-common/tracker-file-utils-test.c: In function
	tracker_path_list_filter_duplicates(), don't filter basenames
	which have a particular prefix. This prefix is currently always
	"." but can be specified.

	Fixes NB #95545.

2008-12-15  Philip Van Hoof   <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Filenames for album-art.
	They are now named type-md5(artist)-md5(album).jpeg

2008-12-11  Philip Van Hoof   <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Requesting a thumbnail
	for embedded album-art
	* src/libtracker-common/tracker-thumbnailer.c: coping with paths

2008-12-11  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-removable-device.c
	* src/tracker-indexer/tracker-removable-device.h
	* src/tracker-indexer/tracker-main.c
	* src/tracker-indexer/tracker-indexer.c
	* src/tracker-indexer/Makefile.am
	* src/tracker-indexer/tracker-indexer.h
	* src/tracker-indexer/tracker-module-metadata.c
	* src/libtracker-data/tracker-data-query.c
	* src/libtracker-data/tracker-turtle.c
	* src/libtracker-data/tracker-data-query.h
	* src/libtracker-data/tracker-turtle.h
	* src/libtracker-data/tracker-data-metadata.c
	* src/libtracker-data/tracker-data-update.c
	* src/libtracker-data/tracker-data-metadata.h
	* src/libtracker-data/tracker-data-update.h
	* src/libtracker-data/Makefile.am
	* src/trackerd/tracker-main.c
	* src/trackerd/tracker-backup.c
	* src/trackerd/tracker-backup.h
	* src/trackerd/Makefile.am
	* src/libtracker-db/tracker-db-manager.c
	* src/libtracker-common/tracker-hal.c
	* src/libtracker-common/tracker-hal.h
	* tests/tracker-indexer/Makefile.am
	* configure.ac
	* data/db/sqlite-stored-procs.sql
	* data/dbus/tracker-indexer.xml: Recreated the Turtle branch, and 
	applied merge-to-trunk patch on it

2008-12-10  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/tracker-utils/tracker-query.c:
	* src/tracker-utils/tracker-search.c:
	* src/tracker-utils/tracker-unique.c:
	* src/tracker-utils/tracker-tag.c:
	* src/tracker-utils/tracker-info.c:
	* src/tracker-utils/tracker-meta-folder.c: Fixed help output of the
	command line tools.

2008-12-10  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/libtracker-common/tracker-parser.c:
	* src/tracker-extract/tracker-extract.c: Fixed support for empty
	strings as metadata values

2008-12-09  Mikael Ottela   <mikael.ottela@ixonos.com>

	* data/dbus/tracker-search.xml: 
	* src/trackerd/tracker-search.c:                         
	* src/trackerd/tracker-search.h:  
	* src/libtracker-data/tracker-rdf-query.c:
	* src/libtracker-data/tracker-rdf-query.h:  
	* src/libtracker/tracker.h:
	* src/libtracker/tracker.c: The keyword field in query method now
	supports multiple values.

	* src/tracker-utils/tracker-query.c: Changed the command line tool
	to work with multiple keywords.

	* data/services/image.metadata:
	* src/tracker-extract/tracker-xmp.c: Image:Keywords is now a
	multivalue field and used in extraction.
	
2008-12-09  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-metadata.c
	(tracker_module_metadata_get_hash_table): Make it return a new
	hashtable with field names as keys for easier use.
	* src/tracker-indexer/tracker-indexer.c (item_add_or_update): Destroy
	the hashtable that tracker_module_metadata_get_hash_table() returns.

2008-12-09  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (check_disk_space_cb)
	(state_check): Do not stop disk space check when pausing the indexer.

2008-12-09  Martyn Russell  <martyn@imendio.com>

	* src/libtracker/tracker.[ch]: Fixes bug #563706.

	* src/trackerd/tracker-dbus.c: Include config.h.

2008-12-08  Ivan Frade  <ivan.frade@nokia.com>

	* tracker-query.c
	* tracker-tag.c
	* tracker-info.c
	* tracker-meta-folder.c:
	Allow this tools to receive relative paths as parameters.
	Fixes bug #563666.
	
2008-12-08  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-utils/tracker-files.c:
	Inform to the user if we are defaulting to 'Other' service type.
	Now using the same code as in "tracker-search". It is ugly but
	consistent between tools.
	
2008-12-08  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-utils/tracker-files.c:
	Inform to the user if we are defaulting to 'Other' service type.
	
2008-12-08  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-applet/tracker-applet.c:
	Applied patch from Wendy Hu preventing the raise of a second
	preferences window from the applet. This fixes bug #528684 (Wendy Hu).
	
2008-12-05  Jürg Billeter  <j@bitron.ch>

	* data/db/sqlite-stored-procs.sql:
	* src/libtracker-data/tracker-data-update.c:
	(tracker_data_update_move_service): Only execute MoveServiceChildren
	for folders and add condition to UPDATE statement

2008-12-05  Carlos Garnacho  <carlos@imendio.com>

	* docs/reference/libtracker-module/writing-an-indexer-module.sgml:
	Update to latest module changes.

2008-12-05  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-data/tracker-data-update.h
	(tracker_data_update_delete_service_recursively): Make it take a const
	gchar*, do not append ourselves the '/', Since it's done in the stored
	procedure now.

2008-12-05  Carlos Garnacho  <carlos@imendio.com>

	* docs/reference/libtracker-module/tmpl/tracker-module-file.sgml:
	* docs/reference/libtracker-module/tmpl/tracker-module-iteratable.sgml:
	* docs/reference/libtracker-module/tmpl/tracker-module-metadata.sgml:
	* docs/reference/libtracker-module/tmpl/tracker-module-metadata-utils.sgml:
	Add short/long descriptions and other missings docs. 100% coverage!

2008-12-05  Carlos Garnacho  <carlos@imendio.com>

	* docs/reference/libtracker-module/libtracker-module-docs.sgml: Fix
	missing reference.

2008-12-05  Carlos Garnacho  <carlos@imendio.com>

	* docs/reference/libtracker-module/libtracker-module.types: Added so
	we get proper GObject documentation.
	* docs/reference/libtracker-module/Makefile.am: Added missing lib to
	compile the scanner.

2008-12-05  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-file.c:
	* src/tracker-indexer/tracker-module-iteratable.c: Document missing
	symbols.

2008-12-05  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module.h: Added, all-in-one header for
	developing tracker indexer modules.
	* src/tracker-indexer/Makefile.am: Install that new header.

	* src/tracker-indexer/tracker-module-file.h:
	* src/tracker-indexer/tracker-module-iteratable.h:
	* src/tracker-indexer/tracker-module-metadata-utils.h:
	* src/tracker-indexer/tracker-module-metadata.h: Prevent these files
	to be included directly from external modules. Only tracker-module.h
	should be included.

2008-12-05  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (tracker_indexer_process_all):
	Unset the stopped flag set during init(), so -p works again.

2008-12-04  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: (item_add_or_update),
	(item_move), (item_remove): Don't call stat() when we remove and
	move thumbnails. Just use the current metadata we hold for a URI.

2008-12-04  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.[ch]: 
	* src/trackerd/tracker-processor.c: Make sure we recursively
	remove all monitors for mount points which are unmounted. Also,
	when a directory is deleted, remove the monitor, don't keep it
	around! 

2008-12-04  Carlos Garnacho  <carlos@imendio.com>

	* configure.ac:
	* tests/tracker-indexer/Makefile.am: Fix tests build.

2008-12-04  Carlos Garnacho  <carlos@imendio.com>

	Rename libtracker-indexer to libtracker-module for consistence, as
	it's not a library to make indexers, but to make modules.

	* src/tracker-indexer/Makefile.am: Rename the library to
	libtracker-module.

	* data/tracker-indexer-module-1.0.pc.in: Moved to
	* data/tracker-module-1.0.pc.in: Added

	* docs/reference/tracker-indexer: Moved to
	* docs/reference/libtracker-module: Adapt to new modules API.

	* configure.ac:
	* data/Makefile.am:
	* docs/reference/Makefile.am: Misc changes.

	* src/tracker-indexer/modules/Makefile.am: Compile modules as
	libtracker-module-*.so, instead of libtracker-indexer-*.so

	* src/tracker-indexer/tracker-indexer-module.c: Just load
	libtracker-module-*.so.

	* src/tracker-indexer/tracker-module-file.c:
	* src/tracker-indexer/tracker-module-metadata-utils.c: Add a few docs.

2008-12-04  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-module-metadata.[ch]:
	* src/tracker-indexer/tracker-module-metadata-private.h: New files.
	TrackerModuleMetadata is the object used for exchanging information
	between the indexer and the modules, similar to TrackerDataMetadata,
	but more suited to the task, and in the correct library.

	* src/tracker-indexer/tracker-metadata-utils.[ch]: Moved to
	* src/tracker-indexer/tracker-module-metadata-utils.[ch]: Just for
	consistency.

	* src/tracker-indexer/Makefile.am: Compile the new files.

	* src/tracker-indexer/tracker-module-file.[ch]:
	* src/tracker-indexer/tracker-indexer.c: Updated to use
	TrackerModuleMetadata where it's relevant.

	* src/tracker-indexer/modules/*.c: Update to these changes.

	* src/libtracker-data/tracker-data-update.[ch]
	(tracker_data_update_create_service): Modify to receive a GHashTable
	instead of a TrackerDataMetadata. to avoid type conversions, circular
	dependencies, etc...

	* configure.ac:
	* tests/tracker-indexer/Makefile.am: Update to latest changes to get
	testcases compiling.

2008-12-04  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-preferences/tracker-preferences.c:
	(restart_tracker): Handle correctly the should_reindex conditions.
	This fixes the double ask for reindex with "apply" and "ok" buttons.

2008-12-04  Ivan Frade  <ivan.frade@nokia.com>

	* Makefile.am: Remove "thumbnailers" from SUBDIRS.
	
2008-12-04  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-preferences/tracker-preferences.c:
	Enabled the evolution option in tracker-preferences. Now evolution
	can be added/removed from the disabled modules list using
	tracker-preferences.
	
2008-12-04  Martyn Russell  <martyn@imendio.com>

	* src/libtracker/tracker.c: Included config.h so we get the
	__FUNCTION__ definition on Sun builds.

2008-12-04  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/Makefile.am:
	* src/tracker-thumbnailer/Makefile.am:
	* src/tracker-thumbnailer/tracker-thumbnailer.c:
	* thumbnailers/Makefile.am:
	* thumbnailers/application/Makefile.am:
	* thumbnailers/application/pdf_thumbnailer:
	* thumbnailers/application/vnd.oasis.opendocument.graphics_thumbnai
	ler:
	* thumbnailers/application/vnd.oasis.opendocument.presentation_thum
	bnailer:
	* thumbnailers/application/vnd.oasis.opendocument.spreadsheet_thumb
	nailer:
	* thumbnailers/application/vnd.oasis.opendocument.text_thumbnailer:
	* thumbnailers/image/Makefile.am:
	* thumbnailers/image/gif_thumbnailer:
	* thumbnailers/image/hildon/gif_thumbnailer:
	* thumbnailers/image/hildon/jpeg_thumbnailer:
	* thumbnailers/image/hildon/png_thumbnailer:
	* thumbnailers/image/hildon/tiff_thumbnailer:
	* thumbnailers/image/jpeg_thumbnailer:
	* thumbnailers/image/png_thumbnailer:
	* thumbnailers/image/tiff_thumbnailer: Removed all unused
	thumbnail code and scripts now they are unused.

2008-12-04  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-indexer/tracker-indexer.c
	(item_remove): Call recursively delete only when the uri is a
	Folder. This speed up a lot the delete operation.
	
2008-12-04  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-utils.c: Improve the strings used
	when estimating time remaining and the time is < 1 second.
	
	* src/tracker-extract/tracker-extract.h: Changed the
	"tracker:unknown" value used for metadata information which is
	unknown to an empty string.

2008-12-04  Carlos Garnacho  <carlos@imendio.com>

	* data/db/sqlite-stored-procs.sql (DeleteServiceRecursively): Fix so
	it just deletes files contained in the directory.

2008-12-03  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-preferences/tracker-preferences.glade
	* src/tracker-preferences/tracker-preferences.c:
	Using gtk tree model in the language combo box (instead of setting 
	options in glade file). The previous code to read the language was
	forcing a reindex everytime you closed the preferences dialog. 

	Use "No" instead of "Cancel" from the stock in the "reindex"
	dialog. It is a yes/no answer.
	
2008-12-03  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/tracker-indexer/modules/evolution-common.c:
	* src/trackerd/tracker-files.c: Support __FUNCTION__ for compilers
	which don't have it as standard. Based on a patch from Jerry Tan.

2008-12-03  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-type-utils.[ch]
	(tracker_string_in_gslist): New function to know whether a string is
	contained in a GSList of strings.
	* src/tracker-indexer/tracker-indexer.c
	(tracker_indexer_load_modules): Refactor out modules loading to this
	function, also do not load ignored modules by tracker.cfg.
	(tracker_indexer_finalize) (tracker_indexer_init): Misc changes.

2008-12-03  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-config.c (config_finalize): Plug a
	leak.

2008-12-03  Martyn Russell  <martyn@imendio.com>

	* NEWS:
	* README:
	* docs/manpages/trackerd.1: Patch from Tshepang Lekhonkhobe to
	update documentation.

2008-12-03  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Bumped version requirement of GLib to 2.16. We
	depend on it anyway.

2008-12-02  Mikael Ottela  <mikael.ottela@ixonos.com>

	* configure.ac: Replaced the package check for helixbin with only an
	enable-switch.

2008-12-02  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-png.c:
	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-extract-tiff.c: Added a default value
	for the Image:Date property.

	Fixes NB #93928 and NB #91827

2008-12-01  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-thumbnailer.[ch]: 
	* src/tracker-indexer/tracker-dbus.c:
	* src/tracker-indexer/tracker-main.c: Fixed the header which was
	using the same ifdefs as another header. Fixed the leak where by
	we were not cleaning up the DBusGProxy objects. Only get
	thumbnails if enabled in the config, previously, no checks were
	done before requesting thumbnails. 

2008-12-01  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-type-utils.[ch]: Added function to
	deep copy a GList of strings.
	
	* src/libtracker-data/tracker-data-metadata.[ch]:
	* src/libtracker-data/tracker-data-query.[ch]:
	* src/tracker-extract/tracker-extract.c:
	* src/tracker-indexer/modules/applications.c:
	* src/tracker-indexer/modules/evolution-imap.c:
	* src/tracker-indexer/modules/evolution-pop.c:
	* src/tracker-indexer/tracker-indexer.c: 
	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/tracker-indexer/tracker-module-file.c: Added more variable
	checking to the tracker_data_metadata_() public API. Now all calls
	to the tracker_data_metadata_() API take a const argument and are
	copied, not inherited. This also fixes a bug where we were double
	freeing a GList.

	Fixes NB #93960.

2008-12-01  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Bug fix and small
	improvements to the duration calculation of mp3 files.

	Fixes NB #93348.

2008-12-01  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-keywords.c
	(tracker_keywords_search)
	* src/trackerd/tracker-files.c
	(tracker_files_get_metadata_for_files_in_folder)

	Using dbus_method_return_error error instead of g_propagate_error.
	This should prevent timeout returning errors in the DBus API.
	
2008-12-01  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-metadata.c:
	Some errors were reported using g_error_propagate and not the dbus
	methods, so it was causing a dbus timeout in the tools.

	Fixes NB #93935.
	
2008-12-01  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/modules/dummy.c: Small code clean up.
	
	* src/tracker-indexer/modules/gaim-conversations.c: Used the
	dummy.c for this module. The indexer logging was complaining about
	some modular functions not existing.

	* tests/libtracker-common/tracker-dbus-test.c: 
	* tests/libtracker-common/tracker-type-utils-test.c: Small code
	clean ups.

2008-12-01  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-common/tracker-hal.c: Fixed a crash when HAL didn't 
	initialize successfully. 

	Fixes NB #93962.

2008-11-28  Martyn Russell  <martyn@imendio.com>

	* data/modules/files.module: Added "core-dumps" to the list of
	directories to ignore and "*.rcore.lzo" to the list of files to
	ignore. 

2008-11-27  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-common/tracker-thumbnailer.c: Replaced a non-critical
	warning with a message

2008-11-27  Martyn Russell  <martyn@imendio.com>

	* src/libinotify/inotify-handle.c: Disable warning causing breaks
	in gdb, it makes no difference either way.
	
	* src/trackerd/tracker-monitor.c: Don't call g_hash_table_remove
	(key) when we can use g_hash_table_iter_remove() instead. Also,
	don't reset the iter making us go round every item again after
	removing one. This seriously impedes performance. The removal
	wasn't actually working either. Meaning trackerd was using 100%
	CPU power in a continous while loop.

2008-11-27  Jürg Billeter  <j@bitron.ch>

	* configure.ac: Drop unused GnomeVFS dependency

2008-11-26  Mikael Ottela  <mikael.ottela@ixonos.com>

	* data/services/default.metadata: Made DC:Subject and DC:Keywords
	multivalued.
	
	* src/tracker-extract/tracker-xmp.c: Handle multivalued fields
	correctly and use '|' as separator.
	
	* src/libtracker-data/tracker-rdf-query.c: Fixed some bugs introduced
	by recent changes.
	
	* src/tracker-indexer/tracker-metadata-utils.c: Added support for
	multivalued field extraction using '|' as the separator.	

2008-11-26  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-cleanup.[ch]: Committed the changes I made
	to these files.

2008-11-26  Martyn Russell  <martyn@imendio.com>

	* data/db/sqlite-stored-procs.sql:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/trackerd/tracker-processor.c: Updated all queries to use the
	"AS" keyword for clarity. Now we check the Volumes table for the
	Enabled value as well as the Services table so we don't show files
	which are disabled because the memory card isn't mounted. We also
	now don't delete memory card data in the Services table when we
	unmount. This work was partly done by Jürg.

	Fixes NB #92788.

2008-11-25  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-thumbnailer.c: Set a flag if the
	prepare function succeeds so we know the service can be contacted.
	If it can't be contacted for some reason, don't keep trying and
	waiting for the timeout for every file the indexer sends us.
	Instead, just return.

2008-11-25  Martyn Russell  <martyn@imendio.com>

	* src/tracker-applet/tracker-applet.c: Don't output logging with
	g_print(), indexer status updates were being picked up in
	~/.xsession-errors which in turn was pausing the indexing making
	it take longer than it needs to unnecessarily.

2008-11-25  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* data/db/sqlite-stored-procs.sql:
	* data/db/sqlite-tracker.sql:
	* src/libtracker-common/Makefile.am:
	* src/libtracker-common/tracker-thumbnailer.[ch]:
	* src/tracker-extract/tracker-albumart.c:
	* src/tracker-indexer/Makefile.am:
	* src/tracker-indexer/tracker-dbus.c:
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-indexer/tracker-main.c:
	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/tracker-indexer/tracker-thumbnailer.[ch]:
	* src/trackerd/Makefile.am:
	* src/trackerd/tracker-main.c: 
	* tests/tracker-indexer/Makefile.am: Added code to clean up
	database volumes which have been disabled for more than 3 days.
	Moved the thumbnailer code to libtracker-common since it is used
	by the indexer, the daemon and the extractor processes.
	
	This patch was written by Philip and reviewed/updated by Martyn.

2008-11-24  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Requesting thumbnails of 
	album art

	* src/tracker-indexer/tracker-metadata-utils.c
	* src/tracker-indexer/tracker-main.c
	* src/tracker-indexer/tracker-indexer.c
	* src/tracker-indexer/Makefile.am
	* src/tracker-extract/Makefile.am
	* thumbnailers/image/Makefile.am
	* tests/tracker-indexer/Makefile.am
	* configure.ac
	* src/tracker-indexer/tracker-thumbnailer.c
	* src/tracker-indexer/tracker-thumbnailer.h: Cleaning up thumbnails when
	originals are removed. Refactored the thumbnailing code

2008-11-24  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/modules/evolution-imap.c: Fixed a typo in
	the includes.

2008-11-23 Jamie McCracken <jamiemcc at gnome org>

	* data/db/sqlite-fulltext.sql:
        * data/db/Makefile.am:
	* src/libtracker-db/tracker-db-manager.c:
        * src/libtracker-db/tracker-db-manager.h:
	Started integrating FTS into tracker

2008-11-21  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Small improvement.

2008-11-21  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: (tracker_indexer_init):
	Set the state initially to _STOPPED. The problem was, if the
	indexer was told to do something other than process files, it was
	sending the FINISHED signal even though no files had been
	processed. Setting the state to stopped initially means, the
	process_func() is only set up if state = 0, for that, it has to
	NOT be stopped and NOT have other factors like low battery or low
	disk space.

2008-11-21  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer-helix.c: Fixed the
	helixbin extractor mime types.

2008-11-21  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-ontology.c
	(tracker_ontology_get_service_by_mime): Return a const gchar* in all
	cases.

2008-11-21  Mikael Ottela <mikael.ottela@ixonos.com>
	* src/tracker-extract/tracker-extract-mp3.c:
	* src/tracker-extract/tracker-extract-gstreamer-helix.c:
	* src/tracker-extract/tracker-extract.h:
	* src/tracker-extract/tracker-extract-gstreamer.c: Fixed some typos

2008-11-21  Mikael Ottela <mikael.ottela@ixonos.com>
	
	* configure.ac: Changed helixbin to be included by default.

2008-11-21  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-ontology.c: Code clean ups, don't
	unnecessarily cast and coding style.
	
	* src/tracker-indexer/modules/Makefile.am: Included new evolution
	module header files so make distcheck works.
	
	* src/tracker-indexer/modules/applications.c:
	* src/tracker-indexer/modules/dummy.c:
	* src/tracker-indexer/modules/evolution-common.[ch]:
	* src/tracker-indexer/modules/evolution-imap.[ch]:
	* src/tracker-indexer/modules/evolution-pop.[ch]:
	* src/tracker-indexer/modules/evolution.c:
	* src/tracker-indexer/modules/files.c:
	* src/tracker-indexer/modules/gaim-conversations.c: Added common.h
	include and formatting line at the top of these files.
	
	* tests/libtracker-common/tracker-ontology-test.c: Fixed several
	leaks and updated the calls which now return static data so we
	don't free the result. Also don't free the return from
	tracker_ontology_get_subcategory_ids() since it is a const array.
	This was crashing the test cases.

2008-11-21  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/Makefile.am:
	* configure.ac:
	* src/tracker-extract/tracker-extract-gstreamer-helix.c: Added initial
	Gstreamer Helix Bin (Real Media) extractor implementation.

2008-11-20  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-hal.c (hal_battery_notify):
	* src/libtracker-data/tracker-data-update.c
	(tracker_data_update_delete_all_metadata):
	* src/tracker-indexer/modules/evolution-imap.c
	(tracker_evolution_imap_file_finalize): Plug some leaks.

2008-11-20  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-ontology.[ch]
	(tracker_ontology_get_service_by_id)
	(tracker_ontology_get_service_by_mime):
	* src/libtracker-data/tracker-data-query.[ch]
	(tracker_data_query_service_type_by_id): Make them return const
	gchar*, since the strings are stored in the ontology and guaranteed to
	be there until it shuts down.

	* src/libtracker-db/tracker-db-index-manager.c
	(tracker_db_index_manager_get_index_by_service_id):
	* src/libtracker-db/tracker-db-manager.c (function_get_service_name):
	* src/tracker-indexer/tracker-indexer.c (item_remove):
	* src/tracker-indexer/tracker-metadata-utils.c
	(metadata_utils_get_embedded) (tracker_metadata_utils_get_text):
	* src/trackerd/tracker-files.c (tracker_files_get_service_type):
	* src/trackerd/tracker-metadata.c (tracker_metadata_get):
	* src/trackerd/tracker-search.c (tracker_search_get_hit_count_all):
	Adapt to API change.

2008-11-20  Carlos Garnacho  <carlos@imendio.com>

	* configure.ac:
	* src/tracker-indexer/modules/gaim-conversations.c:
	* tests/tracker-indexer/Makefile.am: Remove any references to
	tracker-module.h

2008-11-20  Carlos Garnacho  <carlos@imendio.com>

	Make indexer modules API GObject oriented, which allows easier
	bindings development and more flexible behavior for modules.

	* src/tracker-indexer/tracker-module-file.[ch]:
	* src/tracker-indexer/tracker-module-iteratable.[ch]: Definition of
	abstract base object and interface for modules to implement.

	* src/tracker-indexer/tracker-indexer-module.[ch]: Build on top of
	GTypeModule.
	* src/tracker-indexer/tracker-indexer.c: Modify to use new modules
	API.

	* src/tracker-indexer/tracker-module.h: Removed, no longer needed.

	* src/tracker-indexer/tracker-metadata-utils.[ch]: Switch API to
	GFile, since modules API now also deals with it.

	* src/modules/evolution-common.[ch]:
	* src/modules/evolution-imap.[ch]:
	* src/modules/evolution-pop.[ch]:
	* src/modules/evolution.c: Implement new modules API, split POP3/IMAP
	implementations, and make the module return different
	TrackerModuleFile objects depending on the parsed file.

	* src/modules/dummy.c:
	* src/modules/files.c:
	* src/modules/applications.c: Implement new modules API.

	* data/modules/files.c: Specify service type.

2008-11-20  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c: Leave one place for
	the trailing NULL in the batch and hints arrays so they can behave
	like GStrv. Also initialize the array and set freed elements to NULL
	so we don't end up with dangling pointers.

2008-11-20  Ivan Frade  <ivan.frade@nokia.com>
	
	* src/libtracker-data/tracker-data-query.[ch]
	(tracker_data_query_non_embedded_metadata): New method to retrieve
	non-mebedded metadata of a service.
	
	* src/tracker-indexer/tracker-indexer.c: Handled correctly the
	non-embedded metadata coming from the extractor with default
	values when we update a file. 
	
2008-11-20  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-type-utils.[ch]: 
	* src/tracker-extract/tracker-extract.[ch]: 
	* src/tracker-extract/tracker-extract-mp3.c: 
	* src/tracker-extract/tracker-extract-gstreamer.c: Revert changes
	that removed "tracker:unknown" when we didn't know the metadata
	value for some fields. Now we have METADATA_UNKNOWN defined in
	tracker-extract.h so we can be consistent everywhere with this.
	Moved tracker_generic_date_to_iso8601() here from
	tracker-extract.c since it is so common.

	* src/tracker-extract/tracker-extract-exif.c: Code clean up and
	remark that this module is not used.

	* src/tracker-extract/tracker-extract-imagemagick.c:
	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-extract-ps.c: 
	* src/tracker-extract/tracker-extract-tiff.c: Code clean up and
	used the new date function in tracker-type-utils.
	
	* src/tracker-extract/tracker-extract-png.c: Fixed a warning and
	used the new date function in tracker-type-utils.

2008-11-19  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-data/tracker-data-search.c:
	* src/tracker-extract/tracker-extract-gstreamer.c: Code clean ups.

2008-11-19  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-data/tracker-data-query.c
	(result_set_to_metadata): Reimplemented using GValues.
	(tracker_data_query_embedded_metadata): Use a stored proc with
	unions instead three different procedures.

	* data/db/sqlite-stored-procs.sql: Removed unused procedures.
	
2008-11-19  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-extract-mp3.c: Don't use
	"tracker:unknown" when we don't know a metadata value, return "".

2008-11-19  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-metadata.c: Fixed formatting and removed
	some unnecessary code.

2008-11-19  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c:
	(get_file_thumbnail): Fixed a missing semi colon, spotted by
	Laurent Aguerreche. 

2008-11-18  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-xmp.c: Added ISOSpeedRatings to
	xmp exif namespace.

	Fixes NB #92708	

2008-11-18  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-data/tracker-data-metadata.[ch]
	(tracker_data_metadata_foreach_remove): New function. Wrapper for
	g_hash_table_forearch_remove.	
	* src/tracker-indexer/tracker-indexer.c: Handling correctly the
	metadata when move a file. Updating only the metadata related with
	path. 
	
	Fixes NB #91842
	
2008-11-18  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c: Fix the way we
	check if we should do thumbnailing. Don't explicitly #define
	HAVE_HILDON_THUMBNAIL now, use the config.h value instead. This
	was causing a lot of indexer log warnings about not being able to
	contact the thumbnailer daemon.
	
	* src/trackerd/tracker-main.c: Small code cleanups.

2008-11-18 Mikael Ottela <mikael.ottela@ixonos.com>
	
	* src/tracker-extract/tracker-extract-png.c: Fixed the extractor to
	check the whole file for text chunks instead of just the header.

	Fixes NB #90455

2008-11-18  Jürg Billeter  <j@bitron.ch>

	* data/db/sqlite-stored-procs.sql:
	* src/libtracker-data/tracker-data-update.[ch]:
	* src/tracker-indexer/tracker-indexer.c:
	Add tracker_data_update_disable_all_volumes function to disable
	all volumes on startup

2008-11-18  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-hal.[ch]: Added API to get all
	* src/tracker-extract/tracker-albumart.c: 
	* src/trackerd/tracker-processor.c:
	UDIs for removable media and then to get the mount point and
	mounted state of those UDIs too. Also changed the API to use GList
	instead of GSList since we want to be consistent.
	
	* data/dbus/tracker-indexer.xml: 
	* src/tracker-indexer/tracker-indexer.[ch]:
	* src/trackerd/tracker-main.c: Added VolumeDisableAll API so the
	daemon can tell the indexer to disable all volumes in the Volumes
	table. This is proceded shortly with Enable for volumes which
	actually exist at the time we start the daemon.

2008-11-18  Jürg Billeter  <j@bitron.ch>

	* data/db/sqlite-stored-procs.sql: Add procedures to handle volumes

	* src/libtracker-data/tracker-data-update.[ch]:
	* src/tracker-indexer/tracker-indexer.c: Update Volumes table when
	volume is added or removed, set AuxID in Services table to VolumeID
	when inserting new entry

2008-11-17  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-hal.c: Added the UDI to the
	mount-pointer-added and mount-point-removed signals.
	
	* src/trackerd/tracker-processor.c: 
	* src/libtracker-common/Makefile.am: 
	* src/libtracker-common/tracker-marshal-main.c:
	* src/libtracker-common/tracker-marshal.list: Added marshalling
	for VOID__STRING_STRING function signature.

	* data/dbus/tracker-indexer.xml:
	* src/tracker-indexer/tracker-indexer.[ch]: Added function to
	allow the daemon to tell us when a volume has changed state so we
	can update the Volume table in the database.

	* src/trackerd/tracker-main.c: Added volume monitoring here so we
	can notify the Indexer that it should update the Volumes table in
	teh database.

2008-11-17  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Also copy in case the
	album art got requested

2008-11-17  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Removed Enable warnings|debug statement when
	configure is finished, they are no longer used. Fixed the checks
	for HAL and libxml2 to actually error if the user specifically
	asked to enable them. Also make the HAL error more obvious since
	it is usually likely the hal-storage package is the one missing.
	
	* src/libinotify/inotify-listhash.c:
	* src/libtracker-common/tracker-config.c: 
	* src/libtracker-common/tracker-dbus.c:
	* src/libtracker-common/tracker-nfs-lock.c: 
	* src/libtracker-data/tracker-data-query.c:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-xesam-query.c:
	* src/libtracker-db/tracker-db-interface-sqlite.c:
	* src/libtracker-db/tracker-db-interface.c:
	* src/libtracker-db/tracker-db-manager.c: 
	* src/tracker-applet/tracker-applet.c: 
	* src/tracker-extract/tracker-albumart.c:
	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/tracker-preferences/tracker-preferences.c:
	* src/tracker-search-tool/tracker-search-tool-callbacks.c:
	* src/tracker-search-tool/tracker-search-tool.c:
	* src/tracker-utils/tracker-files.c: 
	* src/tracker-utils/tracker-info.c:
	* src/tracker-utils/tracker-meta-folder.c:
	* src/tracker-utils/tracker-query.c: 
	* src/tracker-utils/tracker-search.c:
	* src/tracker-utils/tracker-services.c:
	* src/tracker-utils/tracker-tag.c: 
	* src/tracker-utils/tracker-unique.c:
	* src/trackerd/tracker-search.c: 
	* src/trackerd/tracker-xesam-live-search.c:
	* utils/qdbm/print-words.c:
	* utils/qdbm/search-word.c: Fixed all 64bit compilation warnings.

2008-11-14  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Fixed some broken issues.

2008-11-14  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-albumart.c: (perhaps_copy_to_local):
	Renamed the make_directory_with_parents and added a comment
	detailing why we stole it from GLib.

2008-11-14  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* docs/manpages/Makefile.am:
	* src/Makefile.am:
	* src/tracker-applet/Makefile.am: Fixed the configure script to
	make certain extensions automatic not required so that package
	maintainers can specify what they want to include beyond the
	required extensions we choose.

2008-11-14  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-extract-mp3.c: Stripped filename
	is used as the default title.

	Fixes NB #91009.
	
2008-11-14  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c:
	* src/tracker-extract/tracker-extract-gstreamer.c: Added a default value for durations.

	Fixes NB #89160, NB #89757, NB #91621, NB #92319
	
2008-11-13  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-main.c
	(entries_daemon): Fixed typo in help message for disable-modules
	option. This fixes bug #560581.
	
2008-11-13  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-data/tracker-data-search.c:
	* src/trackerd/tracker-keywords.c: Don't crash when we pass an
	empty GStrv to tracker_keywords_search().

2008-11-13  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Fixed symbol troubles for
	most recent GLib

2008-11-12  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-extract/tracker-extract-playlist.c: Extractor using
	totem playlist parser.
	* src/tracker-extract/tracker-extract-m3u.c: Removed
	* src/tracker-extract/Makefile.am
	* configure.ac

	Added support for playlists using totem-plparser (only counting tracks). Removed
	the old uncomplete and useless extrator for m3u.
	
2008-11-11  Mikael Ottela  <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Some minor leak and bug
	fixes to the mp3 extractor.
	
2008-11-11  Martyn Russell  <martyn@imendio.com>

	* ALL: Merged libtracker-data branch into TRUNK. 

	Conflicts involved src/trackerd/tracker-search.c with the
	tracker_search_sql_query() which was changed by Ivan for NB
	#89965, if this regression still exists, it is my fault.

2008-11-11  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-data/tracker-data-live-search.h:
	* src/libtracker-data/tracker-data-metadata.[ch]:
	* src/libtracker-data/tracker-data-query.[ch]:
	* src/libtracker-data/tracker-data-schema.h:
	* src/libtracker-data/tracker-data-update.h:
	* src/tracker-indexer/modules/applications.c:
	* src/tracker-indexer/modules/evolution.c: Updated
	tracker_data_metadata_insert_multiple_values() and removed the
	_multiple_ since it is implied in the _values(). Fixed some coding
	style issues in the headers.

2008-11-10  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-data-search.h:
	* src/trackerd/tracker-keywords.c:

	Move SQL query from trackerd/tracker-keywords to
	libtracker-data/tracker-data-search

2008-11-10  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-data-search.h:
	* src/trackerd/tracker-files.c:

	Move SQL query from trackerd/tracker-files to
	libtracker-data/tracker-data-search

2008-11-10  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/Makefile.am:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-data-search.h:
	* src/trackerd/tracker-metadata.c:

	Move SQL queries from trackerd/tracker-metadata to
	libtracker-data/tracker-data-search

2008-11-10  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-tiff.c: Fixed a bug in array
	handling of Tiff tags.

	Fixes NB #91516 and NB #91488
	
2008-11-10  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/trackerd/tracker-monitor.c: (black_list_check_items_cb):
	Fixed check for inotify and also fixed build when we don't have it.

2008-11-10  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Function is only available
	on very recent versions of glib.

2008-11-09 Jamie McCracken <jamiemcc at gnome org>

	* src/tracker-fts/tracker-fts.c:
	made rank func use meatdata ranking
	set up default column for storing positions efficiently spacewise

	* utils/tracker-fts/tracker-fts-test.c:
	updated example
	
2008-11-07  Ivan Frade  <ivan.frade@nokia.com>

	* data/languages/stopwords.en: Removed "help" from the stopwords
	list for english.
	
2008-11-07  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (get_imap_uri): Make sure we
	decompose the URI following the same procedure than Tracker.

2008-11-07  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer-db.c (tracker_db_set_metadata):
	Escape the value being inserted, so little Bobby Tables doesn't bite
	us in the ass.

2008-11-07  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-utils.c (tracker_escape_string): Fix
	logic, so it actually escapes single quotes...

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-query.c:
	* src/libtracker-data/tracker-data-query.h:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-data-search.h:
	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:

	Use more consistent parameter names

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-live-search.c:
	* src/libtracker-data/tracker-data-query.c:
	* src/libtracker-data/tracker-data-schema.c:
	* src/libtracker-data/tracker-data-schema.h:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/libtracker-data/tracker-xesam-query.c:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-keywords.c:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-search.c:

	Use tracker_data_schema as function namespace

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-live-search.c:
	* src/libtracker-data/tracker-data-live-search.h:
	* src/trackerd/tracker-xesam-live-search.c:

	Rename tracker_data_live_search_get_all_ids to
	tracker_data_live_search_get_ids

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-live-search.c:
	* src/libtracker-data/tracker-data-live-search.h:
	* src/trackerd/tracker-xesam-live-search.c:

	Use tracker_data_live_search as function namespace

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:
	* src/trackerd/tracker-xesam-manager.c:

	Rename tracker_db_xesam_delete_handled_events to
	tracker_data_update_delete_handled_events

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-xesam-manager.c:

	Move tracker_db_xesam_delete_handled_events to tracker-data-update

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/Makefile.am:
	* src/libtracker-data/tracker-data-live-search.c:
	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-data-query.c:
	* src/libtracker-data/tracker-data-schema.c:
	* src/libtracker-data/tracker-data-schema.h:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/libtracker-data/tracker-xesam-query.c:
	* src/trackerd/tracker-keywords.c:
	* src/trackerd/tracker-search.c:

	Move Schema API to tracker-data-schema.[ch]

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-live-search.c:
	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/libtracker-data/tracker-xesam-query.c:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-keywords.c:

	Revert unintentional renaming of tracker_db_metadata_get_field_*

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/Makefile.am:
	* src/libtracker-data/tracker-data-live-search.c:
	* src/libtracker-data/tracker-data-live-search.h:
	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/trackerd/tracker-xesam-live-search.c:

	Move Live Search API to tracker-data-live-search.[ch]

2008-11-06  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-data-query.c:
	* src/libtracker-data/tracker-data-query.h:
	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/libtracker-data/tracker-xesam-query.c:
	* src/tracker-indexer/tracker-indexer.c:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-keywords.c:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-search.c:

	Use tracker_data_query as function namespace
	
2008-11-06  Philip Van Hoof  <philip@codeminded.be>

	Patch from Jerry Tan <Jerry.Tan@Sun.COM>

	* src/libtracker-common/tracker-os-dependant-unix.c: stdin/stdout is 
	keyword for compile, replace it

2008-11-05  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/Makefile.am:
	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-data-query.c:
	* src/libtracker-data/tracker-data-query.h:
	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:

	Move Query API to tracker-data-query.[ch]

2008-11-05  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-data-search.h:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-keywords.c:
	* src/trackerd/tracker-search.c:

	Use tracker_data_search as function namespace

2008-11-05  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/Makefile.am:
	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-data-search.c:
	* src/libtracker-data/tracker-data-search.h:
	* src/trackerd/tracker-files.c:

	Move Search API to tracker-data-search.[ch]

2008-11-05  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-data-metadata.c:
	* src/libtracker-data/tracker-data-metadata.h:
	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:
	* src/tracker-indexer/modules/applications.c:
	* src/tracker-indexer/modules/evolution.c:
	* src/tracker-indexer/modules/files.c:
	* src/tracker-indexer/tracker-indexer-module.c:
	* src/tracker-indexer/tracker-indexer-module.h:
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/tracker-indexer/tracker-metadata-utils.h:
	* src/tracker-indexer/tracker-module.h:
	* src/trackerd/tracker-daemon.c:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-main.c:
	* src/trackerd/tracker-search.c:

	Use tracker_data_manager, tracker_data_metadata, and
	tracker_data_update as function namespaces
	
2008-11-05  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Bugfix incase of the empty
	string being stripped

2008-11-05  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Saw the hope for change become
	realized and then fixed creating the .mediaartlocal directory for local
	media art on removable devices

2008-11-05  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer-db.c
	(tracker_db_create_service): Do not set Enabled=0 in any case, it
	failed for non local files, and modules can return NULL metadata for 
	any file/directory it doesn't want to be indexed.

2008-11-05  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (get_imap_uri): Make sure we
	remove leading '/' in email URIs basename.

2008-11-04  Jürg Billeter  <j@bitron.ch>

	* src/libtracker-data/tracker-data-manager.h:

	Remove declarations for tracker_db_get_file_contents_words and
	tracker_db_get_indexable_content_words as the functions are never
	defined

2008-11-04  Jürg Billeter  <j@bitron.ch>

	* configure.ac:
	* src/Makefile.am:
	* src/libtracker-data/Makefile.am:
	* src/libtracker-data/tracker-data-manager.c:
	* src/libtracker-data/tracker-data-manager.h:
	* src/libtracker-data/tracker-data-metadata.c:
	* src/libtracker-data/tracker-data-metadata.h:
	* src/libtracker-data/tracker-data-update.c:
	* src/libtracker-data/tracker-data-update.h:
	* src/libtracker-data/tracker-query-tree.c:
	* src/libtracker-data/tracker-rdf-query.c:
	* src/libtracker-data/tracker-xesam-query.c:
	* src/tracker-indexer/Makefile.am:
	* src/tracker-indexer/modules/applications.c:
	* src/tracker-indexer/modules/dummy.c:
	* src/tracker-indexer/modules/evolution.c:
	* src/tracker-indexer/tracker-indexer-db.c:
	* src/tracker-indexer/tracker-indexer-db.h:
	* src/tracker-indexer/tracker-indexer-module.h:
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-indexer/tracker-main.c:
	* src/tracker-indexer/tracker-metadata-utils.h:
	* src/tracker-indexer/tracker-metadata.c:
	* src/tracker-indexer/tracker-metadata.h:
	* src/tracker-indexer/tracker-module.h:
	* src/trackerd/Makefile.am:
	* src/trackerd/tracker-daemon.c:
	* src/trackerd/tracker-db.c:
	* src/trackerd/tracker-db.h:
	* src/trackerd/tracker-dbus.c:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-keywords.c:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-query-tree.c:
	* src/trackerd/tracker-query-tree.h:
	* src/trackerd/tracker-rdf-query.c:
	* src/trackerd/tracker-rdf-query.h:
	* src/trackerd/tracker-search.c:
	* src/trackerd/tracker-xesam-live-search.c:
	* src/trackerd/tracker-xesam-query.c:
	* src/trackerd/tracker-xesam-query.h:
	* src/trackerd/tracker-xesam.c:
	* src/trackerd/tracker-xesam.h:
	* tests/tracker-indexer/Makefile.am:

	Add libtracker-data library, move tracker-db, tracker-query-tree,
	tracker-rdf-query, and tracker-xesam-query from src/trackerd to
	src/libtracker-data, and move tracker-indexer-db and tracker-metadata
	from src/tracker-indexer to src/libtracker-data.
	
2008-11-04  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Fixed
	comment tags in id3v23 and id3v24.

	Fixes NB #91655.

2008-11-04  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (get_mbox_message_id):
	Return -1 if the header X-Evolution does not exist in the message.
	(get_mbox_uri) (get_mbox_attachment_uri): Return NULL URIs if it
	couldn't get the message ID.

2008-11-04  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-hal.c (tracker_hal_finalize): Plug a
	small leak.

2008-11-04  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-hal.[ch]: Add capability for reading
	batteries percentage.
	* src/tracker-indexer/tracker-indexer.c: Stop indexing if battery
	level is too low (< 0.05 at the moment, but should be user
	configurable).

2008-11-04  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c:
	Added support for non-standard metadata tags that some fluendo
	plugins are using.

	Fixes NB #90138
	
2008-11-04  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-search.c
	(tracker_search_metadata) Implemented this method creating
	internally and RDF query. Extracted the common code with
	tracker_search_query to a new function (perform_rdf_query).

	* src/tracker/tracker-rdf-query.[ch]
	(tracker_rdf_query_for_attr_value): New helper function to
	generate the RDF for a pair attribute-value.

	This fixes NB #89965.

2008-11-03  Mikael Ottela    <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c: Added a default
	value for Video:PlayCount.
	
2008-11-03  Mikael Ottela    <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c:
	* src/tracker-extract/tracker-extract-gstreamer.c: Added a default
	value for Audio:PlayCount for simplifying queries.

	Fixes NB #89254
	
2008-11-03  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c
	(process_context_invalidate): Splitted invalidation from destruction.
	So it's just the child watch handler the one responsible of destroying
	it. This fixes a potential crash when the child watch is ron on an
	already destroyed context.
	(metadata_setup) (metadata_query_file): Just invalidate the metadata
	context if it couldn't be created, the child watch will send it later
	to the bin.

2008-11-03  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-search.c
	(tracker_search_query): Fixed how the error message is setted in
	GError.

2008-11-03  Carlos Garnacho  <carlos@imendio.com>

	* data/dbus/tracker-indexer.xml: Add "reason" parameter to ::Paused.
	* src/tracker-indexer/tracker-indexer.c: Add "Low batt" state. Add
	extra parameter to ::paused and emit it for any state that could be
	relevant for the daemon. Same for ::continued.
	* src/trackerd/tracker-daemon.c (indexer_paused_cb): Change status
	depending on the reason for the indexer to be paused
	(indexer_continued_cb): And make it continue here.
	* src/trackerd/tracker-status.[ch]: Add "Disk full" and "Low batt" to
	TrackerStatus enum.
	* src/trackerd/tracker-dbus.c: Miscellaneous changes.

2008-11-03  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Fixed a bug that
	caused unicode encoded id3v23 tags to be corrupt.

2008-10-31  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-applet/tracker-applet.c
	Added translation domain loading the glade file. Fixes bug #558613
	(Gabor Kelemen). 
	
2008-10-30  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Stripping album and artist
	strings. Code cleanups, added some comments. Support for local album
	art on removable devices (added it to the heuristic scanner)

2008-10-30  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Support for storing local
	album art on removable devices

2008-10-29  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-extract-mp3.c: We take embedded
	album art with no type defition if front cover is not found.

2008-10-29  Mikael Ottela <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Additional genre tags
	are now returned as text rather than numbers. We no longer mix up
	artist and the original artist.

	Fixes NB #91165.

2008-10-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker/tracker-metadata.c
	(tracker_metadata_get): Fixed error message. It was printing the
	wrong variable, causing confusion to the users.

	Fixes NB#91053.
	
2008-10-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-keywords.c
	(tracker_keywords_add): Check that none of the keywords is an
	empty string.

	Fixes bug #402063.
	
2008-10-29  Ivan Frade  <ivan.frade@nokia.com>

	* data/services/default.service
	Removed audio/vnd.rn-realaudio from the [Playlist] mimetypes. This
	mimetype indicates audio and not playlist.

	Fixes NB #90876.
	
2008-10-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-indexer/tracker-indexer.c
	(handle_metadata_add): Check the previous values to dont insert
	duplicated values. 

	Fixes NB #88048 and fixes bug #402054.

2008-10-27  Mikael Ottela    <mikael.ottela@ixonos.com>
	
	* data/services/image.metadata:
	* src/tracker-extract/tracker-xmp.c: Added Image:City, 
	Image:Country and Image:Location fields and support for them 
	in the extractors. Fixes NB #90455.	

2008-10-27  Martyn Russell  <martyn@imendio.com>

	Fixes NB #88140.
	
	* src/trackerd/tracker-crawler.[ch]: Added a function to be able
	to request a new directory to be looked at at any stage of the
	crawler's life. This is so that newly created directories or
	directories moved into monitored locations are crawled. Before
	just the directory would be indexed. Now its content is traversed
	in teh same fashion as all other content.
	
	* src/trackerd/tracker-files.c: Small improvement.
	
	* src/trackerd/tracker-marshal.list: Changed the move signal so we
	actually state if the source was monitored or not. This allows the
	processor to decide if we should try to crawl the target because
	it is new or if it is a simple move operation in the DB.
	
	* src/trackerd/tracker-monitor.c: get_module_name_from_gfile() was
	incorrectly determining GFile pointers as directories or files. So
	now we do a stat() when we need to know. 
	
	* src/trackerd/tracker-processor.c: Add some indication in
	debugging if the events we receive are for a file or directory.
	Also call the new function in TrackerCrawler to request traversal
	of a newly found directory upon monitor events.

2008-10-27  Mikael Ottela    <mikael.ottela@ixonos.com>
	
	* data/services/default.service:
	* data/services/image.metadata:
	* src/tracker-extract/tracker-xmp.c:  Added Image:Rating field 
	and XMP:XAP:Rating support. Fixes NB #90374.
	
2008-10-24  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-search.c: Bugfix in SqlQuery

2008-10-23  Mikael Ottela    <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-xmp.c: Adds support
	to more XMP and EXIF image metadata fields. Fixes NB #90506.	

2008-10-23  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/tracker-indexer/tracker-dbus.c:
	* src/tracker-indexer/tracker-dbus.h: Fixes for requesting thumbnails

2008-10-23  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-main.c (initialize_signal_handler):
	Actually ignore SIGPIPE, since we already handle it where necessary.

2008-10-23  Ivan Frade  <ivan.frade@nokia.com>

	* data/services/video.metadata:
	Added new properties for video: LastPlayedFrame, PausePosition,
	PlayCount and Source.
	
2008-10-22  Mikael Ottela <mikael.ottela@ixonos.com>
	
	* src/tracker-extract/tracker-extract-gstreamer.c: Changes
	to cope with problems gstreamer has with hardware acceleration.

2008-10-22  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-db/tracker-db-dbus.c
	(tracker_dbus_query_result_columns_to_strv): Added support for
	multiple rows in the result set. It was returning only the
	first value. This should fix the Metadata.Get method asking for
	properties with multiple values.
	
	* tests/libtracker-db/tracker-db-dbus-test.c
	Added test for the new cases.
	
2008-10-22  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-common.h: Included tracker-hal and
	tracker-field-data to fix the documentation errors in make distcheck.

2008-10-22  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Cleaned up some more
	code

2008-10-21 Jamie McCracken <jamiemcc at gnome org>

	* src/tracker-fts/tracker-fts.c:
	fixed rank function and made it efficient

2008-10-21  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-albumart.c: Cleaned up the code
	here. Removed unnecessary memory allocation and code obfuscation.

2008-10-21  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-metadata-utils.c: Adapted to new D-Bus API
	for thumbnailing
	* src/tracker-extract/tracker-albumart.c: Some minor optimizations
	* src/tracker-extract/tracker-extract.c: Added g_type_init, as GIO is 
	being used for some operations

2008-10-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/tracker-indexer/tracker-metadata.c: Add some methods docs.

2008-10-20  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c
	(get_file_content_read_cb): Issue error and quit the channel watch on
	error, this should fix misterious crashes with i.e. invalid UTF8
	coming from the text filters.

2008-10-20  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c
	* src/tracker-extract/tracker-extract-mp3.c
	* src/tracker-extract/tracker-albumart.h
	* src/tracker-extract/tracker-extract-gstreamer.c: Album art heuristics

2008-10-20  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c: Resort to a copy of the old
	code to decode time_t, should definitely fix summaries parsing in
	64bit platforms...

2008-10-20  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.[ch] 
	(tracker_indexer_process_modules): New public function to specify 
	which modules should the indexer actually use.
	* src/tracker-indexer/tracker-main.c: Add --modules parameter to
	specify a closed list of modules, as opposed to --process-all.

2008-10-20  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-fts/tracker-fts.c:
	* utils/tracker-fts/tracker-fts-test.c: Simple rank() impl. without
	weighting (just counting). It seems the last matching row ain't being
	counted but I haven't found howcome yet (sqlite is just not calling
	the functions for this one).

2008-10-19 Jamie McCracken <jamiemcc at gnome org>

	* src/tracker-fts/tracker-fts.c:
	fixed offsets for multiple word and,or and phrase searches

2008-10-19 Jamie McCracken <jamiemcc at gnome org>

	* utils/tracker-fts/tracker-fts-test.c:
	* src/tracker-fts/tracker-fts.c:
	adjusted offsets function to output cached values from position 
	data in index. Output format is now comma separated list of ColumnID,
	WordPostion...

2008-10-18  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-metadata.c:
	(tracker_metadata_set): Check all metadata before send them to the
	indexer. This does the operation a little bit more atomic: less
	chances to find an error during the insertions and end up with
	only half of the metadata set.
	
2008-10-17  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-extract/Makefile.am:
	Added ifdefs to select the extractor modules. The checks were
	already in place in configure.ac.
	
2008-10-17  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* tests/Makefile.am:
	* tests/tracker-fts/Makefile.am:
	* tests/tracker-fts/tracker-fts-test.c:
	* utils/Makefile.am:
	* utils/tracker-fts/Makefile.am: Moved the tracker-fts-test
	application to utils/tracker-fts/ since it is not a GLib test. 

2008-10-17  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c
	* src/tracker-extract/tracker-extract-mp3.c
	* src/tracker-extract/Makefile.am
	* src/tracker-extract/tracker-extract-gstreamer.c: Handling of albumart
	in case we don't have GDKPIXBUF (don't handle embedded albumart, for
	this we would need a pixbuf lib to save the RAW data as a JPEG).

2008-10-15  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-extract-mp3.c
	* src/tracker-extract/tracker-albumart.c
	* src/tracker-extract/tracker-albumart.h
	* src/tracker-extract/Makefile.am
	* src/tracker-extract/tracker-extract-gstreamer.c: Handling of albumart

2008-10-15  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-extract/tracker-albumart.c: Adapted to new spec available
	at http://live.gnome.org/MediaArtStorageSpec
	* configure.ac: Downgraded GdkPixbuf requirement from 2.16 to 2.12

2008-10-15  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c
	(process_context_child_watch_cb): Inconditionally destroy here the
	context, even if it's not the metadata one. Avoids leaks when for some
	reason the metadata extractor dies immediately.
	(get_file_thumbnail) (get_file_content_by_filter): Don't destroy the
	context here.
	(get_file_thumbnail): Do not send non-utf8 over DBus.
	(get_file_thumbnail_queue_cb): Plug a leak.
	(metadata_query_file): Ensure the context is destroyed if any attempt
	to write fails.
	(metadata_query_file): Removed unnecessary g_free()

2008-10-14 Jamie McCracken <jamiemcc at gnome org>

	* tests/tracker-fts/tracker-fts-test.c:
	* src/libtracker-common/tracker-ontology.c
        * src/libtracker-common/tracker-ontology.h
	* src/tracker-fts/tracker-fts.c
        * src/tracker-fts/Makefile.am

	Updated FTS code with metadata and onto support functions
	Added category to be stored in index (similar to qdbm)
	Modified handling of postion data so that all searches uses it
	Improve speed of generating snippets+offsets using position data
		

2008-10-14  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.c: Try to improve on the NB#88769
	fix I added previously. Now we don't use 2 GHashTables for the
	black list we use the EventData structure we use for all other
	event data too. We now emit the correct event on the black list
	timeout too (which is the last event we got).

2008-10-14  Martyn Russell  <martyn@imendio.com>

	* data/db/sqlite-stored-procs.sql: Removed the DISTINCT keyword
	from statements which use a WHERE clause comparing a unique ID.
	This was adding unnecessary slowness to querying.

2008-10-14  Martyn Russell  <martyn@imendio.com>

	* src/libinotify/Makefile.am:
	* src/libinotify/inotify-handle.c:
	* src/libinotify/inotify-monitor.c: Include <sys/inotify.h>, not
	<linux/inotify.h> and removed libinotify/linux-inotify-syscalls.h,
	this fixes bug #556196 (John Millikin).

2008-10-14  Martyn Russell  <martyn@imendio.com>

	* data/modules/files.module: Fixed the ignored file patterns.
	Changed *~* to *~. Patch committed from Tshepang Lekhonkhobe.

2008-10-14  Martyn Russell  <martyn@imendio.com>

	* TODO: Updated TODO. Patch committed from Tshepang Lekhonkhobe.

2008-10-14  Martyn Russell  <martyn@imendio.com>

	* README: Updated README. Patch committed from Tshepang Lekhonkhobe.

2008-10-14  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-file-utils.c
	(path_has_write_access_or_was_created):
	* src/libtracker-common/tracker-ontology.c
	(tracker_ontology_get_field_names_registered):
	* src/tracker-extract/tracker-extract-mp3.c (get_id3v24_tags): Fix
	compiler warnings.

2008-10-14  Martyn Russell  <martyn@imendio.com>

	* NEWS: Updated news. Patch committed from Tshepang Lekhonkhobe.

2008-10-13  Martyn Russell  <martyn@imendio.com>

	* data/db/sqlite-stored-procs.sql: Completely reworked this file
	and removed about 50% of it. This 50% was unused stored
	procedures.
	
	* src/libtracker-common/tracker-file-utils.c:
	(tracker_file_get_mime_type): If stat() fails, just make that a
	normal message for now, not a warning, we should expect it.
	
	* src/libtracker-db/tracker-db-interface-sqlite.c: Added a few
	debug commands to see what is happening. 
	
	* src/libtracker-db/tracker-db-manager.c: (load_prepared_queries):
	Improved this function to actually allow for bracketed comments in
	the .sql files.
	
	* src/tracker-indexer/tracker-indexer-db.[ch]: 
	* src/tracker-indexer/tracker-indexer.ch: Added a function to
	recursively delete a path, this is needed for when a memory card
	is removed.
	
	* src/trackerd/tracker-db.c: Removed the stat() on every file that
	is returned if we are running a detailed search. This is
	unnecessary and causes a difference in the results returned if the
	database is inaccurate (which it shouldn't be).
	
	* src/trackerd/tracker-processor.c: (mount_point_removed_cb): When
	we unmount, add the directory to the deleted queue to be processed
	by the indexer for now. This needs to be fixed properly at some
	point (i.e. just disabling the items in the database, awaiting
	SQLite FTS for that). This fixes NB #87525.

2008-10-13  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-search.c (search_highlight_terms): Do not leak
	like if there was no tomorrow, save one unnecessary allocation.
	(search_get_snippet): Rework code, do not read out of bounds.
	(tracker_search_get_snippet): Actually highlight the search terms.
	(search_utf8_strcasestr_array): Pass a const gchar** for search terms.

	* src/trackerd/tracker-crawler.c (tracker_crawler_finalize): Plug a
	leak.

2008-10-13  Ivan Frade  <ivan.frade@nokia.com>

	* python/SearchTool/COPYING
	* python/nautilus/tracker-tags-tab.py
	* src/qdbm/depot.[ch]
	* src/qdbm/myconf.[ch]
	* src/tracker-extract/tracker-extract-gstreamer.c
	* src/tracker-search-tool/sexy-icon-entry.[ch]
	* src/tracker-applet/tracker-applet.c
	* COPYING

	Updated Free Software Foundation address. 
	This fixes bug #518265.
	
2008-10-13  Ivan Frade  <ivan.frade@nokia.com>

	* docs/manpages/trackerd.1
	Fixed typo, this fixes bug #548561.
	
2008-10-13  Martyn Russell  <martyn@imendio.com>

	* tracker.spec: Moved this file to data/.

2008-10-13  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Change the way GdkPixbuf is detected by using
	"auto". This means it won't stop the build if it doesn't exist
	unless the user explicitly asks for it with --enable-gdkpixbuf.
	
	* data/english/Makefile.am:
	* data/english/errmsg.txt: Removed data/english, it was completely
	unused.

2008-10-13  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* data/Makefile.am:
	* data/db/Makefile.am:
	* data/sqlite-cache.sql:
	* data/sqlite-contents.sql:
	* data/sqlite-email.sql:
	* data/sqlite-metadata.sql:
	* data/sqlite-service-triggers.sql:
	* data/sqlite-service-types.sql:
	* data/sqlite-service.sql:
	* data/sqlite-stored-procs.sql:
	* data/sqlite-tracker-triggers.sql:
	* data/sqlite-tracker.sql:
	* data/sqlite-user-data.sql:
	* data/sqlite-xesam.sql: Moved all database files to data/db.

2008-10-12 Jamie McCracken <jamiemcc at gnome org>

	* src/tracker-search-tool/tracker-search-tool.h:
	* src/tracker-search-tool/tracker-search-tool-support.c:
	* src/tracker-search-tool/tracker-search-tool-callbacks.c:
	* src/tracker-search-tool/Makefile.am:
	* src/tracker-search-tool/tracker-search-tool-support.h:
	* src/tracker-search-tool/tracker-search-tool.c:
	* src/tracker-search-tool/tracker-search-tool-callbacks.h:

	Patch from John Millikin <jmillikin@gmail.com>
	Modified search tool to use GIO instead of Gnome VFS

2008-10-10  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.c:
	(tracker_path_hash_table_filter_duplicates),
	(tracker_path_list_filter_duplicates): In both these functions
	strip any trailing G_DIR_SEPARATOR from paths since that is the
	format we use. Ivan't test case showed that I didn't do this in my
	reimplementation and also from that I realised the hash table
	variant wasn't removing the trailing G_DIR_SEPARATOR either.

2008-10-10  Mikael Ottela    <mikael.ottela@ixonos.com>
	
	* src/tracker-utils/tracker-query.c:
	* src/tracker-utils/tracker-search.c:
	* src/tracker-utils/tracker-unique.c:
	* src/tracker-utils/tracker-info.c:
	* src/tracker-utils/tracker-tag.c:
	* src/tracker-utils/tracker-stats.c:
	* src/tracker-utils/tracker-meta-folder.c:
	* src/tracker-utils/tracker-files.c:
	* src/tracker-utils/tracker-status.c:
	* src/tracker-utils/tracker-services.c: Added locale definitions
	to all the tracker utils to fix problems with command line arguments
	containing non-ascii (C) characters.

2008-10-10  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (read_summary): Turns out
	Evolution always store times with 32bits width regardless of the
	platform. Switching back so the parser doesn't go astray where time_t
	is 64bits wide.

2008-10-09  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c: Fixed conversions
	between different character encodings in the tags.

2008-10-09  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.c: (libinotify_monitor_directory):
	Removed the if is_directory check on EVERY file monitor we add
	since we know we only monitor directories.

2008-10-09  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/Makefile.am: Put all definitions and
	includes before CFLAGS (like everywhere else). Fix linking order.
	
	* src/tracker-extract/tracker-extract.c: Don't call g_strstrip()
	on NULL values, check the mime type first since it can be NULL.
	Fixes a warning that was being produced. Also added GOption
	support so users can do --help to see how to use the extractor
	from the terminal.

2008-10-09  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/Makefile.am: Don't link with GdkPixbuf
	unless we have it.
	
	* src/tracker-extract/tracker-extract-gstreamer.c: Don't call
	GdkPixbuf module functions unless we have GdkPixbuf.

2008-10-09  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-db.c (tracker_db_search_text)
	(tracker_db_get_metadata_field):
	* src/trackerd/tracker-metadata.c (tracker_metadata_get):
	* src/trackerd/tracker-query-tree.c (tracker_query_tree_finalize)
	(tracker_query_tree_get_hits) (tracker_query_tree_get_hit_counts):
	Plug leaks everywhere.

2008-10-09  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-monitor.c (get_module_name_from_gfile): Plug a
	leak.

2008-10-09  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-search.c (tracker_search_get_hit_count)
	(tracker_search_get_hit_count_all): Do not free memory owned by
	TrackerOntology.

2008-10-09  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-search.c: Timeout based SQLite connection for
	the direct-sql SqlQuery feature. The connection stays open for 10
	minutes before being recyled

2008-10-09  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-db/tracker-db-interface-sqlite.c
	* src/libtracker-db/tracker-db-interface-sqlite.h
	* src/libtracker-db/tracker-db-manager.c
	* src/libtracker-db/tracker-db-manager.h
	* src/trackerd/tracker-main.c
	* src/tracker-indexer/tracker-main.c: utilizing SQLite's shared cache 
	feature in the daemon.

2008-10-09  Mikael Ottela   <mikael.ottela@ixonos.com>
	
	* src/tracker-extract/Makefile.am: Fixed a gdk_pixbuf related typo 
	in the makefile.

2008-10-09  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.c: Added an event cache so we don't
	send 2 events for a cp command to the indexer - this is an
	efficiency improvement. Now we just send CREATED to the indexer
	instead of CREATED & UPDATED. This fixes NB #88769.

2008-10-09  Philip Van Hoof  <philip@codeminded.be>

	* configure.ac
	* src/libtracker-db/tracker-db-interface-sqlite.c
	* src/libtracker-db/tracker-db-interface-sqlite.h
	* src/libtracker-db/tracker-db-manager.c
	* src/libtracker-db/tracker-db-manager.h
	* src/trackerd/tracker-search.c
	* src/trackerd/tracker-search.h
	* data/dbus/tracker-search.xml: Added a method to access the database
	using normal SQL queries. Please do not use this API in applications
	unless you understand the consequences of the DB schema changing at
	unannounced moments.

2008-10-08  Ivan Frade  <ivan.frade@nokia.com>

	* docs/reference/tracker-indexer/adding-categories-and-properties.sgml
	Added ShowServiceFiles to the documentation. Set this variable is
	essential to see the category files in search results.
	
2008-10-08  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-common/tracker-ontology.[ch]
	(tracker_ontology_get_subcategory_ids) New method to obtain all
	the subcategory ids of a service type. The returned array contains
	the id of the searched service type as well. 
	
	* src/trackerd/tracker-db.c
	(tracker_db_create_array_of_services): Use the new
	tracker-ontology method instead of hardcoded arrays.
	(tracker_db_search_text): Use tracker_db_create_array_of_services
	
	* tests/libtracker-common/tracker-ontology-test.c: Test for the
	new functionality	
	
2008-10-08  Carlos Garnacho  <carlos@imendio.com>

	* docs/reference/tracker-indexer/writing-an-indexer-plugin.sgml:
	Rediscovering the wonders of git-add.

2008-10-08  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/Makefile.am:
	* src/libtracker-common/tracker-config.[ch]: Added more functions
	to be able to more easily manipulate the lists we store in the
	configuration. Also make it possible to save the config.
	
	* src/libtracker-common/tracker-configuration.[ch]: Removed in
	favour of tracker-config.

	* src/libtracker-common/tracker-file-utils.c: Completely reworked
	tracker_path_list_filter_duplicates() so it works similarly to the
	hash table function. Also removed some of the debugging here and
	casting which was unnecessary.
	
	* src/libtracker-common/tracker-language.[ch]: Added functions
	needed by tracker-preferences to get all languages and codes for
	stemmers. 
	
	* src/tracker-preferences/Makefile.am: Reworked the Makefile to be
	inline with others we have. Fixed the linking order.
	
	* src/tracker-preferences/tracker-preferences-main.c:
	* src/tracker-preferences/tracker-preferences.c: Completely
	reworked the source here to use TrackerConfig instead of
	TrackerConfiguration. 

2008-10-08  Ivan Frade  <ivan.frade@nokia.com>

	* data/services/default.service:
	Added ShowServiceFiles property to get playlists as results of
	text search.

	* src/tracker-search-tool/tracker-search-tool.c:
	Added Playlists to the categories list, so it shows the
	number of results on the left panel.
	
2008-10-08  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-file-utils.c
	(tracker_file_get_mime_type): do not unref a possibly NULL GFileInfo.

2008-10-08  Mikael Ottela    <mikael.ottela@ixonos.com>
	
	* data/services/image.metadata: Changed some field types for images
	to ones that make more sense.

2008-10-08  Carlos Garnacho  <carlos@imendio.com>

	* docs/reference/tracker-indexer/writing-an-indexer-plugin.sgml:
	* docs/reference/tracker-indexer/tracker-indexer-docs.sgml:
	* docs/reference/tracker-indexer/Makefile.am: Add an initial draft on
	how to develop indexer modules.

2008-10-08  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/tracker-extract.c (print_file_metadata)
	(process_input_cb) (main): Make tracker-extract process inmediately
	and exit if path/mimetype are passed through argv. It will be useful
	for testing purposes.

2008-10-08  Carlos Garnacho  <carlos@imendio.com>

	* docs/reference/libtracker-common/libtracker-common.types: Forgot to
	add this, now the GObject scanner is compiled correctly.
	* docs/reference/libtracker-common/Makefile.am: Add
	-DTRACKER_COMPILATION to build things.

2008-10-07  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-common.h: Make sure we include glib.h.
	Noticed by Roberto Majadas  <roberto.majadas@openshine.com>

2008-10-07  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-db.c (tracker_db_create_array_of_services):
	Don't be naughty and overwrite memory we don't own.

2008-10-07  Martyn Russell  <martyn@imendio.com>

	* src/tracker-applet/Makefile.am: Added -DTRACKER_COMPILATION to
	fix the build.

2008-10-07  Ivan Frade  <ivan.frade@nokia.com>

	Added initial support for playlists. The playlist files are now in
	a "Playlists" category, but only (and partially) m3u files provide
	some metadata.
	
	* src/trackerd/tracker-db.c
	(tracker_db_create_array_of_services): Added Playlist as
	subcategory if Files
	
	* src/tracker-extract/tracker-extract-m3u.c
	* src/tracker-extract/Makefile.am: New extractor for m3u files.
	
	* data/services/playlist.metadata
	* data/services/default.service
	* data/services/Makefile.am: New category and properties for
	Playlists.
	
2008-10-07  Carlos Garnacho  <carlos@imendio.com>

	* configure.ac:
	* data/Makefile.am:
	* data/tracker-indexer-module-1.0.pc.in: New file. All-in-one
	pkg-config file for developing tracker-indexer standalone modules.

2008-10-07  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/Makefile.am: Split the relevant parts of
	tracker-indexer into libtracker-indexer.so, make tracker-indexer use
	it.
	* src/tracker-indexer/tracker-metadata.h:
	* src/tracker-indexer/tracker-module.h: Fix includes so it doesn't
	give problems when compiling modules out of tree.

2008-10-07  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-parser.[ch]: Do not expose the
	TrackerParser struct in the header, it was pulling pango.h
	unnecessarily.

2008-10-07  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/Makefile.am: Install relevant headers so
	they're available for public use.

2008-10-07  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-common.h: New file. Do not allow
	compiling unless TRACKER_ENABLE_INTERNALS or TRACKER_COMPILATION is
	defined.
	* src/libtracker-common/*.h: Do not allow including anything but
	libtracker-common/tracker-common.h outside of tracker.
	* */Makefile.am: define TRACKER_COMPILATION.

2008-10-06  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (extract_message_text): How
	about not breaking build?

2008-10-06  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (extract_message_text): Also
	check the mime part doesn't contain raw/binary data before processing
	it as text.

2008-10-06  Martyn Russell  <martyn@imendio.com>

	* docs/reference/tracker-indexer/Makefile.am: Fixed a build issue.

2008-10-06  Martyn Russell  <martyn@imendio.com>

	* docs/reference/tracker-indexer/Makefile.am:
	* docs/reference/tracker-indexer/adding-categories-and-properties.sgml:
	* docs/reference/tracker-indexer/tracker-indexer-docs.sgml:
	* docs/reference/tracker-indexer/writing-an-extractor.sgml: Added
	Ivan's live.gnome.org documentation so it is available in the
	reference documentation.

2008-10-06  Martyn Russell  <martyn@imendio.com>

	* docs/design/Makefile.am: Added tracker-indexer.dia to illustrate
	the design of the indexer.

2008-10-06  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-extract/dummy.c:
	Dummy extractor to use as example in the documentation.
	
2008-10-04  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-utils/Makefile.am
	* src/tracker-utils/tracker-services.c
	* docs/manpages/tracker-services.1:
	Added new tracker-services tool to ask the daemon available
	services types and properties. Updated the man page.

2008-10-03  Ivan Frade  <ivan.frade@nokia.com>

	* docs/manpages/tracker-extract.1
	* docs/manpages/tracker-files.1
	* docs/manpages/tracker-meta-folder.1
	* docs/manpages/tracker-query.1
	* docs/manpages/tracker-search-tool.1
	* docs/manpages/tracker-search.1
	* docs/manpages/tracker-services.1
	* docs/manpages/tracker-stats.1
	* docs/manpages/tracker-tag.1
	* docs/manpages/tracker-thumbnailer.1
	* docs/manpages/tracker.cfg.5
	* docs/manpages/trackerd.1: Updated map pages

	* docs/manpages/Makefile.am
	* docs/manpages/tracker-info.1
	* docs/manpages/tracker-unique.1: New man pages for the new utils

	* docs/manpages/tracker-services.7: Moved to tracker-services.1

	* src/libtracker-common/tracker-config.c:
	Updated path for indexer modules in the option message.

2008-10-03  Mikael Ottela    <mikael.ottela@ixonos.com>

	* src/tracker-extract/Makefile.am: Fixed building with GdkPixbuf.

2008-10-03  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-hal.c:
	* src/libtracker-common/tracker-field.c: Add some docs.

	* docs/reference/libtracker-common/libtracker-common-sections.txt:
	Make gtk-doc interpret GObjects as such. Finish correctly the
	"SECTION" tag so gtk-doc also dumps output for TrackerField and
	TrackerFieldData.

	* docs/reference/libtracker-common/libtracker-common-docs.sgml: Add
	the sections for TrackerField and TrackerFieldData.

	* docs/reference/libtracker-common/Makefile.am: Fixes to compile the
	docs scanner.

2008-10-03  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/tracker-extract/Makefile.am:
	* src/tracker-extract/tracker-albumart.[ch]: 
	* src/tracker-extract/tracker-extract-mp3.c: Don't require
	GdkPixbuf for MP3 album art extraction. Instead make it optionally
	disabled for the Maemo platform while we wait for the latest
	GdkPixbuf to be available.

2008-10-03  Martyn Russell  <martyn@imendio.com>

	* docs/reference/libtracker-common/libtracker-common-sections.txt:
	Change the order of the functions so all the
	new/free/init/shutdown functions are at the top.

	* src/libtracker-common/tracker-hal.h: Don't define the TrackerHal
	object differently depending on if we HAVE_HAL. This was causing
	an error in the documentation building.

2008-10-03  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (extract_message_text): Just
	try to convert if part contents don't validate as utf8.

2008-10-03  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* docs/reference/Makefile.am:
	* docs/reference/libtracker-common/Makefile.am:
	* docs/reference/libtracker-common/libtracker-common-docs.sgml:
	* docs/reference/tracker-indexer/Makefile.am:
	* docs/reference/tracker-indexer/tracker-indexer-docs.sgml:
	* docs/reference/tracker-indexer/tracker-indexer-sections.txt:
	Added new documentation module for tracker-indexer module creation.

2008-10-03  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* docs/design/Makefile.am:
	* docs/manpages/Makefile.am:
	* docs/reference/libtracker-common/Makefile.am: Added missing
	Makefile.am files.

2008-10-03  Mikael Ottela   <mikael.ottela@ixonos.com>

	* configure.ac:
	* src/tracker-extract/Makefile.am:
	* src/tracker-extract/tracker-extract-gstreamer.c: Added extraction
	of embedded album art to gstreamer based extractor.

2008-10-02  Mikael Ottela   <mikael.ottela@ixonos.com>

	* configure.ac:
	* src/tracker-extract/tracker-albumart.c:
	* src/tracker-extract/tracker-extract-mp3.c:
	* src/tracker-extract/tracker-albumart.h:
	* src/tracker-extract/Makefile.am: Added extraction of embedded
	album art to mp3. The implementatio is based on the current draft
	of the album art spec.

2008-10-02  Martyn Russell  <martyn@imendio.com>

	* Makefile.am: Fixed make distcheck for the documentation addition.

2008-10-02  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Added version information and new documentation
	Makefiles. 
	
	* docs/Makefile.am:
	* docs/reference/COPYING:
	* docs/reference/Makefile.am:
	* docs/reference/README:
	* docs/reference/libtracker-common/libtracker-common-docs.sgml:
	* docs/reference/libtracker-common/libtracker-common-sections.txt:
	Added for initial libtracker-common documentation.

	* src/libtracker-common/tracker-config.[ch]: Removed unused
	function declaration.
	
	* src/tracker-applet/tracker-applet.c: 
	* src/tracker-indexer/tracker-main.c:
	* src/tracker-search-tool/tracker-search-tool.c:
	* src/trackerd/tracker-daemon.c: 
	* src/trackerd/tracker-main.c: Fixed VERSION to be PACKAGE_VERSION.

2008-10-02  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* docs/Makefile.am:
	* docs/tracker-applet.1:
	* docs/tracker-extract.1:
	* docs/tracker-files.1:
	* docs/tracker-meta-folder.1:
	* docs/tracker-preferences.1:
	* docs/tracker-query.1:
	* docs/tracker-search-tool.1:
	* docs/tracker-search.1:
	* docs/tracker-services.7:
	* docs/tracker-stats.1:
	* docs/tracker-status.1:
	* docs/tracker-tag.1:
	* docs/tracker-thumbnailer.1:
	* docs/tracker.cfg.5:
	* docs/trackerd.1: Moved all manpages to docs/manpages and moved
	all architecture docs to docs/design.

2008-10-02  Martyn Russell  <martyn@imendio.com>

	* docs/trackerd.dia:
	* docs/trackerd.png: Added to illustrate the architectural design
	of the daemon.

2008-10-02  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/Makefile.am: Fix the linking order here.
	
	* src/trackerd/tracker-monitor.c:
	(libinotify_event_check_timeout_cb),
	(libinotify_monitor_event_cb): Don't use IN_MOVE_SELF for the
	ITEM_DELETED event. This meant that when we get this convenience
	event from inotify, we were signalling a delete event (which is
	wrong since we support proper move events now) and delete file
	changes are signalled to the indexer BEFORE all other events. So
	the indexer would get DELETE followed by MOVE and not find the
	source to MOVE in the database.

2008-10-01  Carlos Garnacho  <carlos@imendio.com>

	Handle properly multipart messages in Evolution's IMAP.

	* src/tracker-indexer/modules/evolution.c (get_message_encoding):
	Renamed to get_object_encoding(), since it will also be used for IMAP
	message parts.
	(get_text_for_mbox): Update caller.
	(extract_message_text) (get_text_for_imap): Use GMime to parse
	individual messages, and iterate through mail parts to extract the
	contained text.

2008-10-01  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-db/tracker-db-manager.c:
	(db_interface_get_xesam)
	(db_interface_get_common) Scan the services directory to load the
	service and metadata descriptions, instead of the previous
	hardcoded list.
	
2008-10-01  Mikael Ottela   <mikael.ottela@ixonos.com>
	
	* data/dbus/tracker-metadata.xml:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-metadata.h: Added GetUniqueValuesWithCountAndSum
	back to the API.
	* src/tracker-utils/tracker-unique.c:
	* src/libtracker/tracker.c:
	* src/libtracker/tracker.h: GetUniqueValuesWithCountAndSum mapped
	to the library.
	
2008-10-01  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/modules/applications.c: Added some debugging
	to know why some .desktop files are not indexed because the module
	returns no metadata.

	* src/tracker-indexer/modules/files.c: Don't check files for to
	see if they should be excluded in this module - the daemon
	currently does this. This can still be enabled with a #define
	because this is problematic for standalone testing of the indexer
	with the -p switch. 
	
	* src/tracker-indexer/tracker-indexer.c: Improve the debugging so
	it doesn't look like we delete items in the database which should
	be indexed. Instead explain there is no metadata so we are
	removing the item from the database.
	
2008-10-01  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker/tracker.[ch]:
	(tracker_metadata_get_all) Mapped new method in the DBus API in
	the library

	* src/tracker-utils/tracker-info.c
	* src/tracker-utils/Makefile.am: New program (tracker-info) to 
	ask all available metadata of a	certain file.
	
2008-09-30  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/libtracker-db/tracker-db-manager.c: Fixed a bug that
	forced reindex at every startup.

2008-09-30  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-crawler.c: 
	* src/trackerd/tracker-crawler.h:
	* src/trackerd/tracker-processor.c: Make sure we reset the boolean
	we used to know if we have already iterated the paths,
	recurse_paths and special_paths lists when we _start(). The API
	was improved and a new function added to clear the special_paths()
	list. 
	
2008-09-30  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-crawler.c: Improve the crawler by adding a
	"special_paths" category used for legacy config paths and for mmc
	paths which are not in the module config. Also, removed some code
	duplication.

2008-09-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-db.[ch]: Removing unused functions
	static functions:
	(compress_string)
	(db_save_full_text)
	(update_metadata_index)
	(get_backup_id)
	(backup_non_embedded_metadata)
	(backup_delete_non_embedded_metadata_value)
	(backup_delete_non_embedded_metadata)
	(remove_value)
	(db_create_event)

	public functions: (this functionality is now in the indexer)
	(tracker_db_metadata_set_single)
	(tracker_db_metadata_set)
	(tracker_db_metadata_delete_value)
	(tracker_db_metadata_delete)
	(tracker_db_service_create)
	(tracker_db_metadata_get_types)
	
2008-09-29  Ivan Frade  <ivan.frade@nokia.com>

	* data/dbus/tracker-metadata.xml
	* src/trackerd/tracker-metadata.[ch]: New GetAll method in the 
	DBus API to obtain all metadata available for a URI.
	
	* src/trackerd/tracker-db.[ch]
	(tracker_db_metadata_get_all): New function with the neccesary
	code to retrieve all metadata of a file from the DB.
	(tracker_db_metadata_get_types): Renamed parameter class to klass
	to avoid possible conflicts with C++.
	
	* data/sqlite-store-procs.sql:
	New GetAllMetadata stored proc.
	
2008-09-29  Mikael Ottela <mikael.ottela@ixonos.com>
	
	* src/libtracker-db/tracker-db-dbus.[ch]: Added functions to handle
	multi-valued fields. Different values are separated by '|'

	* src/trackerd/tracker-search.c:
	* src/trackerd/tracker-rdf-query.c: Changed rdf-query to support
	multi-valued fields.
	
	* tests/libtracker-db/tracker-db-dbus-test.c: Added test cases.

2008-09-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-db/tracker-db-manager.[ch]:
	Added new TRACKER_DB_FOR_VIRTUAL_SERVICES. Will be used in the
	user.db implementation.

	* src/trackerd/tracker-db.[ch]
	(tracker_db_file_get_id): Removed TrackerDBInterface from method 
	signature. Now it chooses internally the DB connection using the 
	service type.
	
	* src/trackerd/tracker-files.c
	* src/trackerd/tracker-keywords.c
	* src/trackerd/tracker-metadata.c
	* src/trackerd/tracker-search.c: Updated to the new API.
	
2008-09-26  Martyn Russell  <martyn@imendio.com>

	* Merge indexer-split branch.

2008-09-26  Martyn Russell  <martyn@imendio.com>

	* Pre-merge with indexer-split marker.

2008-09-26  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-config.c: (config_load_int),
	(config_load_boolean), (config_load_string): Don't use g_warning()
	when we can't find an old config option, instead just print a
	normal message.
	
	* Makefile.am:
	* configure.ac:
	* data/Makefile.am:
	* data/dbus/Makefile.am:
	* data/icons/16x16/Makefile.am:
	* data/icons/22x22/Makefile.am:
	* data/icons/24x24/Makefile.am:
	* data/icons/32x32/Makefile.am:
	* data/icons/48x48/Makefile.am:
	* data/icons/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/languages/Makefile.am:
	* data/modules/Makefile.am:
	* data/services/Makefile.am:
	* docs/Makefile.am:
	* filters/application/Makefile.am:
	* filters/text/Makefile.am:
	* python/Makefile.am:
	* python/deskbar-handler/Makefile.am:
	* src/Makefile.am:
	* src/libinotify/Makefile.am:
	* src/libstemmer/Makefile.am:
	* src/libtracker-common/Makefile.am:
	* src/libtracker-db/Makefile.am:
	* src/libtracker-gtk/Makefile.am:
	* src/libtracker/Makefile.am:
	* src/qdbm/Makefile.am:
	* src/tracker-applet/Makefile.am:
	* src/tracker-extract/Makefile.am:
	* src/tracker-fts/Makefile.am:
	* src/tracker-indexer/Makefile.am:
	* src/tracker-indexer/modules/Makefile.am:
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-preferences/Makefile.am:
	* src/tracker-search-tool/Makefile.am:
	* src/tracker-thumbnailer/Makefile.am:
	* src/tracker-utils/Makefile.am:
	* src/trackerd/Makefile.am:
	* tests/tracker-indexer/Makefile.am:
	* tests/trackerd/Makefile.am:
	* thumbnailers/application/Makefile.am:
	* thumbnailers/image/Makefile.am:
	* utils/qdbm/Makefile.am: Fixed 'make check' and 'make distcheck'

2008-09-25  Martyn Russell  <martyn@imendio.com>

	* Makefile.am: Added $(DESTDIR) to the install hooks since it is
	not applied to the hooks. Thanks for the input here from Michael
	Biebl. 

2008-09-25  Martyn Russell  <martyn@imendio.com>

	* Makefile.am:
	* configure.ac: Added a message about the file removal of old data
	and binary files from older Tracker projects after the initial
	configure script has run.

2008-09-25  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-indexer/tracker-indexer.c
	(index_metadata_item): The score must be positive when we are 
	adding words to the index. 
	
2008-09-25  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-db.c
	(tracker_db_create_array_of_services): Added missing "Applications"
	category. We were filtering all application results in the daemon.
	
2008-09-25  Martyn Russell  <martyn@imendio.com>

	* Makefile.am: Improve this so we don't use all-local and instead
	use install-exec-hook and install-data-hook.
	
	* src/libtracker-db/tracker-db-manager.c: Added functions to check
	database versions to know if we should reindex or not.

2008-09-25  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (process_file): Don't give up
	on the whole file if the URI can't be extracted for any contained
	item.

2008-09-25  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/module/evolution.c
	(tracker_module_file_get_data) (tracker_module_file_iter_contents):
	Get the Message UID before reading metadata, since we'll need it for
	tracker_module_file_get_uri().
	(get_metadata_for_imap): Remove UID parsing from here.

2008-09-25  Carlos Garnacho  <carlos@imendio.com>

	Do not break on 64-bit platforms. Based on a patch by Laurent 
	Aguerreche  <laurent.aguerreche@free.fr>

	* src/tracker-indexer/modules/evolution.c (read_summary): time_t will
	have different width in other platforms.
	(read_summary_header): Add comments to skipped summary elements.

2008-09-25  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (tracker_db_index_open): Be
	more graceful when the index is already open.
	* src/tracker-indexer/tracker-indexer.c (check_started): Reopen the
	indexes if needed.
	(handle_metadata_add) (handle_metadata_remove): Check that the indexer
	is running and fine.
	(tracker_indexer_get_running): Check also for the "stopped" flag.
	* src/tracker-indexer/tracker-metadata.c (tracker_metadata_insert):
	Plug a potential leak.

2008-09-25  Martyn Russell  <martyn@imendio.com>

	* Makefile.am:
	* data/services/Makefile.am: Added install hooks to clean up old
	locations for binaries from TRUNK. This way when replacing TRUNK
	with indexer-split, people shouldn't get run the wrong binaries if
	they are still in their $prefix.

2008-09-23  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-db.c
	(tracker_db_create_array_of_services): Added missing "Files"
	category. The queries were returning less results than expected
	due to the lack of this category.
	
2008-09-21  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract-mp3.c: 
	* src/tracker-extract/tracker-extract.c:
	* src/tracker-indexer/tracker-main.c:
	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/tracker-thumbnailer/tracker-thumbnailer.c:
	* src/trackerd/tracker-main.c: Use G_OS_WIN32 instead of OS_WIN32.

2008-09-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (get_message_encoding):
	Remove debug g_print()

2008-09-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (get_message_encoding)
	(get_text_for_mbox): Try to convert message contents to UTF8 based on
	the charset specified by the Content-Type header.

2008-09-21  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-service.c (service_finalize): Plug a
	leak.

2008-09-21  Carlos Garnacho  <carlos@imendio.com>

	* data/services/file.metadata: Added missing description for
	File:Language.

2008-09-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (item_create_or_update)
	(item_delete): Show item uri instead of file path in debug messages.

2008-09-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata.c (tracker_metadata_insert):
	Provide a more verbose error if some field name isn't defined in the
	ontology.

2008-09-20  Martyn Russell  <martyn@imendio.com>

	*.[ch]: Tabbify code.

2008-09-20  Martyn Russell  <martyn@imendio.com>

	*.[ch]: Removed all trailing whitespace.

2008-09-20  Ivan Frade  <ivan.frade@nokia.com>

	* tests/tracker-indexer/Makefile.am: Revert previous change. Using
	symbolic links instead of BUILD_SOURCES var.
	
2008-09-19  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: Call service_def
	'service' and field_def 'field'.

2008-09-19  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-processor.c: Reduce the size of the list of
	files we send to the indexer down to 1000 from 5000. DBus isn't
	supposed to be optimized for > 4kb chunks.

	* src/tracker-indexer/tracker-indexer.c: Make sure we remove all
	entries in the hash table we use for mtime cache on parent
	directories when we have finished indexing. Use Quarks to know
	what the current module is instead of strdup() every time we
	process a file. Actually free the TrackerMetadata on move events.

	* src/tracker-indexer/tracker-metadata-utils.c: (get_file_content):
	Don't write until the end of the buf, use a length, we know it and it
	should be faster if the GString function doesn't need to calculate the
	length too.k

2008-09-17  Ivan Frade  <ivan.frade@nokia.com>

	* tests/tracker-indexer/Makefile.am: Using BUILD_SOURCES
	automake's var to fix the build.
	
2008-09-17  Martyn Russell  <martyn@imendio.com>

	* tests/tracker-indexer/Makefile.am: Tried fixing the ln -s
	generated files hack which breaks the build right now.

2008-09-17  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.c:
	(tracker_file_get_mime_type), (path_has_write_access): Fixed
	GFileInfo memory leaks.
	
	* src/libtracker-common/tracker-ontology.c:
	(tracker_ontology_get_field_by_id): Fixed GList memory leak from
	g_hash_table_get_values() call.
	
	* src/libtracker-common/tracker-parser.c: (analyze_text),
	(tracker_parser_text_to_string), (tracker_parser_text): Make sure
	we check the text string is not just an empty string. Also, don't
	call strlen twice in some cases.
	
	* src/tracker-indexer/tracker-indexer-db.c:
	(tracker_db_check_service), For some reason, the mtime comes back
	as a string, even though it is supposed to be an integer. So we
	call tracker_string_to_date() on it now.

	(result_set_to_metadata), In this function, don't strdup() a
	strdup() only to free the first one. Only free if it is unused and
	make use of the already strdup'd string.
	
	* src/tracker-indexer/tracker-indexer.c: (item_create_or_update):
	Fixed a memory leak here were the TrackerMetadata was not freed
	when updating an indexed item.
	
	* src/tracker-indexer/tracker-metadata-utils.c: Some code clean ups.

2008-09-16  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-ontology.c:
	(tracker_ontology_get_field_names_registered): Removed the NULL
	check since it is valid to pass NULL. Thanks to Ivan's tests to
	pointing this out before building :)
	
	* configure.ac:
	* tests/Makefile.am:
	* tests/tracker-indexer/Makefile.am: Fixed tests for make
	distcheck. 

2008-09-16  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-interface.c:
	(_tracker_db_result_set_set_value): Always set GValue to the the
	column type before setting the GValue. This saves us checking if
	it was set in the first place and sometimes the column type set
	initially is not the same as the type we get returned. Which is
	what was causing the G_VALUE_HOLDS_INT (value) assertion (when we
	were trying to set a double for GetMetadataIDValueNumeric.
	
	* src/tracker-indexer/tracker-indexer-module.c:
	(tracker_indexer_module_file_get_uri): Don't spam warnings about
	not being able to get the basename and/or dirname. This happens
	all the time for the email module because we don't process ALL
	files, only summary files for IMAP (for example). This means that
	the module may return NULL for basename and dirname. We shouldn't
	error the situation as a result.
	
	* src/tracker-indexer/tracker-indexer.c: (item_delete),
	(should_index_file), (process_file): Don't try to check if we
	should index email files, instead just do it right now. Before it
	would spam critical warnings about files not existing in the
	database. Also, make the item_delete() debug more consistent with
	other functions and clearer too.

2008-09-16  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* tests/tracker-indexer/Makefile.am: Fixed the test cases for the
	indexer since pvanhoof's merge requires tracker-dbus.

2008-09-16  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c:
	(get_file_thumbnail): Mereged pvanhoof's last commit.

2008-09-16  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract-png.c: Reworked the code
	here and fixed adding NULL values with sensible keys to the hash
	table. 
	
	* src/tracker-extract/tracker-extract.c:
	(tracker_get_file_metadata): Check the key and value separately so
	we don't just get one warning for either not knowing which is
	NULL.
	
	* src/tracker-indexer/tracker-indexer-module.c: 
	(tracker_indexer_module_file_get_uri): Removed the '\n' from the
	debug statement.
	
	* src/tracker-indexer/tracker-metadata-utils.c: Fixed a nasty
	crash where the watch is not removed when cleaning up IO channels.
	Grouped the functions more logically so it is clearer what this
	module does by function names.

	* src/tracker-indexer/tracker-metadata-utils.h: Removed unused
	function signatures and structs/enums.

2008-09-16  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/tracker-indexer/tracker-dbus.[ch]:
	* src/tracker-indexer/Makefile.am:
	* tests/tracker-indexer/Makefile.am:  Support for thumbnailing using
	org.freedeskop.thumbnailer.Generic (DBus names might change as the
	specification changes: http://live.gnome.org/ThumbnailerSpec)

2008-09-15  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-config.[ch]: Support legacy
	options SkipMountPoints, IndexEvolutionEmail and IndexThunderbirdEmail.

2008-09-15  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c (tracker_metadata_read)
	(tracker_text_read): Don't remove the idle func when we're done
	reading metadata for one item, it can be reused for the next one.

2008-09-15  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.c:
	(tracker_env_check_xdg_dirs): Don't warn when the XDG_DATA_HOME
	environment variable is empty (and NULL).
	
	* src/libtracker-common/tracker-ontology.c:
	(tracker_ontology_service_add): Don't add service names and field
	names in to the hash table collated, they can be looked up then.
	
	* src/tracker-indexer/tracker-metadata-utils.c: Re-enable
	thumbnail extraction now we know it isn't slowing us down in the
	indexer. 

2008-09-15  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-ontology.[ch]: Removed the
	service_directory_table GHashTable and the service_directory_list
	GList because they are unused and the API to add/remove and get
	paths is unused too. Fixed a memory leak in
	tracker_ontology_get_field_names_registered(). Don't collate
	strings before looking up the service names and field names. This
	operation is done a lot and was created/freeing memory each time
	we lookup. This is not necessary.

2008-09-15  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-ontology.[ch]:
	* src/libtracker-db/tracker-db-manager.c:
	* src/tracker-indexer/tracker-indexer-db.c:
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-indexer/tracker-metadata.c:
	* src/trackerd/tracker-db.c:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-xesam-live-search.c:
	* tests/libtracker-common/tracker-ontology-test.c: More ontology
	API improvements and added parameter checks for a lot of public
	functions which were missing them.

2008-09-15  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-ontology.c:
	* src/libtracker-common/tracker-ontology.h:
	* src/libtracker-db/tracker-db-index-manager.c:
	* src/libtracker-db/tracker-db-manager.c:
	* src/tracker-indexer/modules/files.c:
	* src/tracker-indexer/tracker-indexer.c:
	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/trackerd/tracker-db.c:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-query-tree.c:
	* src/trackerd/tracker-rdf-query.c:
	* src/trackerd/tracker-search.c:
	* tests/libtracker-common/tracker-ontology-test.c: More ontology
	API improvements.

2008-09-15  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-ontology.[ch]:
	* src/libtracker-db/tracker-db-index-manager.c:
	* src/libtracker-db/tracker-db-manager.c: 
	* src/tracker-indexer/modules/files.c:
	* src/tracker-indexer/tracker-indexer-db.c:
	* src/tracker-indexer/tracker-indexer.c: 
	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/trackerd/tracker-db.c: 
	* src/trackerd/tracker-files.c: 
	* src/trackerd/tracker-keywords.c: 
	* src/trackerd/tracker-metadata.c: 
	* src/trackerd/tracker-query-tree.c:
	* src/trackerd/tracker-rdf-query.c:
	* src/trackerd/tracker-search.c:
	* tests/libtracker-common/tracker-ontology-test.c:
	* tests/libtracker-db/Makefile.am: Renamed a lot of the
	tracker-ontology API to make it clearer and more consistent.

	* src/tracker-extract/tracker-extract.c:
	* tests/tracker-fts/tracker-fts-test.c: Fixed compiler warnings.
	
	* utils/qdbm/Makefile.am: Fixed linker errors.

2008-09-12  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract.c: Disabled debugging by
	default. 

2008-09-12  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract-mp3.c: Clean up the code.

2008-09-11  Mikael Ottela   <mikael.ottela@ixonos.com>
	
	* src/tracker-extract/tracker-extract-mp3.c: Added mime-type
	audio/x-mp3 to the list of supported ones. Corrected some
	metadata field names.
	* src/tracker-extract/tracker-extract-jpeg.c: Call to xmp routines
	fixed.
	* src/libtracker-common/tracker-type-utils.c: Removed an unused
	variable.
	* src/tracker-indexer/tracker-indexer-db.c: Added a check that the
	date given by extractor is valid.

2008-09-11  Mikael Ottela   <mikael.ottela@ixonos.com>
	
	* src/libtracker-db/tracker-db-interface.c: Fixed a crash in
	result sets.

2008-09-11  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract.c: (debug_impl),
	(print_meta_table_data): Fixed printing to stdout for the indexer
	to use the returned data.

2008-09-11  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract.c:
	(tracker_get_file_metadata): Debugging improvements.

2008-09-11  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract.c: Added debugging which can
	be turned off using the #define DISABLE_DEBUGGING at the top.

2008-09-11  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract-imagemagick.c:
	* src/tracker-extract/tracker-extract-mplayer.c: 
 	* src/tracker-extract/tracker-extract-msoffice.c:
	* src/tracker-extract/tracker-extract-oasis.c:
	* src/tracker-extract/tracker-extract-pdf.c: 
	* src/tracker-extract/tracker-extract-totem.c:
	* src/tracker-extract/tracker-extract.[ch]: Code clean up and use
	libtracker-common for functions instead of duplicating them in
	these files.

2008-09-11  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/tracker-extract.c: Use the libtracker-common
	spawn function instead of duplicating the code here. Also the
	libtracker-common function has a lot better error handling.

2008-09-11  Martyn Russell  <martyn@imendio.com>

	* src/tracker-extract/Makefile.am: Cleaned up Makefile.

	* src/tracker-extract/tracker-extract.c: Use functions from
	libtracker-common instead of duplicating our own here.
	
	* src/tracker-indexer/tracker-metadata-utils.c:
	(process_watch_cb): Print the g_strerror() for the error code we
	get back from an exiting process from the extractor.

2008-09-11  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-os-dependant-unix.c: Cleaned up
	* src/libtracker-common/tracker-os-dependant.h: 
	functions. Added parameter checks for all public functions. Made
	setrlimit function public since it is used in a lot of places.
	
	* src/libtracker-common/tracker-os-dependant-win.c: Updated this
	* src/libtracker-common/tracker-os-dependant.h: 
	module and wrote functions that were missing.

	* src/tracker-extract/tracker-extract.c:
	* src/tracker-extract/tracker-extract-abw.c:
	* src/tracker-extract/tracker-extract-gstreamer.c:
	* src/tracker-extract/tracker-extract-html.c: 
	* src/tracker-extract/tracker-extract-jpeg.c: 
	* src/tracker-extract/tracker-extract-ps.c: Cleaned up the code
	here. Made a lot of things static which shouldn't be public.

	* src/tracker-extract/tracker-extract-jpeg.c: Fixed some memory
	leaks here in the "fix" functions.

	* src/tracker-indexer/tracker-main.c: Temporarily removed the
	SIGPIPE handling here so we know about it instead of just ignore
	it.
	
	* src/tracker-indexer/tracker-metadata-utils.c: Improved the
	debugging and cleaned up the code.

2008-09-11  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/tracker-indexer/tracker-metadata-utils.c: Fixed a date
	metadata bug.
	
2008-09-11  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: (process_file): Add some
	compiler hints to optimize the code here a little.
	
	* src/tracker-indexer/tracker-metadata-utils.c:
	(tracker_metadata_utils_get_text),
	(tracker_metadata_utils_get_thumbnail): Disable thumbnail
	retrieval until it is faster.

2008-09-10  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.[ch]:
	* src/tracker-indexer/tracker-main.c: 
	* src/trackerd/tracker-main.c: 
	(tracker_env_check_xdg_dirs): Added this function to make sure we
	have write access to XDG_DATA_HOME. On the Maemo platform, this is
	/usr/share, on Ubuntu this is $HOME/.local/share. We default to
	the later in cases where we don't have write access and can't
	create the XDG_DATA_HOME location.
	
2008-09-10  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/trackerd/tracker-rdf-query.c: Fixed some problems with
	OR operator in RDF queries.

2008-09-09  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer-db.c:
	(tracker_db_move_service): Switch the to and from parameters round
	so the move statement works.
	
	* src/tracker-indexer/tracker-indexer.c: Now use the PathInfo
	struct for move events and also the event queue instead of dealing
	with them specifically there and then. Now rename or move events
	on files work.

2008-09-09  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-index.c: Cleaned up the code.
	* src/tracker-indexer/tracker-indexer.c: When finishing do 2
	things. First make sure we flush BEFORE we unset the flag to say
	we are indexing. This way the flush function doesn't just return.
	Also when finished, we now close the index. This means that the
	daemon can use the new index when it reopens it after indexing.

2008-09-09  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-mp3.c:
	* src/tracker-extract/tracker-extract-gstreamer.c: The audio
	extractors now check that a minimum amount of information
	(title, artist, album, genre) has been found and if not, 
	"tracker:unknown" value is used for these crucial fields.
	This change can be considered a hack and should be reverted
	when tracker supports finding unexisting metadata.

2008-09-09  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-interface.c:
	* src/tracker-indexer/tracker-indexer-db.c: Some small code clean ups.

	* src/tracker-indexer/tracker-indexer.c: Better error handling for
	the move dbus function.

2008-09-09  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.c:
	(tracker_file_get_mime_type): Improve the error message.

	* src/tracker-indexer/modules/files.c: Small clean up.
	* src/trackerd/tracker-monitor.c: Fixed the signal emission so the
	file and other file are the right way round for one of the MOVE
	events. This is probably why renaming a file was not working before.

2008-09-08  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/tracker-extract/tracker-extract-png.c:
	* src/tracker-extract/tracker-extract-jpeg.c:
	* src/tracker-extract/tracker-extract-tiff.c: Changed image
	extractors to take native image information have higher
	priority than EXIF/XMP (for example for width & height)

2008-09-08  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/tracker-indexer/tracker-indexer-db.c:
	* src/trackerd/tracker-db.c:
	* src/libtracker-common/tracker-type-utils.c:
	* src/libtracker-common/tracker-type-utils.h: Fixed problems with
	date handling in metadata.

2008-09-08  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: Implemented a cache that
	we use to know if a directory mtime has changed to know if we
	should go into it to be reindexed. We still mtime check each file
	in that directory, but we don't even try to index files for a
	directory where the mtime is the same.
	
	* src/tracker-indexer/tracker-module.h: Cleaned up header.

2008-09-05  Martyn Russell  <martyn@imendio.com>

	* configure.ac: 
	* src/Makefile.am: Make Jamie's new tracker-fts/ directory disabled
	by default. Enabled with the --enable-sqlite-fts configure option.
	This breaks the build right now that's why it is disabled while it
	is under development. Also fixed make distcheck failures (tests
	still fail for some things).
	
	* src/libtracker-db/Makefile.am: Link with -lz so build doesn't fail.

	* tests/Makefile.am: Clean ups.

	* src/libtracker-db/tracker-db-index.c: (tracker_db_index_flush):
	Fixed build warnings.

	* tests/tracker-fts/Makefile.am: Fixed missing header file.

2008-09-05  Martyn Russell  <martyn@imendio.com>

	* src/libstemmer/*: Moved all source files into this directory,
	there is no need to have them all in separate directories. Make
	the library generated a shared library.
	
	* src/libtracker-common/Makefile.am:
	* src/libtracker-db/Makefile.am: Made libtracker-common and
	libtracker-db shared libraries.

	* src/libtracker-common/tracker-language.c: Fixed include paths.

2008-09-05  Mikael Ottela   <mikael.ottela@ixonos.com>

	* src/libtracker/tracker.h:
	* src/libtracker/tracker.c:
	* src/tracker-utils/tracker-unique.c:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-metadata.h:
	* data/dbus/tracker-metadata.xml: Added GetUniqueValueWithCount
	to metadata dbus. It is similar to previous GetUniqueValues,
	except if requested an additional count of items is returned.

2008-09-04  Martyn Russell  <martyn@imendio.com>

	* data/dbus/tracker-daemon.xml:
	* src/tracker-applet/Makefile.am:
	* src/tracker-applet/tracker-applet-marshallers.[ch]: 
	* src/trackerd/tracker-marshal.list:
	* src/trackerd/tracker-daemon.c: Include the elapsed time in
	seconds in the index-progress signal. 
	
	* src/tracker-applet/tracker-applet.c: Refactored the code a
	little and improved the status tooltip to include estimated time
	and elapsed time.
	
	* data/dbus/tracker-daemon.xml:
	* src/trackerd/tracker-daemon.c: Changed the signal name
	'state-change' to 'service-statistics-updated' so it is clearer
	what it means.
	
	* src/trackerd/tracker-processor.[ch]: Added an API to get last
	elapsed time sent to us from the indexer. Fixed a bug where we
	were using our private copy of the items done/remaining in signal
	emissions but not updating them first in the "finished" signal
	from the indexer. The "index-finished" signal is now emitted.
	Before it wasn't at all so the applet was left looming in a wrong
	state. 

2008-09-04  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: Fixed the process idle
	handler so that when we are finished processing we set the
	->in_process to FALSE (was TRUE). In check_started() we don't
	check the ->idle_id, we instead rely on the state being correct.
	Renamed the state functions so they are obviously internal and
	don't use global name space and fixed one of them that wasn't
	static. 

2008-09-04  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c: (call_text_filter),
	(get_file_in_locale), (get_file_content): Split the
	get_file_content() up into a few smaller functions. Also check the
	WHOLE string for UTF-8 compliance instead of JUST when we reach
	the maximum indexable allowance. Plus don't free buf which is a
	stack allocated buffer. Also made it possible to try and convert
	from locale to UTF-8 with a #define at the top of the file. Trying
	this worked for some files and not for others. A lot of files were
	just dropped because the last character was something weird. I
	thought it would be better to index as much content as possible,
	so for now this is disabled so we index up to the last valid UTF-8
	character. 

2008-09-03  Martyn Russell  <martyn@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c: (get_file_content),
	(tracker_metadata_utils_get_text),
	(tracker_metadata_utils_get_thumbnail): Improved the
	get_file_content() function to check for '\n' in the first 64Kb
	buffer and if it doesn't exist we don't index the file. Also,
	check for UTF-8 validity so we don't stop on exactly 'x' bytes but
	where the last valid character is.

2008-09-03  Philip Van Hoof  <philip@codeminded.be>

	* ChangeLog:
	* src/trackerd/tracker-processor.c: Reverted revision 2159

2008-08-29  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (process_func)
	(tracker_indexer_check_state): If for some reason the indexer is
	stopped and started again somewhere inside process_func(), the indexer
	would end up with the current idle function "detached" but still
	running, and a new one. So, if we're inside process_func, we won't
	remove the idle function immediately, instead we'll wait and make the
	idle func return FALSE if the indexer should still be paused.

2008-08-29  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-indexer/tracker-indexer.c
	* src/trackerd/tracker-daemon.c
	* src/trackerd/tracker-files.c
	* src/trackerd/tracker-keywords.c
	* src/trackerd/tracker-metadata.c

	Use context instead of FALSE as second parameter for
	tracker_dbus_async_return_if_fail . This fixes crashes in trackerd
	when the assertions failed.
	
2008-08-29  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (tracker_db_index_flush): Do
	not use GHashTableIter API here, we can't avoid for sure having other
	portions of the code try to insert data to the index cache while it's
	flushing, and performance here is largely bound to QDBM, so it won't
	be that noticeable anyways.

2008-08-29  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-main.c (initialize_signal_handler):
	Ignore SIGPIPE, so we can handle it ourselves.
	* src/tracker-indexer/tracker-metadata-utils.c: It's possible that the
	indexer is trying to write to the metadata extractor before it
	realizes it has quit/crashed. Handle errors writing to a broken pipe
	and respawn the metadata process context in that case.

2008-08-28  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-thumbnailer/tracker-thumbnailer.c:
	Splitted the code in functions. Fixed some memory leaks. Fixed
	crash with incorrect parameters
	
2008-08-28  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-metadata-utils.c
	* src/tracker-indexer/tracker-metadata-utils.h
	* src/tracker-indexer/Makefile.am
	* tests/tracker-indexer/Makefile.am
	* configure.ac: Use Hildon's thumbnailer if available. Similar things
	should be done for other thumbnailers too.
	
2008-08-28  Carlos Garnacho  <carlos@imendio.com>

	* tests/tracker-indexer/tracker-metadata-utils-test.c: Remove tests
	related to metadata merging, this leaves the file mostly empty, but
	would be useful to keep it around when some other tests to
	tracker-indexer are added.

2008-08-28  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c (lists_equal)
	(metadata_action_item_new) (calculate_merge_action)
	(add_deleted_items) (tracker_metadata_utils_calculate_merge)
	(tracker_metadata_utils_action_item_free): Removed functions, they
	weren't used anywhere.

2008-08-28  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-thumbnailer/tracker-thumbnailer.c: Use GChecksum instead
	of shipped MD5 implementation.
	* src/tracker-thumbnailer/Makefile.am:
	* src/tracker-thumbnailer/md5.[ch]: Removed MD5 implementation, no 
	longer necessary.

2008-08-28  Carlos Garnacho  <carlos@imendio.com>

	* data/sqlite-stored-procs.sql: Use '#' to begin comments.
	* src/libtracker-db/tracker-db-manager.c (load_prepared_queries): Skip
	lines that begin with '#'.

2008-08-28  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-thumbnailer/Makefile.am: Install thumbnailer in libexec.
	* src/tracker-indexer/Makefile.am:
	* tests/tracker-indexer/Makefile.am: define LIBEXECDIR
	* src/tracker-indexer/tracker-metadata-utils.c
	(tracker_metadata_query_file) (tracker_metadata_utils_get_thumbnail):
	Use LIBEXECDIR to locate both tracker-extract and tracker-thumbnailer.

2008-08-28  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (create_update_item): Avoid
	potential double frees.

2008-08-28  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c
	(tracker_metadata_watch_cb): Rename to process_watch_cb() and make
	generic to all spawned processes, so we don't leave defunct processes
	all around.

2008-08-27  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-common/tracker-ontology.c:
	(tracker_ontology_get_registered_field_types): Removed wrong
	g_critical, the categories can have "empty" parent.
	
2008-08-27  Ivan Frade  <ivan.frade@nokia.com>

	* data/services/default.service
	* data/sqlite-service-types.sql
	* data/sqlite-stored-procs.sql
	* data/sqlite-xesam.sql: Added new field to service type
	description called "PropertyPrefix", so we can specify that
	"Document" properties are "Doc:xxx"
	
	* src/libtracker-common/tracker-service.[ch]
	* src/libtracker-db/tracker-db-manager.c: Code to handle the new
	property.

	* src/libtracker-common/tracker-ontology.[ch]
	(tracker_ontology_get_registered_field_types): Implemented
	properly so now it return the property of the service type and his
	parent. This fixes the GetRegisteredTypes method in the API.
	
	* tests/libtracker-common/tracker-ontology-test.c: Updated tests.
	
2008-08-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.[ch]
	(tracker_metadata_utils_get_thumbnail): Added back thumbnails
	creation.
	(tracker_metadata_utils_get_data): Call it from here.

2008-08-27  Mikael Ottela    <mikael.ottela@ixonos.com>
	* src/trackerd/tracker-rdf-query.c: Fixed a crash. Added
	additional '%' to sql like statements because vsprintf strips some 
	at execute_query level.

2008-08-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (tracker_indexer_check_state):
	Actually check the TRACKER_INDEXER_STATE_STOPPED flag...

2008-08-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: Add new
	TRACKER_INDEXER_STATE_STOPPED flag.
	(check_started) (check_stopped): Use that flag.
	(tracker_indexer_init): Call directly tracker_indexer_check_state() to
	setup the idle functions.

2008-08-27  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (tracker_db_index_flush):
	Protect agains reentrancy, return the number of actually flushed
	items. Also, fail when adding if the cache is being flushed.
	* src/tracker-indexer/tracker-indexer.c
	(tracker_indexer_set_state_flags) (tracker_indexer_unset_state_flags)
	(tracker_indexer_get_state_flags): There are several reasons why the
	indexer would want to stop, and not all of them are relevant outside
	TrackerIndexer. This internal API will stop the indexer if any of the
	relevant flags is set.
	(tracker_indexer_[gs]et_running): Use internally the 
	TRACKER_INDEXER_STATE_PAUSED flag.
	(check_disk_space_cb): Use internally the
	TRACKER_INDEXER_STATE_DISK_FULL flag.
	(flush_data): Set the TRACKER_INDEXER_STATE_FLUSHING flag when
	flushing, so the indexing is temporarily stopped.

2008-08-27  Ivan Frade  <ivan.frade@nokia.com>

	* data/sqlite-stored-procs.sql
	* src/libtracker-common/tracker-ontology.[ch]
	* src/tracker-indexer/tracker-indexer-db.[ch]
	* src/tracker-indexer/tracker-indexer.c
	
	Added metadata updating when the file is updated. Remove the old
	embedded metadata and set the new values. Remove only the embedded to
	keep the tags and other user/application metadata.
	
2008-08-27  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c (tracker_metadata_read)
	(tracker_metadata_query_file): Handle again metadata_context being
	possibly invalidated during reading.
	(call_text_filter): Fix compiler warning.

2008-08-27  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-common/tracker-field.c
	* tests/libtracker-common/tracker-field-test.c
	* tests/libtracker-common/Makefile.am: Fixed detail in enum
	definition and added testing for enum->string function.

2008-08-27  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-daemon.c: Fixed a memory problem allocating 0
	bytes, found using valgrind

2008-08-26  Jamie McCracken <jamiemcc at gnome org>


	* src/libtracker-common/tracker-parser.c
	* src/libtracker-common/tracker-parser.h
	Made new API for tracker-parser more compatible
	with sqlite FTS3.
	
	* tracker-fts
	* tracker-fts/tracker-fts.c
	* tracker-fts/tracker-fts-hash.c
	* tracker-fts/Makefile.am
	* tracker-fts/tracker-fts.h
	* tracker-fts/tracker-fts-hash.h
	Created forked version of sqlite fts3 module called tracker-fts
	Integrated our parser and tweaked it to work fully with FTS3 api
	
	* tests/Makefile.am
	* configure.ac
	* src/Makefile.am
	* tests/tracker-fts
	* tests/tracker-fts/tracker-fts-test.c
	* tests/tracker-fts/Makefile.am
	Added test files for tracker-fts module

2008-08-26  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c (get_file_content):
	Don't allocate in the stack so much memory, even more when it's going
	to be copied around.

2008-08-26  Carlos Garnacho  <carlos@imendio.com>

	* src/Makefile.am:
	* src/libinotify/Makefile.am:
	* tests/common/Makefile.am:
	* tests/common/tracker-test-helpers.c:
	* tests/libtracker-common/Makefile.am:
	* tests/libtracker-db/Makefile.am: Fix distcheck, to some extent.

2008-08-26  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-main.c: raised the "wait for more"
	timeout to 5 minutes. The indexer is harmless for the system's
	resources while waiting. VS. stopping and starting the indexer often
	isn't harmless for the system's resources.

2008-08-26  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-processor.c: a patch fix for the processor. It
	seems that a timeout that happens after the indexer has shut down
	calls its callback. That callback sets the status back to indexing.

	When Martyn is back from holiday he should take a look at this.

2008-08-26  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-daemon.c: Changed the way we emit the
	stats-changed signal. Fixes a crash.

2008-08-26  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-indexer.c
	* src/libtracker-db/tracker-db-index.h
	* src/libtracker-db/tracker-db-index.c: Making flushing the index more
	responsive

2008-08-26  Philip Van Hoof  <philip@codeminded.be>

	* src/libtracker-db/tracker-db-index.c: removed a mutex. The API of
	tracker-db-index.h is never used by more than one thread. Therefore 
	can't there be a need for a mutex. If we do need a mutex, then just
	reverting this wont suffice: changes that will happen after this
	commit will require using a recursive mutex instead.

2008-08-26  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-daemon.c
	* src/trackerd/tracker-marshal.list
	* data/dbus/tracker-daemon.xml: Added a stats-changed signal

2008-08-26  Carlos Garnacho  <carlos@imendio.com>

	* tests/tracker-indexer/Makefile.am: Added LIBDIR define for
	tracker-metadata-utils.c

2008-08-26  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/files.c
	(tracker_metadata_call_text_filter) (get_file_content): Moved to
	tracker-metadata-utils.c
	(tracker_module_file_get_text): Use these new functions.
	* src/tracker-indexer/tracker-metadata-utils.[ch]: Refactor
	MetadataContext so it can also spawn external text extractors.
	(tracker_metadata_utils_get_text): New helper function.

2008-08-25  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-indexer/tracker-indexer-db.c
	* src/tracker-indexer/tracker-indexer.c:
	Using the new method also here to obtain path and name also here.
	
2008-08-25  Ivan Frade  <ivan.frade@nokia.com>

	* src/libtracker-common/tracker-file-utils.[ch]
	(tracker_file_get_path_and_name): New function to get the path and
	name of an uri. It removes some duplicate code and uses g_file
	to parse the path, so we can fix "x//y" in uris.
	
	* src/trackerd/tracker-db.c
	* src/trackerd/tracker-files.c: Using the new method, instead of
	the old code.
	
	* tests/libtracker-common/tracker-file-utils-test.c: Fixed minor
	things in previous tests and added test for the new method.
	

2008-08-25  Mikael Ottela   <mikael.ottela@ixonos.com>
	
	* src/tracker-extract/tracker-extract-gstreamer.c: Gstreamer
	extractor extracts now also images.	

2008-08-25  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/Makefile.am:
	* src/tracker-extract/tracker-extract-ps.c: Fix up symbol not found
	that prevented the PS module to be loaded.
	* src/tracker-extract/tracker-extract.c (initialize_extractors):
	Provide a better error message if a module can't be loaded.

2008-08-22  Martyn Russell  <martyn@imendio.com>

	* src/trackerd/tracker-monitor.c: Handle situations where the
	source or target are not monitored and emit the appropriate
	signals up the stack.
	
	* src/trackerd/tracker-processor.c: Check the source AND the
	target to see if they should be ignored or not when we get MOVE
	monitor events. If both are ignored, we do nothing, if source is
	ignored we create the new file in the database, if target is
	ignored we delete the old file in the database, if both are valid
	we do a simple move in the database. I say simple, it isn't that
	simple. :)

2008-08-22  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/tracker-marshal.list:
	* src/trackerd/tracker-dbus.c: Fix marshaller for Finished signal.

2008-08-22  Carlos Garnacho  <carlos@imendio.com>

	* data/dbus/tracker-indexer.xml:
	* src/trackerd/tracker-dbus.c:
	* src/trackerd/tracker-processor.c:
	* src/trackerd/tracker-xesam-manager.c: Added a missing argument to
	the Finished DBus signal definition in the indexer. Also updated all
	callers.

2008-08-22  Mikael Ottela    <mikael.ottela@ixonos.com>

	* src/trackerd/tracker-rdf-query.c:
	* src/trackerd/tracker-db.c: Fixes to index and string type 
	metadata handling in queries.

2008-08-22  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-metadata-utils.c
	(tracker_metadata_read): Strip metadata separators when reading from
	the external extractor.

2008-08-22  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer-module.c
	(tracker_indexer_module_file_get_uri): Reduce the warning to a debug
	message, it's still nice to have that info, but it isn't crucial
	either.

2008-08-22  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-index.c: (tracker_db_index_open),
	(tracker_db_index_flush): Fixed the g_return_val_if_fail() check
	for the priv->index already being set in tracker_db_index_open().
	Initially it is not set at all so the index was not being opened.
	Also, if we can't open the index, we now debug specifically if it
	was because the file doesn't exist yet or if it wasn't closed
	properly. 

2008-08-21  Martyn Russell  <martyn@imendio.com>

	* data/services/default.service: Added inode/; to the prefixes to
	recognise folders like $HOME/.xchat.
	
	* src/libtracker-common/tracker-ontology.[ch]: 
	* tests/libtracker-common/tracker-ontology-test.c: Added in
	tracker_ontology_get_db_by_service_type() a check for NULL service
	strings.

	* src/libtracker-common/tracker-parser.c: Cleaned up the code,
	fixed a nasty double free that was introduced recently. Do proper
	type checking for TrackerLanguage. Make sure we reference the
	language and unreference it when creating/freeing the parser.
	
	* src/libtracker-common/tracker-service.[ch]:
	(tracker_db_type_get_type): Added missing enumerations: unknown,
	files and xesam.
	
	* src/libtracker-db/tracker-db-manager.[ch]: Added
	TRACKER_DB_UNKNOWN type.
	
	* src/trackerd/tracker-db.[ch]: Make use of GStaticPrivate for the
	local data. Also instead of using priv->index, we now send the
	services we are interested in to TrackerQueryTree and it finds out
	what indexes it needs to use instead. Added a function to return a
	gint GArray for the service IDs needed for TrackerQueryTree too.

	* src/trackerd/tracker-query-tree.[ch]: Removed properties which
	shouldn't change after creation (like language and config).
	Removed the TrackerDBIndex parameter for _new() and just use the
	GArray for services now. We get the TrackerDBIndex from each
	service instead.
	
	* src/trackerd/tracker-search.[ch]: Use
	tracker_db_create_array_of_services() instead of duplicating the
	code here. Also try to get suggestions from the email index db if
	there are none from the files index db.

	* src/libtracker-db/tracker-db-index-manager.[ch]:
	* src/tracker-indexer/tracker-indexer.c: 
	* src/trackerd/tracker-db.c: 
	* src/trackerd/tracker-dbus.[ch]: 
	* src/trackerd/tracker-main.c: 
	* src/trackerd/tracker-processor.c: Now we have all email words
	indexed to their own email-index.db file instead of filling up one
	big index.db file. This was causing serious performance issues.
	
2008-08-21  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-db/tracker-db-index.c (tracker_db_index_open): Do not
	reopen/leak/corrupt data if there's already an index opened.
	(tracker_db_index_flush): Do not open index if it was closed, there
	could be good reasons for it.
	* src/tracker-indexer/tracker-indexer.[ch] (schedule_flush): Do not
	attempt to flush if the indexer is paused.
	(stop_transaction): No point in committing if there wasn't a
	transaction.
	(tracker_indexer_set_running): Refactored the flush out, calling it
	wherever it's needed. Also stop scheduled flushes so they aren't
	called while the indexer is paused.
	(check_disk_space_cb) (tracker_indexer_pause) (pause_for_duration_cb)
	(tracker_indexer_pause_for_duration) (tracker_indexer_continue):
	Update callers.

2008-08-21  Philip Van Hoof  <philip@codeminded.be>

        * src/libtracker-db/tracker-db-index.c: Regression fix on "There's 
	no need to flush the word index on pausing the indexer.": the current
	transaction was not always being committed anymore

2008-08-21  Mikael Ottela    <mikael.ottela@ixonos.com>

	* src/libtracker-db/tracker-db-interface.c: Bug fix. Added checking
	that row exists before reading for result sets.

2008-08-21  Carlos Garnacho  <carlos@imendio.com>

	* tests/tracker-indexer/Makefile.am: No need to include libxdgmime.la
	anymore.

2008-08-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (get_text_for_mbox)
	(get_text_for_imap) (tracker_module_file_get_text): New functions, get
	the emails body through the get_text() module function, so it's saved
	in the contents DB.

2008-08-21  Ivan Frade  <ivan.frade@nokia.com>

	* src/tracker-indexer/tracker-metadata-utils.[ch]
	(tracker_metadata_utils_calculate_merge): Addded funciont.
	Given two set of metadata (old and new) calculate a list of 
	actions to do in the DB (insert, delete or update)..
	
	* tests/tracker-indexer
	* tests/tracker-indexer/tracker-metadata-utils-test.c
	* tests/tracker-indexer/Makefile.am
	* tests/Makefile.am
	* configure.ac: Added unit tests to the previous function
	
2008-08-21  Ivan Frade  <ivan.frade@nokia.com>

	* data/service/image.metadata: Set the correct data types for the
	metadata.
	
2008-08-21  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c (create_update_item)
	(should_index_file) (tracker_indexer_file_move): Check return value of
	tracker_indexer_module_file_get_service_type(), since it could return
	NULL for files the module doesn't handle.

2008-08-21  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-main.c: Run forever feature for the
	indexer, for debugging purposes

2008-08-21  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-ontology.c:
	(ontology_hash_lookup_by_str), (ontology_hash_lookup_by_id): Check
	the string is != NULL before using it in g_hash_table_lookup()
	which uses strcmp for string comparisons.

2008-08-21  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.c: Removed
	is_text_file() which is no longer used.

	* src/libtracker-common/tracker-parser.[ch]: Fixed the formatting
	and use gchar instead of char in new code. Removed unnecessary
	spacing and a LOT of trailing whitespace. Fixed the header file
	too.
	
	* src/tracker-indexer/Makefile.am:
	* src/tracker-indexer/modules/Makefile.am:
	* src/trackerd/Makefile.am:
	* tests/libtracker-common/Makefile.am:
	* tests/libtracker-db/Makefile.am: Removed references to
	libxdgmime.la which was breaking the build.

2008-08-20  Jamie McCracken <jamiemcc at gnome org>

	* Added new API for tracker-parser so that it will be compatible
	with sqlite FTS3.

2008-08-20  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-file-utils.c
	(tracker_file_get_mime_type): Replace mimetype checking with GIO.
	* configure.in:
	* src/Makefile.am:
	* src/xdgmime/*: Nuked the local xdgmime copy.

2008-08-20  Martyn Russell  <martyn@imendio.com>

	* src/tracker-applet/tracker-applet.c: 
	* src/tracker-extract/tracker-extract-tiff.c:
	* src/tracker-indexer/tracker-indexer-db.c:
	* src/trackerd/tracker-xesam.c:
	* tests/libtracker-common/tracker-type-utils-test.c:
	* utils/qdbm/search-word.c: More uninitialised variable crapness
	fixed to make it the all new hotness.

2008-08-20  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-type-utils.[ch]: Renamed
	tracker_boolean_as_text_to_number() to
	tracker_string_boolean_to_string_gint(). 
	
	* src/libtracker-db/tracker-db-manager.c: Make use of
	tracker_string_boolean_to_string_gint() instead of using code
	which does the exact same thing. Also fixed 3 places which use
	uninitalised integers as part of their calculations.
	
	* src/tracker-indexer/modules/evolution.c:
	(get_mbox_recipient_list): When getting the recipients list, don't
	potentially add an uninitialised string.
	
	* src/trackerd/tracker-db.c: (get_backup_id): Don't reuse id here,
	call it something else and make this code work.
	
	* src/trackerd/tracker-keywords.c: (tracker_keywords_search):
	Don't check if "values" is != NULL since it is a local variable
	now not a gchar** like it used to be.
	
	* src/trackerd/tracker-metadata.c: (tracker_metadata_get): If
	there is no result set, set the values to NULL so we don't check
	for NULL against an uninitalised variable.
	
	* src/trackerd/tracker-monitor.c: (tracker_monitor_add): Fixed
	warning about unused variable when using libinotify.
	
	* src/trackerd/tracker-processor.c: (item_queue_processed_cb):
	Fixed warning about queue being uninitialised in NOP switch
	statement condition.
	
	* src/trackerd/tracker-search.c: (search_highlight_terms): If
	there are no search terms, don't rely on uninitialised "s"
	variable being set.
	
	* src/trackerd/tracker-xesam-query.c: (build_sql): Set value to
	NULL to initialise it and use
	tracker_string_boolean_to_string_gint() instead of duplicating the
	code to do the same thing.
	
	* src/trackerd/tracker-xesam.c: (tracker_xesam_get_state): Don't
	try to free random memory and make sure we NULL terminate the
	GStrv that is returned.

2008-08-20  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-dbus.c:
	(tracker_dbus_request_failed): If error is already set and there
	is no format, we do not set str which is used in a print statement
	and then freed. This could lead to serious stack corruption.

	* src/libtracker-db/tracker-db-index-manager.c:
	(has_tmp_merge_files): Don't print a warning with an uninitialised
	path string.
	
	* src/libtracker-db/tracker-db-index.c:
	(tracker_db_index_get_size): Actually return the size instead of
	returning an uninitialised size variable.
	
	* src/libtracker-db/tracker-db-interface-sqlite.c:
	(create_result_set_from_stmt): Set the busy count instead of
	incrementing random memory.
	
	* src/libtracker-db/tracker-db-manager.c:
	(load_service_file_xesam): If we can't map data id to a
	TrackerFieldType, don't just use an uninitialised integer. Now we
	use -1 and display a warning.

2008-08-20  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-dbus.c:
	(tracker_dbus_query_result_to_hash_table): Fixed a bug where
	field_count was redefined in a deeper code block overwriting the
	number of columns previously determined by an unintialised
	variable. 

2008-08-20  Martyn Russell  <martyn@imendio.com>

	* configure.ac: Clean up and remove the --enable-debug-tools. The
	-g option is automatic with autotools and most packaging systems
	(like debian's) have an option to strip binaries of debug symbols.
	In the worst case we can always use CFLAGS="..." before running
	./autogen.sh anyway.
	
	* src/trackerd/tracker-monitor.c: Fixed a nasty NULL deference
	spotted by Ross Burton.

2008-08-20  Carlos Garnacho  <carlos@imendio.com>

	* tracker.pc.in:
	* libtracker-gtk.pc.in: Moved also to data/
	* configure.ac:
	* Makefile.am:
	* data/Makefile.am: Modify corresponding autofoo.

2008-08-20  Carlos Garnacho  <carlos@imendio.com>

	* src/trackerd/Makefile.am:
	* src/tracker-indexer/Makefile.am: Install both trackerd and
	tracker-indexer in $(prefix)/libexec, since they're not supposed to be
	executed by the user.
	* data/dbus/Makefile.am:
	* data/dbus/org.freedesktop.Tracker.service.in:
	* data/dbus/org.freedesktop.Tracker.Indexer.service.in: Look up the
	executables in $(libexecdir)
	* Makefile.am:
	* data/Makefile.am:
	* configure.ac:
	* trackerd.desktop.in.in: Moved trackerd.desktop.in.in to data/. Also
	correct path to trackerd.

2008-08-19  Philip Van Hoof  <philip@codeminded.be>

	* src/trackerd/tracker-keywords.c: Removing keywords was not passing
	service_type correctly

2008-08-19  Philip Van Hoof  <philip@codeminded.be>

	* src/tracker-indexer/tracker-indexer.c
	* src/tracker-indexer/tracker-indexer.h
	* src/libtracker-db/tracker-db-index.c: There's no need to flush the
	word index on pausing the indexer.

2008-08-20  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-db/tracker-db-index.c: Don't try to open the
	index and flush if the cache size is < 1. This should fix a
	warning we were seeing about not being able to open the cache on
	startup and shutdown.
	
	* src/trackerd/tracker-marshal.list:
	* src/trackerd/tracker-monitor.c: Add support for libinotify to
	know about MOVE events.
	
	* src/trackerd/tracker-processor.[ch]: Added a move queue and API
	to use the new indexer move API when we know about
	files/directories that move.

2008-08-19  Ivan Frade  <ivan.frade@nokia.com>

	* src/trackerd/tracker-files.c
	(tracker_files_get_metadata_for_files_in_folder):
	Added NULL element at the end of the fields array. This fixes a
	segfault using the method.
	
2008-08-19  Martyn Russell  <martyn@imendio.com>

	* configure.ac:
	* src/Makefile.am:
	* src/libinotify/.cvsignore:
	* src/libinotify/Makefile.am:
	* src/libinotify/inotify-handle.c:
	* src/libinotify/inotify-handle.h:
	* src/libinotify/inotify-listhash.c:
	* src/libinotify/inotify-listhash.h:
	* src/libinotify/inotify-log.h:
	* src/libinotify/inotify-monitor.c:
	* src/libinotify/inotify-monitor.h:
	* src/libinotify/libinotify.h:
	* src/libinotify/linux-inotify-syscalls.h:
	* src/trackerd/Makefile.am:
	* src/trackerd/tracker-monitor.c: Add the initial inotify replacement work
	while glib upstream is fixed. This is to support MOVE events for
	files and directories. This is not yet working.
	
	* tests/common/Makefile.am: Fixed some small errors.

2008-08-19  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer-db.[ch]
	(tracker_db_check_service): Modify to also get mtime.
	* src/tracker-indexer/tracker-indexer.c: Update all callers.
	(should_index_file) (process_file): Check mtimes before reindexing a
	file.

2008-08-19  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer-module.c: Restore accidental
	revert of fix in r2093.

2008-08-19  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-extract/Makefile.am: Install tracker-extract in
	$prefix/libexec.
	* src/tracker-indexer/Makefile.am: specify tracker-extract path.
	* src/tracker-indexer/tracker-metadata-utils.c
	(create_metadata_context): Use defined tracker-extract path.

2008-08-19  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/tracker-indexer.c: Emit the status signal every
	10 seconds, as flushes now can be more sparse.
	* src/libtracker-db/tracker-db-index.c (tracker_db_index_flush): Do
	not try to flush if there aren't items in the cache.

2008-08-19  Martyn Russell  <martyn@imendio.com>

	* src/libtracker-common/tracker-file-utils.c:
	(tracker_path_list_filter_duplicates): Don't append a trailing
	G_DIR_SEPARATOR_S when we return the list here. This standard is
	not used in the rest of Tracker and strcmp() was failing to notice
	ignored paths when checking against the config.
	
	* src/libtracker-common/tracker-type-utils.[ch]: 
	* src/libtracker-db/tracker-db-manager.c:
	* src/tracker-indexer/modules/evolution.c:
	* src/tracker-indexer/tracker-indexer-db.c:
	* src/tracker-indexer/tracker-indexer.c: 
	* src/tracker-indexer/tracker-metadata-utils.c:
	* src/trackerd/tracker-db.c:
	* src/trackerd/tracker-files.c:
	* src/trackerd/tracker-metadata.c:
	* src/trackerd/tracker-rdf-query.c:
	* src/trackerd/tracker-xesam-query.c:
	* tests/libtracker-common/tracker-type-utils-test.c: Changed all
	_{uint|int|long}_to_string() functions to rename them to
	_{guint|gint|glong}_to_string, to remain consistent with other
	functions. Added tracker_gslist_copy_with_string_data() to copy a
	list of strings. Also, changed many functions that return if an
	input parameter is NULL to actually return the proper data type if
	plausible since sometimes you would want to return an empty string
	list from NULL (for example).
	
	* src/trackerd/tracker-crawler.c: Make sure each directory is
	checked against the NoWatchDirectoryRoots config option and that
	each directory prefixed with "." is checked against the config
	WatchDirectoryRoots and CrawlDirectoryRoots options to know if we
	should NOT ignore those locations (by default they are). The
	crawler was also very slow (taking ~68 seconds to crawl my 130k
	files, so the throttle was decreased from 100 usecs to 25 usecs
	with the same CPU utilisation making the crawl take ~12 seconds
	instead). 
	
	* src/trackerd/tracker-processor.c: Make sure we check the
	NoWatchDirectoryRoots config before blindly adding roots to be
	checked to the crawler. Also print out what we are ignoring so we
	know why some things might not be crawled/watched.

2008-08-19  Carlos Garnacho  <carlos@imendio.com>

	* src/libtracker-common/tracker-os-dependant-unix.c:
	* src/libtracker-common/tracker-os-dependant-win.c:
	* src/libtracker-common/tracker-os-dependant.h
	(tracker_spawn_async_with_channels): Added function.

	* src/tracker-extract/tracker-extract.c: Modified to read queried
	files from stdin and stay alive until it has stopped being asked for
	metadata. According to sysprof, tracker-metadata spent a long time in
	initialization due to being respawned once and again.

	* src/tracker-indexer/tracker-metadata-utils.c: Modified to send
	filename/mimetype pairs to the extractor through a pipe and keep track
	of the extractor state.

2008-08-19  Carlos Garnacho  <carlos@imendio.com>

	* src/tracker-indexer/modules/evolution.c (get_mbox_attachment_uri):
	Also remove ".sbd" from the mbox uris here.
	* src7tracker-indexer/tracker-indexer.c (struct
	TrackerIndexerPrivate): pack booleans into guints.
	(handle_metadata_add): Actually return a boolean if checks fail.

